WorkbenchAndCollection

DiversityCollection

DiversityCollection (Version 2) is part of the database framework Diversity Workbench. Within this framework the application DiversityCollection is confined to the management of specimens in scientific collections. In this context it is designed to documente any action concerning the collection, storage, exchange and treatment of specimens in a collection and is also appropriate to store observation data. DiversityCollection is distinguished from other collection management systems by its focus on biological relations between organisms collected together as one or more specimens ( e.g. host, parasite and hyperparasite, symbionts etc.). Any module within the Diversity Workbench is focused on a specific data domain. DiversityCollection keeps only data connected with the handling of collection specimens and observations. Data of other realms like e.g. taxonomy are handled in separate modules. For an overview of the available modules see Diversity Workbench. DiversityCollection might also be used as a stand-alone application.

The image below gives you an overview of the main parts, relations and functions of DiversityCollection

The image below gives an overview for some typical data depicted in DiversityCollection together with the symbols used throughout the program. A typical specimen [image] may have been collected at a collection event [image] during an expedition [image]. The site of the collection event may be localized [image] and characterized [image] . The collectors [image] collected twigs of the plant [image] and fungi [image] from the roots. They store the samples as herbarium sheets [image] and specimens [image] preserved by other methods in a collection [image]. The manager [image] sent some of the samples [image] for which he had a request [image] from a requester [image] to another collection. The samples were collected as part of a project [image]. Certain parts were cultivated [image] , analysed [image] and processed [image]. The organisms on specimen were identified [image] several times. Images [image] were taken for the event series, the collection event, the collection specimen as well as organisms and part of this specimen.

DiversityCollection 2 is based on Microsoft SQL-Server 2005 and the .Net Framework, Version 2.0.

For licence and copyright see the licence section.


Installation

To run DiversityCollection, you need the database and the client. All parts are free and can be downloaded from http://www.microsoft.com/downloads/ and http://www.diversityworkbench.net/Portal/.

The image below gives an overview of the installations and files needed.

http://www.microsoft.com/downloads/ http://www.microsoft.com/downloads/ http://www.diversityworkbench.net/Portal/

Client

The client is based on the .Net framework version 2.0 from Microsoft. If not already present, you have to install the framework first. Download and install the Microsoft .NET Framework (e.g. dotnetfx35.exe [image] - start the program and follow the installation instructions (see http://www.microsoft.com/downloads/ for the latest versions). Version 2.0 is compatible with older operating systems like Windows 2000. For later operating systems use the latest version available.

Download the files for DiversityCollection from http://www.diversityworkbench.net/Portal/ provided as a zip archive. Copy all files (DiversityCollection.exe [image], DiversityCollection.chm [image], DiversityWorkbench.dll [image] ) into your DiversityWorkbench directory. To print barcodes of the font Code 39 the file Code39.ttf [image] must be copied to the folder C:\WINNT\Fonts.

After the installation make shure to get the latest updates from http://windowsupdate.microsoft.com/.

Database

For the installation of a local database see the section Installation of the database.


Menu

Overview of the menu in DiversityCollection

Connection |
Database ... | Choose one of the databases available on the server. Only those databases will be listed to which the user has access permission
Module connections ... | Edit the connections to the other modules within the Diversity Workbench.
Transfer previous settings | Transfer the settings for IP-Address and port of the server, name of the database, login etc. of a previous version of the client to the current version.
Quit | Quit the application and stop all processes started by the application
Query |
Show query | Show or hide the query list
Predefined queries | Under this menu entry all predefined queries will be listed
Scan mode | Change to the scan mode to open the dataset of a specimen by scanning the barcode
Grid |
Specimen ... | Change to the grid mode to edit the dataset of the specimen in a list
Organisms ... | Change to the grid mode to edit the dataset of the organisms in a list
Parts ... | Change to the grid mode to edit the dataset of the specimen parts in a list
Collection events ... | Change to the grid mode to edit the dataset of the collection events in a list
Event series ... | Change to the grid mode to edit the dataset of the collection event series in a list
Data |
Import |
Specimen scans ... | Import scans of specimen labels
Import list ... | Import tab-separated lists
Reimport list ... | Reimport tab-separated lists that had been exported including the key columns
Export |
Export list ... | Export a tabulator separated file with the data of the specimen
XML ... | Export data as a XML-file according to ABCD or JSTOR / GPI
Floristic lists ... | Export data in a specific format
Synchronisation ... | Synchronise the content of 2 databases
Mobile device ... | Transfer the selectd specimen into the database for a mobile device
Transfer | Transfer datasets
To project ... | Transfer the selected specimen into an additional project
To transaction ... | Transfer the selectd specimen into an additional transaction
Save dataset | Save current dataset
Administration |
Analysis ... | Administration of the analysis methods used for the specimens
Application descritption ... | Administration of the descriptions and messages within the application
Collections ... | Administration used for the collections
Customize display ... | Customizing the display of the window, e.g. the material categories and taxoniomc groups that should be visible when creating a new entries
External datasources ... | Administration of the external datasources of data imported into DiversityCollection
Maintenance ... | Maintenance of database entries especially if connected to other modules
Processing ... | Administration of the processing procedures applied in the collection
Queries ... | Creating and editing predefined queries
Statistics ... | Overview of changes within the projects and edited specimen
Transaction management | Management transactions, managers, loans etc.
Transactions ... | Administration of the transactions, e.g. loans, exchange etc.
Expired loans ... | Administration of expired loans. This menu entry will appear when there are expired loans in collections where the current user is a curator
Loan requests ... | Administration of loan requests for the collections a user is an collection manager. This menu entry will appear when there are loan requests for the managed collections of the current
My requests ... | Administration of the loan requests of a user. This menu entry will appear when a user placed requests for specimen
Requesters ... | User having the right to place requests for specimen of a collection
Managers ... | Administration of the users that manage collections and are e.g. responsible for the administration of the transactions
User ... | Administration of the users and their permissions in the database
Versions ... | Administration of the versions of client and database
Help |
Manual | Opens the online manual
Feedback ... | Opens a window for sending feedback
Feedback history ... | Opens a window for browsing former feedback
Info | Show the version of the program and corresponding information
Websites | Websites related to DiversityCollection
Download applications ... | Download DiversityCollection from the website of the Diveristy Workbench project
Information model ... | Inspect the imformation model on the website of the Diveristy Workbench project
Diversity mobile ... | Website of DiversityMobile, the mobile application for collecting data stored in DiversityCollection


Manual

The online manual DiversityCollection.chm [image] must be placed in your application folder, together with the application DiversityCollection.exe and the library DiversityWorkbench.dll. To get information to any topic in the application DiversityCollection and open this manual, just click on the field you need information about and press F1. To open the manual from the menu, choose Help -> [image] Manual.


Version

For information about the version of the client application choose Help, Info...

The current version in the example above is 2.5.3.6. As an administrator, you can set the versions of the database and the client. Choose Administration - Versions from the menu. A form as shown below will open, giving you an overview of the version settings.


Update

Update of database and client

DiversityCollection is still in development. Therefore regular updates for the database and the client will be provided. When you start the program and connect to a database, the program will check if it is compatible with the database or if the database needs an update. In any of these cases an [image] update entry in the menu will appear. If a new version of the client is available this menu will contain an [image] update client ... entry. Click on it to open the webpage where you can download the cient as shown below.

If you are the owner of the database (Database role = dbo) and the database needs to be updated, the menu will contain a [image] update database ... entry. Select this entry to open a window as shown below to run the provided update scripts, delivered with the client software. These scripts needs to run consecutively, so e.g. to update from version 2.5.1 to 2.5.4 you either have to run the script DiversityCollectionUpdate_020501_To_020504 or the scripts DiversityCollectionUpdate_020501_To_020502, DiversityCollectionUpdate_020502_To_020503 and DiversityCollectionUpdate_020503_To_020504. The program will guide you through these steps and check for the scripts. All you have to do is click the Start update [image] button.


License

This manual is copyrighted work licensed under a Creative Commons License.

All material in this manual is the property of the contributing authors and fully copyrighted. By choosing this way of publication, the contributing authors have agreed to license the work under a Creative Commons License permitting reproduction, distribution, and derivative works, requiring attribution, notice, and share-alike, and prohibiting commercial use.

For information about the license of the client software choose Help, Info...

The client software is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation.

The client software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License (GPL) for more details.


Feedback and Errors

Feedback

If you have suggestions for improvement, need any changes in the program or encounter an error you can give a feedback to the administrator. Click on the [ALT] and [PRINT] buttons to get a screen shot of your current form. After creating the screen shot choose Help - Feedback [image] from the menu to open the feedback window as shown below.

Click on the [image] button to insert the screen shot and give a comment about your problem. Then click on the [image] button to send your feedback to the administrator. If you want to receive a message, when the problem you described is solved, please enter you e-mail address in the field under the descrption.

To inspect you former feedbacks, choose Feedback history... from the menu. A window will open, where you can browse your old feedback together with the state of progress.

In case you do not have access to the central database for the feedbacks, the program will open your mail client to send an e-mail. In case of bugs in the program it would help if you attach the file DiversityCollectionError.log located in your application directory (see image below).

Error logging

If any error messages show up through working with the application you can find further details concerning the part of the application where the error occured and the parameters involved in the file DiversityCollectionError.log located in your application directory.


Tutorial

Tutorial - first steps

This tutorial will guide you through the first basic steps to enter a single dataset in DiversityCollection. After the installation, make sure, you have access to the database. To start the programm, double click on the [image] DiversityCollection.exe in the directory where you copied the files of DiversityCollection. The main window will open.

If you open this window for the first time, you have to connect to the database. Click on the [image] button or choose Connection -> Database... from the menu. A window will open where you can enter your account information and choose the database (see image below, for further informations see database access ).

After connecting to the server and choosing a database click on the OK button to return to the main form. As indicated by the [image] symbol in the right upper corner, you are now connected to the database. In addition the header of the window shows your current login informations (see below).

This tutorial is continued in the sections listed below.

  • section New dataset
  • section Collection event
  • section Localisation
  • section Collection event series
  • section Collection specimen
  • section Collector
  • section Collection specimen relations
  • section Organisms and identifications
  • section Specimen parts and storage
  • section Searching the database


TutorialCreation

Tutorial - creation of a new dataset

To enter a new dataset, click on the [image] button in the upper left panel (see point 1 in image below). In case there are accession numbers in the database, the software will ask whether you want to take the next free number (see accession for further information). If you click on the OK button, the program will try to find the next free accession number starting with your current accession number.

Finally you will find a new entry in the specimenlist on the left and the trees for the specimen (see point 2 in image below) and the storage as shown below.

If you did not specify an accession number the entries will look like in the image above, otherwise the accession number will be shown. To enter your data for the specimen, click on the entry in the upper tree as shown below (see point 3 in image below). This will open the fields where you can enter the details for the specimen in the area right from the tree (see point 4 in image below).

In the panel in the middle of the form, several buttons will appear where you can enter additional informations to this specimen.

With these buttons, you can enter informations about the:
- collection event
- collection specimen
- relation between specimen
- organisms and identifications

This tutorial is continued in the sections listed below.

  • section Collection event
  • section Localisation
  • section Collection event series
  • section Collection specimen
  • section Collector
  • section Collection specimen relations
  • section Organisms and identifications
  • section Specimen parts and storage
  • section Searching the database


TutorialEvent1

Tutorial - collection event

To enter information about the collection event (when and where the specimen was collected) click on the [image] button (see point 1 in image below).

This will add an entry for the collection event in the upper tree as shown below. Select this entry in the tree (see point 2 in image below), to open the fields for the collection event. To see the projected contents of any data field, simply place your mouse in the field. A explanation will appear like for the field Description of the locality:

See the event part for further details.

Then enter the date (see point 3 in image below) of the collection event. If you click on the drop down button as shown in the image below, a calendar will open where you can select the date. Then enter the description of the locality (see point 4 in image below). To store the data entered so far, click on the [image] button (see point 5 in image below).

Now you have the possibility to enter more details about the locality like coordinates, named places, etc. by clicking on the [image] button (see point 6 in image above).

This tutorial is continued in the sections listed below.

  • section Localisation
  • section Collection event series
  • section Collection specimen
  • section Collector
  • section Collection specimen relations
  • section Organisms and identifications
  • section Specimen parts and storage
  • section Searching the database


Tutorial - localisation

To enter more informations about the collection event like coordinates, named places, etc. click on the [image] button (see image below).

Now you can select an option from the following list:

The three most important options are:
- New Coordinates WGS84
- New Named Area (Diversity Gazetteer)
- New Altitude (mNN)

New Coordinates WGS84

You can add the exact coordinates for the locality with the assistance of Google Maps. Click on the [image] button (see first image of this site) and choose New Coordinates WGS84 (Google Maps uses WGS84). This will add a new entry in the overview. Select it (see point 1 in the image below) to open the details for this entry. Here click on the [image] button (see point 2 in image below).

A window as shown below will open where you can set the coordintes simply by dragging the map with your mouse. The coordinates correspond to the center of the map, symbolized with the ="" src="img/IcoCoordinates.gif" />. Click on the OK button to store the coordinates.

In the main window as shown below the coordinates will be stored at two positions - see image below. In the upper area, you can set the values and choose a different format for display as shown here - the more familiar form with degrees, minutes and seconds. You change the values and click on the [image] button, to change the original entry. In parallel the numeric values are stored in fields that can not be edited by the user (see below). If not allready present, in parallel to the coordinates the programm using the webservice GeoNames will enter the altitide and the name of the closest named locality.

New Named Area (Diversity Gazetteer)

To enter a name of the place using the DiversityGazetteer, choose New Named area (DiversityGazetteer) from the list. In the overview tree in the middle of the window an entry will be inserted as shown below. Select it to open the detail fields for this entry (see point 1 in image below).

To open the connection to the DiversityGazetteer, click on the [image] button (see point 2 in image above). A window as shown below will open. Enter a search string - for example the city you want to find - (see point 3 in image below) and start the query with a click on the [image] button (see point 4 in image below).

In the middle of the form, the results of the query will be listed. Select one of these. To guide you to the correct entry, details to this place are listed in the area right from the list and the base will show a map corresponding to the coordinates connected to this entry. After selecting the correct entry (see point 5 in image above) click on the OK button to return to the main window (see point 6 in image above). As shown below the data retrieved from the gazetteer will be written in several areas. Next to the name of the place the DiversityGazetteer provides the coordinates and the country as shown below.

The area where you entered the name now changed to a locked state and will prevent you from changing the entry (see image below). Next to the field with the place you find the link to the external module. Double-click it for more details.

If you want to remove the connection to the external module click on the [image] button. This will keep all entries (country, place, coordinates) but remove the connection to DiversityGazetteer.

New Altitude (mNN)

As a last information about the locality, we enter the altitude. Click on the [image] button (see first image of this site) and choose New Altitude (mNN) (see point 1 in the image below). Then select the new entry in the overview to open the datafields (see point 2 in the image below). Lets suppose, you have only feet values available - so change the display format to feet (see point 3 in the image below). Enter your values (see point 4 in the image below) and click on the [image] button (see point 5 in the image below) to save your entries. Now your values are converted to meter (the internal format of DiversityCollection) automatically, and if you change now the display format to meter, you can see the result. The program calculates an average value for the altitude and an accuracy in meter corresponding to the accuracy of your original values (see below). The original values of your entry are saved in the Notes field.

This tutorial is continued in the sections listed below.

  • section Collection event series
  • section Collection specimen
  • section Collector
  • section Collection specimen relations
  • section Organisms and identifications
  • section Specimen parts and storage
  • section Searching the database


TutorialEventSeries

Tutorial - collection event series

If you want to organize your collection events, you can use the collection event series. To create a new event series, select the colletion event (see point 1 in image below) and click on the [image] button (see point 2 in image below).

In the tree the entry for the new event series will appear (see point 3 in image below). Select this entry in the tree to enter the details about the event series (see point 4 in image below).

To build a hierarchy for your collection events and collection event series, choose the created event series in the tree (see point 1 in image below) and create a new secondary event series (see point 2 in image below).

Then enter the date (see point ate (see point 5 in image below) of the collection event. If you click on the drop down button as shown in the image below, a calendar will open where you can select the date. Then enter the description of the locality (see point 6 in image below). To store the data entered so far, click on the [image] button (see point 7 in image below).

Select the entry of the new event series (see point 3 in image below) and enter the details about the event series (see point 4 in image below).

Finally drag the collection event to its position within the hierarchy of the collection event series entrie (see point 5 in image below).

To include an extisting event in a hierarchy of the collection event series, select the collection event and click on the button. For more details see the section collection event series .

This tutorial is continued in the sections listed below.

  • section Collection specimen
  • section Collector
  • section Collection specimen relations
  • section Organisms and identifications
  • section Specimen parts and storage
  • section Searching the database


TutorialSpecimen

Tutorial - collection specimen

To set the accession number for the collection specimen, select it in the overview (see point 1 in image below) enter the accession number (see point 2 in image below).

To search for the next free accession number, click on the corresponding button as shown above (see point 3 in image above). A window as shown below will open. Start the search for a free accession number. If the query ended successful, click OK to take the new accession number in your dataset.

Project

To restrict the access to your dataset, add it to a project (click on the [image] button - see point 4 in image above). A dialog will open where you can select a project from the projects defined in DiversityCollection (see image below). The project will then be added to the list of the projects for this specimen.

This tutorial is continued in the sections listed below.

  • section Collector
  • section Collection specimen relations
  • section Organisms and identifications
  • section Specimen parts and storage
  • section Searching the database


Tutorial - collector

Collectors

Now we will add the collectors of the specimen. In the overview, select the specimen then click on the [image] button to insert a new collector (see point 1 in image below). Select the collector in the overview (see point 2 in image below). Now we use the module DiversityAgents to search for a certain person. Click on the [image] button to open the interface to the module (see point 3 in image below).

In the interface for DiversityAgents, enter search criteria (see point 1 in image below) and click on the [image] button to start the query (see point 2 in image below).

Select the correct entry from the query result (see point 3 in image above) and click on the OK button (see point 4 in image above) to store the name in DiversityCollection.

The next collector will have no connection to the module DiversityAgents. To insert this collector, again click on the [image] button (see point 1 in image below), select it (see point 2 in image below), type the start of the name in the field (in this example "Mei" would be a good choice) for the name and click on the drop down button [image] (see point 3 in image below) to select a name from the list of collectors already stored in the database. Finally if the collector has a field number, enter this field number of this collector (see point 4 in image below).

This tutorial is continued in the sections listed below.

  • section Collection specimen relations
  • section Organisms and identifications
  • section Specimen parts and storage
  • section Searching the database


TutorialRelation

Tutorial - relations between specimen

There are two types of relations possible:

  1. relation to a specimen within DiversityCollection
  2. relation to a specimen not administrated in the local database.

1. Internal relations

To enter a relation to a specimen in DiverisityCollection select the specimen in the tree (see point 1 in image below) and click on the [image] button (see point 2 in image below).

A window will open where you can search for the related specimen. In the window enter your restrictions (see point 1 in image below), start the query (see point 2 in image below), select the related specimen from the result list (see point 3 in image below) and click OK (see point 4 in image below) to insert the relation.

In the window select the entry for the relation (see point 1 in image below) to display the fields for the details. Then enter the type of the relation (see point 2 in image below).

2. External relations

To enter a relation to a specimen in a foreign collection, insert a relation (see point 1 in image below) and select it in the overview (see point 2 in image below). Enter the name of the specimen (see point 3 in image below) and the type of the relation (see point 5 in image below). .

If there is a dataset for the collection available you can select it from the list (see point 4 in image above). Otherwise you first have to add this collection to the list. If you have the permissions to edit the collections choose Administration -> Collections from the menu to add a collection. See the section collection for details.

For further informations about the relations turn to the section relation.

This tutorial is continued in the sections listed below.

  • section Organisms and identifications
  • section Specimen parts and storage
  • section Searching the database


TutorialUnit

Tutorial - organisms and identifications

To focus on the specimen and its organisms, hide all other entries from the tree by clicking on the corresponding buttons (see point 1 in image below). To enter the organism, choose the specimen entry in the tree (see point 2 in image below). Then select the organism from the [image] list.

This will insert an entry for the [image] organism unterneath the entry of the [image] specimen (see image below). To enter details for this organism, select the entry in the tree (see point 3 in image below and image above).

To enter an identification for this organism, select it in the tree (see point 4 in image above) and click on the [image] button (see point 5 in image above). This will insert a dataset for the idenfication of the organism underneath the organism as shown above. Select this entry to enter the details of the identification.

To enter more organisms living on the plant, select the [image] plant in the tree (see point 1 in image below) and create new organisms as described above (see point 2 in image below).

Now lets enter the taxonomic name of the plant. Select the entry for the [image] identification in the tree (see point 1 in image below). As a simple method to enter a taxonomic name, just type it in the field Tax. name (see point 2 in image below). To save the dataset and display the taxonomic name in the tree, click on the [image] button (see point 3 in image below).

Now insert an [image] identification for the fungus (see point 1 in image below).

Select the identification in the tree and click on the [image] button (see point 2 in image above) to open a remote query as shown below. Choose the database DiversityTaxonNames_Fungi (see point 1 in image below), enter the conditions for the query, e.g. the beginning of the taxonomic name (see point 2 in image below) and start the query [image] (see point 3 in image below). From the result list, select the taxonomic name (see point 4 in image below) and click OK (see point 5 in image below) to transfer the selected name to the main form.

The name of the selected taxon together with the link (see image below) to the datasource will be inserted in the field for the taxonomic name. The taxonomic name can not directly edited as long as the name is linked to a datasource (indicated by the yellow background). To remove the link you have to use the [image] button. To see the whole information about the linked name as stored in the datasource, click on the [image] button.

As as an example for the last variant, enter an identification for the insect (see below). Select the identification in the tree (see point 1 in image below) and click on the [image] button (see point 2 in image below) to open a remote query.

A window for the access to webservices and other modules will open as shown below. Here select CatalogueOfLife (see point 1 in image below) as a datasource. This will query the webservice of Catalogue of Life for a taxonomic name. Enter the beginning of the taxonomic name (see point 2 in image below) and start the query [image] (see point 3 in image below). From the result list, select the taxonomic name (see point 4 in image below) and click OK (see point 5 in image below) to transfer the selected name to the main form.

The name of the selected taxon together with the link (see image below) to the datasource will be inserted in the field for the taxonomic name. The taxonomic name can not directly edited as long as the name is linked to a datasource (indicated by the yellow background). To remove the link you have to use the [image] button. To see the whole information about the linked name as stored in the datasource, click on the [image] button.

This tutorial is continued in the sections listed below.

  • section Specimen parts and storage
  • section Searching the database


TutorialStorage

Tutorial - specimen parts and storage

To enter the data connected with the storage of the specimen select the specimen entry in to the bottom tree view in the form (see point 1 in image below) . In the command panel at the right of the tree view a [image] button will appear where you can select the type of the stored material. In the hierarchy select "herbarium sheets" as shown below (see point 2 in image below).

A dialog will appear where you have to enter the collection where your specimen are stored (see below).

Select the collection from the list or the hierarchy and click OK to close the dialog. The botton tree will now contain the selected material with all organisms (see below).

Lets assume, that the insect is not present in the specimen, but e.g. has only been observed during the collection of the sample. To document this, remove the entry for the insect from the Show in label list to the Units not in part list: Select it (see point 1 in image above) and remove it (see point 2 in image above) (click on the < button). The result is shown below).

To see the exact position within the collection, click on the [image] button at the left side of the tree. The tree will change as shown below, where all the collections and subcollections together with the parts of the specimen are listed (see below).

To print a label for a stored part of the specimen, select it in the tree (see point 1 in image below), click on the [image] button in the upper right corner to open the area for the label (see point 2 in image below). Click on the [image] button (see point 3 in image below) to select a Schema file (e.g. Standard.xslt). Then click on the [image] button to generate a label (see point 4 in image below).

Turn to the section part for more details.

This tutorial is continued in the sections listed below.

  • section Searching the database


Tutorial - query

To search for data in the database, use the query sector in the left part of the window. To select the query conditions, click on the [image] button in the top panel. A window as shown below will open.

With the Maximal number of results, you can limit the paket size that should be retrieved from the server. For a slow connection to the database server choose a low value (e.g. 100 as set by default).

The Limit for drop down lists restricts the maximal number of datasets until which drop down lists should be created. For a slow connection to the database server choose a low value. The default is set to 0, that means not drop down lists will be created.

Click on the Check none button to clear the previous selection. Then select the entries

  • Project -> Project
  • Specimen -> Accession number of specimen
  • Specimen -> The user that created the dataset
  • Specimen -> The date when the dataset was created
  • Event -> Collection date
  • Organism -> Organism present
  • Organism -> Only observed
  • Storage -> Material category
  • Image -> Type

Click OK to close the window. Your query conditions will look as in the image below.

Project -> Project: Here you can choose from list of possible entries. Select your current project.

Collection specimen -> Acc. Nr.: From the operator dropdown list choose "~" and enter the first letters of your accession number. You may include wildcards. Other options are e.g. "-" for a range or ">" for a lower limit. The conditions will be interpreted as text! So 2 will appear after 10 etc.

Collection specimen -> Creat. by.: From the operator dropdown list choose "=" and choose your user name from the list.

Collection specimen -> Cre. dat.: From the operator dropdown list choose "=" and choose the current date with the help of the calender.

Collection event -> Date: From the operator dropdown list choose "=" and enter the current year in the last field.

Organism -> Presence: From the operator dropdown list choose "•" that means that an organism is present.

Organism -> Only obs: Uncheck the checkbox to find organism that were not only observed.

Part of a specimen -> Mat.cat.: Use the [image] button right from the combobox to open the hierarchy and select "herbarium sheet".

After all query conditions are set, click on the [image] button to start the query. In the result list you should find the specimen created in this tutorial. To save you current query, click on the [image] button left from the [image] button. A window as shown below will open. For more details see the section save query.


QueryOverview

Queries - overview

To search for specimens in the database you can choose 3 options:

With the user defined queries, you can define any query condition - this is the default query mode. You can save and load these queries.

The predefined queries are defined by the system administrator and are accessible via the menu Query - Predefined queries. To return to the userdefined click on the Show query conditions [image] button.

With the scan mode you can use a barcode scanner to search for a specimen. To work with the scan mode, select the Scan mode in the Query menu. To return to another query mode, deselect the Scan mode.


Specimen list

Result list

The result list displays the specimens found in a query.

The specimens can for example be shown with their accession number, their identifications or their storage location etc. as shown in the images above. To get further information about the chosen field, just place the mouse in the field. A text box will appear with the description of the field (see below).

You can restrict the maximal number of specimens together with the query options (click on the [image] button), for example if you have a slow connection to the database. As a default the maximal number is set to 100. If the number of datasets according to your query is higher than the maximal value set in the query options this will be indicated in the header of the list.

To ensure, that restrictions set in the query conditions will be applied to the specimen list make sure that you choose matching restrictions and order columns as shown below. In the upper example corresponding fields where used for restricting the query and the display (Tax. name). Here the Query results will be restricted to this field.

In the second example a different field for the restriction was chosen (Last ident. <> Tax. name). The query result in consequence will list all entries found in the field Tax. name from the datasets where on entry matches the restriction (see below).

To search for specimens, enter the restrictions in the fields for the search conditions and click on the [image] button. The specimens found in the database will be shown in the result list. To add specimens with differing search conditions click on the [image] button. If the list of items is longer than your maximal number of returned items you can browse the next items with the [image] button. If you want to remove entries from the selected list, choose them in the list and click on the [image] button. This will not delete the data from the database, but remove them from your query result.

Here some examples you can select for display in the result list:

AccessionNumber: One entry is shown for each specimen with its corresponding accession number.

Last identification: The last identification for every unit in a specimen is shown in the list. As there can be several units in one specimen several entries for one specimen may appear in the list.

Storage location: The storage location of every part of a specimen stored in the collections is shown in the list. As parts of a specimen can be stored in several collections under different names several entries for one specimen may appear in the list.

Collecting number: The collecting number given by the collector of every sample of a specimen is shown in the list. A specimen can have several collectors each with different number. Therefore several entries for one collection specimen may appear in the list.


Query

There are two ways to search for specimens in a collection. The options for a fast search are displayed in the main window beneath the list of the items. You can change this arrangement using the [image] / [image] button to place the query options on the left side of the item list.

To search for specimens enter the restrictions in the fields for the search conditions and click on the [image] button. The specimens found in the database will be shown in the specimen list. To add specimens with differing search conditions click on the [image] button. To clear all entries in the query fields use the [image] button. You can save and load the queries you define using the [image] and [image] buttons. If the list of items is longer than your maximal number of returned items you can browse the next items with the [image] button. To move back to the previous block of items click on the [image] button. If you want to remove entries from the selected list, choose them and click on the [image] button. This will not delete the data from the database, but remove them from your query result.

Within the query options you have several possibilities to specify your search restriction. Use the drop down button to change between the operator. The available operators are shown in the table below.

Operator | Meaning | Example
Text
∼ | search for an entry like ... | Pinus s[iy]lvestris % (you can use wildcards)
= | search for an entry exactly equal to ... | Pinus silvestris L.
≠ | search for an entry not like ... | Pinus s[iy]lvestris % (you can use wildcards)
∅ | search for an entry where a value is missing ... |
• | search for an entry where a value is present ... |
- | search for an entry between ... and ... | 2000 - 2005
| | search within a list of entries, separated by "|" | 2000 | 2003 | 2005
Numeric
= | search for an entry exactly equal to ... | 2006
< | search for an entry lower than ... | 2006
> | search for an entry bigger than ... | 2006
- | search for an entry between ... and ... | 2000 - 2005
| | search within a list of entries, separated by "|" | 2000 | 2003 | 2005
∅ | search for an entry where a value is missing ... |
• | search for an entry where a value is present ... |
Date
= | search for an entry exactly equal to ... | 20.3.2006
< | search for an entry lower than ... | 20.3.2006
> | search for an entry bigger than ... | 20.3.2006
∅ | search for an entry where the date is missing ... |
• | search for an entry where the date is present and complete ... |
Hierachy
= | search for an entry exactly equal to ... | M-Fungi
≠ | search for an entry that is not equal to ... | M-Fungi
∅ | search for missing entry ... |
• | search for present entry ... |
Δ | search including childs in a hierarchy ... | M-Fungi
XML
/ | Search for entries containing a given XML node | settings
¬ | Search for entries not containing a given XML node | settings
∅ | search for missing entry ... |
• | search for present entry ... |
Geography
Use [image] button to set geography
‡ | Search for entries with a maximal distance of ... | POINT(24.24 45.243) | 50 km
O | Search for entries within an area | POLYGON(34.5 ...
¤ | Search for entries outside an area | POLYGON(34.5 ...
• | search for present entry ... |

For yes/no fields you will get an checkbox with 3 options: = yes, [image] = no, [image] = undefined

For a search within a list (using the "|" operator) you can double click in the textfield to open a window to enter your values. To separate the values either use the "|" sign or a new line as shown in the image below.

Query annotation

The query for annotations deviate from the standard query (see below). You can additionally specify a type of the annotation (Annotation [image], Problem [image], Reference [image]) and the linked table (see annotation).

To hide the area containing the search fields click on the [image] button. If the search area is hidden and you want to start a new search, just click on the [image] button.

To change the displayed fields for searching specimens click on the [image] button to change the query options.

Scan mode

To search for a specimen with the help of a barcode-scanner select the Scan mode [image] from the Query menu. The query part will be hidden and the field for the accession number will then be accessible for the entry with the scanner. If the field for the entry of the accession number [image] is not activated, move the mouse to the field to activate it. Then scan the barcode and the program will start the search for the specimen in the database.

Grid mode

To edit the data in a data grid, choose the Grid mode [image] from the Query menu. The query part will be hidden and table will appear where every dataset from the query result list is restricted to one line. Please keep in mind, that in this view, you can only see a limited part of the data. So for example you will only the the last identifications for an organism. The selection of the visible fields can be adapted in the tree above the list.

To replace a part of a text in a column, select the column, enter the text that should be replaced and the replacement in the corresponding fields (see below). To start the replacement click the [image] button.


QueriesSaved

Save query

If you want to save a current query, click on the [image] button. A window as shown below will open where you can specify the title and description of you query.

TAfter you entered title and description of the query, click OK to specify the query group. A window as shown below will open.

Choose a group from the tree or create a new one an click OK. The new query will be included in the selected group.

Finally you can edit the titles and descriptions of the groups an queries. Click the [image] button to store the changes. To delete items from the tree, select it and click on the [image] button. Click OK to save the new query and close the window.

Load query

If you want to load a query that has been stored previously, click on the [image] button. A window as shown below will open.

Choose a query from the tree and click OK to close the form and filter the datasets according to the selected query.


Query options

The maximal number of items shown in a query result can be set in the window for the query options. The default value is set to 100. If you have a fast connection to your database or need to see more or less results, you may change this value to any number you like.
To change the displayed search fields click on the [image] button. This opens a form where you can select and deselect the fields shown for searching specimens. You might also change the maximum number of items that will be shown in the result list.

The limit for the creation of drop down lists is by default set to 0, that means no dropdown lists will be created. If you set the limit to e.g. 1000 and connect to a database, the programm will create drop down list based on the entries in the database to ease the entry in the query. For slow connections you may set this to lower value to speed up the start of the program. If you set the value to 0 no drop down lists will be created.

After having edited the query options click OK to store you selection. The new selection will become active for the next query.


Wildcards

Wildcards in SQL

There are 4 different possibilities for wildcards in SQL:

% any string consisting of no, one or many characters, e.g. Pinus % will find anything like Pinus, Pinus sylvestris, Pinus strobus etc.

* any string consisting of no, one or many characters, e.g. Pinus * will find anything like Pinus, Pinus sylvestris, Pinus strobus etc.

_ a single character, e.g. Pinus s_lvestris will find Pinus sylvestris and Pinus silvestris etc.

[] any character out of a given range like [abcde] or [a-e], e.g. Pinus s[iy]lvestris will find Pinus sylvestris and Pinus silvestris.

[^] any character not in a given range like [^abcde] or [^a-e], e.g. Pinus s[^i]lvestris will find Pinus sylvestris but not Pinus silvestris.


Queries

Predefined queries

Besides setting querries for specimens via the query options you can define separate predefined user-specific queries. These are listed under the menu topic Query - Predefined queries.

If you choose one of these predefined queries, the query options will be hidden and the command of the query will be shown at the base of the specimen list. The first line shows the title of the query, the next lines contain the description followed by the part of the query command that restricts the selection of the datasets (= WHERE-clause of the SQL-statement).

To return to the user defined query click on the Show query conditions [image] button.

If you are an administrator you can create new queries for users. To create a predefined query choose Administration - Queries... from the menu. A window as shown below will open, where you can create, edit and test your queries.

In the upper field you define the WHERE-clause of the SQL string of your query. Keep in mind that the queries can refer to different tables, depending on the order column chosen by the user. So queries in DiversityCollection should start with the reference to the primary key of the main table (CollectionSpecimenID in table CollectionSpecimen and depending tables). The lower field contains the description for the query as shown in the user interface. To test a query use the [Test count] and [Test Query] buttons.


DataEditing

Editing the data

The main window of the DiversityCollection client contains two main areas. At the left you find the query and the results of this query. In the right part the data of the dataset selected in the result list is shown. The upper part of the data area shows the images, labels etc. In the lower part you find two trees that give you an overview and access to the data. The data of an entry selected in one of the trees are shown in the data editing part.

Common comments

To see the description of the fields, just move the mouse over the field you want to know more about it. A tip-text window will open, showing the description of the expected content of a field (see image below). This desriptions are also available in the documentation for the tables.

The description of some of the drop-down fields are too long to be shown in the drop-down column. But for a selected entry, you can place your mouse over the hierachy selector. A tip-text window will appear (see image below) where the full text of the description is shown.


Grid mode

To edit the data in a data grid, choose the Grid mode [image] for the specimen [image] , the organisms [image] , the collection events [image] or the collection event series [image] from the menu. A window will open where every dataset from the query result list is restricted to one line for a specimen, an organism, a collection event or a collection event series respectively. Please keep in mind, that in this view, you can only see a limited part of the data. So for example you will only see the last identification of an organism. This is demonstrated in the image below, where two organisms, indicated with the red arrows will not appear in the grid. If you use the grid mode for the organisms, all organisms will appear with their last identification.

Customize visibility of fields

The selection of the visible fields can be adapted in the tree above the list. Change the selection of the colums and click on the [Set columns] button.

Customize column width and sequence

To adapt the width of the columns or the height of the rows either drag the border with the mouse, double click the border to get the optimal size for one column or click on the [image] button for an optimal height of the rows or the [image] button for an optimal width of the columns. To change the sequence of the columns, just use your mouse to drag the columns to the position of your choice. These changes will be saved for the next time you use the grid mode. To return to the original sequence of the columns, click on the [Reset sequence] button.

Sorting of the data

To sort the data in the grid just click in the header of the column which you want to use as sorting column. The sorting sequence will be kept even if you change values in this column. That means that if you change a value in the sorting column the changed dataset will be placed at the new position according to its new value. The sorting of a column will be indicated an arrow for the direction of the sorting (up or down) and by a thicker right border of this column (see image below).

Find and replace

To use the find and replace functions you must either select a part of the field in this column or click on the [image] button to select the whole column. Then choose the function you want to apply (remove, insert, append or replace). To replace a part of a text in the selected fields, enter the text that should be replaced and the replacement in the corresponding fields. To start the replacement click the [image] button. To insert a string to the beginning of all entries in the selected fields, click the [image] button. To append a string to all entries in the selected fields, click the [image] button. To remove all entries from the selected fields click the [image] button.

Transfer from spreadsheet

You can transfer data from a spreadsheet, e.g. Excel or Calc. Copy the columns of these data in the spreadsheet and then in DiversityCollection, click in the upmost left cell where these data should be inserted and use the context menu (click the right mouse button) to insert the data.

Editing

Some columns can not be edited directly but are linked to external modules or services. These columns appear as buttons. Just click on the button the call the service. If a value is linked to an entry in an external module, the background will change to yellow and you can not change the text.

Together with the links (in the example above Link to DiversityAgents), you can select columns that provide the possibility to release the links to the modules (e.g. Remove link for collector in image above). These columns will appear as buttons [image] . Just click on the button related to a link to release the link to the corresponding module. After that you can edit the text field containing the linked value.

Some values are linked to a list of values. Use the drop down list to change the value in one of these columns.

If you click in the empty line at the base of the data grid, you will be asked if you want to create a new dataset. The program will ask you for a new accession number and the project of the new dataset. Another way to create a new dataset is the copy button [image]. Just click in the line you want to create a copy of and then click on the copy button [image]. For details see the data section. A copy of the dataset will be inserted at the base of the datagrid.

In the grid view for the organisms parts of the colums can not be edited. These columns contain data that can be related to several organisms. This is indicated by a gray background.

Saving the data

To save all changes click on the [image] button. To undo all changes since the last time the datasets were saved, click on the [image] button. To save the changes in the current dataset, use the [image] button. To undo the changes in the current dataset, click the [image] button. If you click the [OK] button, you will be asked if you want to save the changes before the window will be closed. If you click the [Cancel] button or close the window your changes will not be saved. To save the data shown in the grid in a tab delimited file, click on the [image] button.


GridSpecimen

Grid mode for collection specimen

To edit the data of the specimens in a data grid, choose the Grid mode [image] for the specimen [image] from the menu. A window will open where every dataset from the query result list is restricted to one line for a specimen. Please keep in mind, that in this view, you can only see a limited part of the data. So for example you will only see the last identification of an organism. This is demonstrated in the image below, where two organisms, indicated with the red arrows will not appear in the grid. If you use the grid mode for the organisms, all organisms will appear with their last identification.

Customize visibility of fields

The selection of the visible fields can be adapted in the tree above the list. Change the selection of the columns and click on the [Set columns] button.

Customize column width and sequence

To adapt the width of the columns or the height of the rows either drag the border with the mouse, double click the border to get the optimal size for one column or click on the [image] button for an optimal height of the rows or the [image] button for an optimal width of the columns. To change the sequence of the columns, just use your mouse to drag the columns to the position of your choice. These changes will be saved for the next time you use the grid mode. To return to the original sequence of the columns, click on the [Reset sequence] button.

Sorting of the data

To sort the data in the grid just click in the header of the column which you want to use as sorting column. The sorting sequence will be kept even if you change values in this column. That means that if you change a value in the sorting column the changed dataset will be placed at the new position according to its new value. The sorting of a column will be indicated an arrow for the direction of the sorting (up or down) and by a thicker right border of this column (see image below).

Find and replace

To use the find and replace functions you must either select a part of the field in this column or click on the [image] button to select the whole column. Then choose the function you want to apply (remove, insert, append or replace). To replace a part of a text in the selected fields, enter the text that should be replaced and the replacement in the corresponding fields. To start the replacement click the [image] button. To insert a string to the beginning of all entries in the selected fields, click the [image] button. To append a string to all entries in the selected fields, click the [image] button. To remove all entries from the selected fields click the [image] button.

Transfer from spreadsheet

You can transfer data from a spreadsheet, e.g. Excel or Calc. Copy the columns of these data in the spreadsheet and then in DiversityCollection, click in the upmost left cell where these data should be inserted and use the context menu (click the right mouse button) to insert the data.

Editing

Some columns can not be edited directly but are linked to external modules or services. These columns appear as buttons. Just click on the button the call the service. If a value is linked to an entry in an external module, the background will change to yellow and you can not change the text.

Together with the links (in the example above Link to DiversityAgents), you can select columns that provide the possibility to release the links to the modules (e.g. Remove link for collector in image above). These columns will appear as buttons [image] . Just click on the button related to a link to release the link to the corresponding module. After that you can edit the text field containing the linked value.

Some values are linked to a list of values. Use the drop down list to change the value in one of these columns.

If you click in the empty line at the base of the data grid, you will be asked if you want to create a new dataset. The program will ask you for a new accession number and the project of the new dataset. Another way to create a new dataset is the copy button [image]. Just click in the line you want to create a copy of and then click on the copy button [image]. For details see the data section. A copy of the dataset will be inserted at the base of the datagrid.

In the grid view for the organisms parts of the colums can not be edited. These columns contain data that can be related to several organisms. This is indicated by a gray background.

Saving the data

To save all changes click on the [image] button. To undo all changes since the last time the datasets were saved, click on the [image] button. To save the changes in the current dataset, use the [image] button. To undo the changes in the current dataset, click the [image] button. If you click the [OK] button, you will be asked if you want to save the changes before the window will be closed. If you click the [Cancel] button or close the window your changes will not be saved. To save the data shown in the grid in a tab delimited file, click on the [image] button.

Inserting new data

To insert a new dataset, just click in the last empty line of the datagrid. The programm may ask you to specify a project in which the new data should be placed. In the grid for the organisms a window as shown below will open.

Here you have the option to insert the new dataset of the organism in the last specimen in the grid or to create a new specimen for the organism. In the second case you can specify the accession number of the new specimen. Use the [Find Acc. Nr.] button to search for the next free accession number in the database, that matches your entry in the [Accession number] field.

For new datasets you can specify certain project settings, e.g. the material category of a part of the specimen. The taxonomic group of a new organism will correspond to the first organism in your last specimen unless you specify a certain taxonomic group in the project settings for the project you are working in. To enter or change a setting you need the module DiversityProjects. For further information please turn to the documentation provided with this module.

Copy data

To copy a dataset, select the line of the datagrid that you want to create a copy of and click on the [image] button. A window will open where you can choose several options for your copies. In the first tab choose in which way the Collection event - if present - for the new datasets should be created.

In the Accession number Tab you can search for or type the accession number you want for you new dataset (see below).

In the Number of copies tab you can specify the number of copies. If you checked Create an accession number for the new dataset, the program will list all accession numbers that will be created (see below).

If you do not want to create new accession numbers for the copies the list will not be shown (see below).


GridUnit

Grid mode for the organisms

To edit the data of the organisms in a data grid, choose the Grid mode [image] for the organisms [image] from the menu. A window will open where every dataset from the query result list is restricted to one line for an organism. Please keep in mind, that in this view, you can only see a limited part of the data. So for example you will only see the last identification of an organism.

Customize the window

To change the width and sequence of the columns, just use your mouse to drag the columns to the position of your choice or adapt the width to your preference. These changes will be saved for the next time you use the grid mode. To return to the original sequence of the columns, click on the [Reset sequence] button.

To adapt the width of the columns or the height of the rows either drag the border with the mouse, double click the border to get the optimal size for one column or click on the [image] button for an optimal height of the rows or the [image] button for an optimal width of the columns.

The selection of the visible fields can be adapted in the tree above the list. Change the selection of the columns and click on the [Set columns] button.

Analysis

In this grid you can edit up to 10 different types of analysis where only the last analysis will be shown for each type. By default the available analysis types will be generated dynamically depending on the data. If you need an additional type in the grid, just return to the main form and enter this type in one of the datasets. If you want to specify which analysis you want to see in the grid, you can set the list in the options. Click on the [image] button to open a window as shown below.

Here you can restrict the range of the dates of the analysis an the types of the analysis that should be shown. To change the entries in the list use the [image] and [image] buttons to add or delete entries. id you can either ... or define the analysis you want to see in the grid edit up to 10 different types of analysis where only the last analysis will be shown for each type. The available analysis types will be generated dynamically depending on the data. If you need an additional type in the grid, just return to the main form and enter this type in one of the datasets.

Sorting of the data

To sort the data in the grid just click in the header of the column which you want to use as sorting column. The sorting sequence will be kept even if you change values in this column. That means that if you change a value in the sorting column the changed dataset will be placed at the new position according to its new value. The sorting of a column will be indicated an arrow for the direction of the sorting (up or down) and by a thicker right border of this column (see image below).

Handling the data

Some columns can not be edited directly but are linked to external modules or services. These columns appear as buttons. Just click on the button the call the service. If a value is linked to an entry in an external module, the background will change to yellow and you can not change the text.

Together with the links (in the example above Link to DiversityAgents), you can select columns that provide the posibility to release the links to the modules (e.g. Remove link for collector in image above). These columns will appear as buttons [image] . Just click on the button related to a link to release the link to the corresponding module. After that you can edit the text field containing the linked value.

Some values are linked to a list of values. Use the drop down list to change the value in one of these columns.

If you click in the empty line at the base of the data grid, you will be asked if you want to create a new dataset. The programm will ask you for a new accession number and the project of the new dataset. Another way to create a new dataset is the copy button [image]. Just click in the line you want to create a copy of and then click on the copy button [image]. For details see the data section. A copy of the dataset will be inserted at the base of the datagird.

In the grid view for the organisms parts of the colums can not be edited. These columns contain data that can be related to several organisms. This is indicated by a gray backgroud.

Find and replace

To use the find and replace functions you must either select a part of the field in this column or click on the [image] button to select the whole column. Then choose the function you want to apply (remove, insert, append or replace). To replace a part of a text in the selected fields, enter the text that should be replaced and the replacement in the corresponding fields. To start the replacement click the [image] button. To insert a string to the beginning of all entries in the selected fields, click the [image] button. To append a string to all entries in the selected fields, click the [image] button. To remove all entries from the selected fields click the [image] button.

To save all changes click on the [image] button. To undo the all changes since the last time the datasets were saved, click on the [image] button. To save the changes in the current dataset, use the [image] button. To undo the changes in the current dataset, click the [image] button. If you click the [OK] button, you will be asked if you want to save the changes before the window will be closed. If you click the [Cancel] button or close the window your changes will not be saved. To save the data shown in the grid in a tab delimited file, click on the [image] button.

To copy a dataset, select the line of the datagrid that you want to create a copy of and click on the [image] button. A copy of the selected dataset will be added at the base of the spreadsheet.


GridPart

Grid mode for the parts of the specimen

To edit the data of the parts in a data grid, choose the [image] Grid mode for the [image] Parts... from the menu. A window will open where every dataset from the query result list is restricted to one line for a part. Please keep in mind, that in this view, you can only see a limited part of the data. So for example you will only see the last processing or analysis of a certain type of a part.

Customize the window

To change the width and sequence of the columns, just use your mouse to drag the columns to the position of your choice or adapt the width to your preference. These changes will be saved for the next time you use the grid mode. To return to the original sequence of the columns, click on the [Reset sequence] button.

To adapt the width of the columns or the height of the rows either drag the border with the mouse, double click the border to get the optimal size for one column or click on the [image] button for an optimal height of the rows or the [image] button for an optimal width of the columns.

The selection of the visible fields can be adapted in the tree above the list. Change the selection of the columns and click on the [Set columns] button.

Analysis

In this grid you can edit up to 10 different types of processings where only the last analysis will be shown for each type. To specify which analysis you want to see in the grid, click on the [image] button to open a window as shown below.

Here you can restrict the range of the dates of the analysis and the types of the analysis that should be shown. To change the entries in the list use the [image] and [image] buttons to add or delete entries. For taxonomic groups that miss have certain types of analysis, the columns will be blocked.

Processing

In this grid you can show up to 5 different processings where only the last processings will be shown. You can define a time range for the processings that should be shown and / or restrict the processing to a certain type (see image below). For material categories that miss certain types of processings the columns will be blocked.

Sorting of the data

To sort the data in the grid just click in the header of the column which you want to use as sorting column. The sorting sequence will be kept even if you change values in this column. That means that if you change a value in the sorting column the changed dataset will be placed at the new position according to its new value. The sorting of a column will be indicated an arrow for the direction of the sorting (up or down) and by a thicker right border of this column (see image below).

Selecting of the data

To restrict the data in the grid you can filter on an entry. Select the entry for which you want to filter an click on the [image] button. To remove data from the grid, select the rows that should be removed and click on the [image] button.

Handling the data

Some columns can not be edited directly but are linked to external modules or services. These columns appear as buttons. Just click on the button the call the service. If a value is linked to an entry in an external module, the background will change to yellow and you can not change the text.

Together with the links (in the example above Link to DiversityAgents), you can select columns that provide the posibility to release the links to the modules (e.g. Remove link for collector in image above). These columns will appear as buttons [image] . Just click on the button related to a link to release the link to the corresponding module. After that you can edit the text field containing the linked value.

Some values are linked to a list of values. Use the drop down list to change the value in one of these columns.

If you click in the empty line at the base of the data grid, you will be asked if you want to create a new dataset. The programm will ask you for a new accession number and the project of the new dataset. Another way to create a new dataset is the copy button [image]. Just click in the line you want to create a copy of and then click on the copy button [image]. For details see the data section. A copy of the dataset will be inserted at the base of the datagird.

In the grid view for the parts, a part of the colums can not be edited. These columns contain data that can be related to several parts. This is indicated by a gray backgroud.

Find and replace

To use the find and replace functions you must either select a part of the field in this column or click on the [image] button to select the whole column. Then choose the function you want to apply (remove, insert, append or replace). To replace a part of a text in the selected fields, enter the text that should be replaced and the replacement in the corresponding fields. To start the replacement click the [image] button. To insert a string to the beginning of all entries in the selected fields, click the [image] button. To append a string to all entries in the selected fields, click the [image] button. To remove all entries from the selected fields click the [image] button.

To save all changes click on the [image] button. To undo the all changes since the last time the datasets were saved, click on the [image] button. To save the changes in the current dataset, use the [image] button. To undo the changes in the current dataset, click the [image] button. If you click the [OK] button, you will be asked if you want to save the changes before the window will be closed. If you click the [Cancel] button or close the window your changes will not be saved. To save the data shown in the grid in a tab delimited file, click on the [image] button.

To copy a dataset, select the line of the datagrid that you want to create a copy of and click on the [image] button. A copy of the selected dataset will be added at the base of the spreadsheet.


GridEvent

Grid mode for the collection events

To edit of the collection events the data in a data grid, choose the Grid mode [image] for the event [image] from the menu. A window will open where every dataset from the query result list is restricted to one line for a collection event. Please keep in mind, that in this view, you can only see a limited part of the data. So for example you will only see a part of the localisations (see below).

Customize the window

To change the width of a column, just use your mouse to adapt the width to your preference. To hide or show parts of the window use the [image] button for the setting of the visible columns, the [image] button for the hierarchy tree and the [image] button for the images in the upper right corner of the window. If the hierachy tree is visible ( [image], see below), you have access to the collection event series linked to the collection events where you can edit the hierarchy (via drag & drop). Please keep in mind, that ramifications within the hierarchy can only be realized using event series [image] with collection events [image] placed within these and specimen [image] placed within the collection events. To insert a new event series use the [image] button below the tree.

To change the width and sequence of the columns, just use your mouse to drag the columns to the position of your choice or adapt the width to your preference. These changes will be saved and for the next time you use the grid mode. To return to the original sequence of the columns, click on the [Reset sequence] button.

Customize visibility of fields

The selection of the visible fields can be adapted in the tree above the list. Change the selection of the colums and click on the [Set columns] button.

Sorting of the data

To sort the data in the grid just click in the header of the column which you want to use as sorting column. The sorting sequence will be kept even if you change values in this column. That means that if you change a value in the sorting column the changed dataset will be placed at the new position according to its new value. The sorting of a column will be indicated an arrow for the direction of the sorting (up or down) and by a thicker right border of this column (see image below).

Formatting the grid

To adapt the width of the columns or the height of the rows either drag the border with the mouse, double click the border to get the optimal size for one column or respectively or click on the [image] button for an optimal height of the rows or the [image] button for an optimal width of the columns.

Handling the data

Find and replace

To use the find and replace functions you must either select a part of the field in this column or click on the [image] button to select the whole column. Then choose the function you want to apply (remove, insert, append or replace). To replace a part of a text in the selected fields, enter the text that should be replaced and the replacement in the corresponding fields. To start the replacement click the [image] button. To insert a string to the beginning of all entries in the selected fields, click the [image] button. To append a string to all entries in the selected fields, click the [image] button. To remove all entries from the selected fields click the [image] button.

Editing

Some columns can not be edited directly but are linked to external modules or services. These columns appear as buttons. Just click on the button to call the service. If a value is linked to an entry in an external module, the background will change to yellow and you can not change the text.

Together with the links (in the example above Link to DiversityAgents), you can select columns that provide the posibility to release the links to the modules (e.g. Remove link for collector in image above). These columns will appear as buttons [image] . Just click on the button related to a link to release the link to the corresponding module. After that you can edit the text field containing the linked value.

Some values are linked to a list of values. Use the drop down list to change the value in one of these columns.

Saving the data

To save all changes click on the [image] button. To undo the all changes since the last time the datasets were saved, click on the [image] button. To save the changes in the current dataset, use the [image] button. To undo the changes in the current dataset, click the [image] button. If you click the [OK] button, you will be asked if you want to save the changes before the window will be closed. If you click the [Cancel] button or close the window your changes will not be saved. To save the data shown in the grid in a tab delimited file, click on the [image] button.


GridSeries

Grid mode for the collection event series

To edit the data in a data grid, choose the Grid mode [image] for the collection event series [image] from the menu. A window will open where every dataset from the query result list is restricted to one line for a collection event series (see below).

Customize the window

To change the width of a column, just use your mouse to adapt the width to your preference. To hide or show parts of the window use the [image] button for the tree, the [image] button for the images and the [image] button for the maps in the upper right corner of the window. If the parts are shown, the icon will have red backgound e.g. .

History and feedback

To inspect the history of a dataset, click on the [image] button. A window will open as described in the history chapter. To send a feedback, use the [image] button. Details are described in the feedback chapter.

Sorting of the dataaa

To sort the data in the grid just click in the header of the column which you want to use as sorting column. The sorting sequence will be kept even if you change values in this column. That means that if you change a value in the sorting column the changed dataset will be placed at the new position according to its new value. The sorting of a column will be indicated an arrow for the direction of the sorting (up or down) and by a thicker right border of this column (see image below).

Handling the data

To save the changes click on the [image] button. To insert new datasets use the [image] button for a collection event series and the [image] button for a collection event.


Event

Collection event

Specimens stored in a collection are gathered during a collection event. This collection event keeps information about the geographic locality, the habitat, the collection date etc. During an collection event, several specimens may have been collected. To create a new event for a specimen click on the [image] button. If a specimen is not assigned to a collection event, you can assign the specimens to an existing event with a click on the [image] button. If you assign the specimen to an existing event, a window will open as shown below where you can search for the events already included in the database. Choose an event and click OK to assign the specimen to this event. If you click OK without selecting any collection event, the current collection event will be removed from the collection specimen.

In the tree view, the collection event is symbolized with an [image] icon as shown below.

The collection events can be organized in a hierarchy either by using the collection event series or sampling plots. If your collection events belong e.g. to an expedition you should prefer to used collection event series for the organization.

If your samples are taken e.g. on a regular basis from permanent sampling plots, you may prefer to use the module DiversitySamplingPlots to document the geography and other details of the sampling plots and use the collection events only to document the collection date.

To edit the data of the collection event, choose it in the tree view to open the detail fields as shown below. If the collection date does not correspond to a certain day, you may use the Suppl. field to enter e.g. a range or a series of dates or the T.span field to document a certain timespan.

The text shown in the tree view is composed of the date of the collection event and the description of the locality. For each collection event you can enter several geographical localisations and properties. To see the locality according to the coordinates stored in the database you can check the Maps. For each collection event you can enter images related to this event.

If other specimens were collected during the same collection event, this will be visible if you show the whole hierarchy of the event series. To do this click on the [image] button in the panel on the left of the tree. See event series for further details. Here you can move a specimen to another event by drag and drop.

Data are stored in the table CollectionEvent.


EventSeries

Collection event series

If you need a hierarchical order of your collection events respectively to organise your collection events e.g. to document expeditions, you can do this with a collection event series. For a better differentation between events and collection event series you have a blue text in the hierarchy and the editing part and a different icon [image]. A collection event series can contain other collection event series and collection events. Information about the geographic locality, properties of the collection site, the date of collecting etc. are stored in the collection event. To show or hide the collection event series you have two options. In the panel of the left of the tree the [image] button will show the superior event series of the current collection event as shown below.

The [image] button will show the whole hierarchy of the event series as shown below.

To edit the data of an event series, select it in the tree to display the fields with the details as shown below.

To insert the geography of a collection event series, click on the [image] button. A window will open, where you can edit the gegraph using the GIS editor.

To insert a new collection event series click on the [image] button. If there are no collection event series so far, the collection event will be placed within the new collection event series. If there are collection event series present, the new collection event series will be placed below the selected collection event series. To assign an collection event to an existing collection event series already available in the database click on the [image] icon.

To move an item within the hierarchy, just drag it with the mouse to whatever position it should be placed. Keep in mind, that specimens can only be placed in collection events and collection events only in collection event series.

If you want to delete a collection event series or an collection event, remove all depending collection event series, events and specimens and click on the [image] button. A specimen can not be deleted here. If you want to remove a collection event from a collection event series, click on the [image] button to open the window for selecting a collection event series. Then select nothing but simply click OK to remove the link to the collection event series.

The images for a collection event series are shown below the data of the collection event series as shown below.To add images to a collection event series, click on the [image] button, to remove an image use the [image] button.

To zoom a sector of the image, just drag the mouse over the image. A red square will indicate the zoomed area. To set the size of the image to the original resolution click on the [image] button. To adapt the size of the image to the available space in the form click on the [image] button. To change the orientation of the image use the appropriate buttons ( [image] flip horizontal, [image] flip vertical, [image] rotate right, [image] rotate left). To view the image in a separate form, click on the [image] button. If the image should not be published e.g. on the internet, enter any reason in the Withhold. reason - field. Next to images you can store other media.

If you want to change to another specimen listed in the collection event series select it in the hierarchy and click on the [image] button.

The current specimen together with the event and all superior collection event series will be highlighted.

The collection event series can contain a geographical object (using WGS84), that means e.g. a point, a line, an area etc. To edit resp. show the geographical object related to the collection event series click on the [image] button in the [image] control to show the maps and use the GIS editor [image] .

The data about the collection event series are stored in the table CollectionEventSeries.


Event images

The specimens stored in a collection are gathered during a collection event. To insert an image related to a collection event click on the [image] button. If you want to delete an image, click on the [image] button. For more details see the section images .

If for any reason, an image should not be published i.e. shown on a website, enter the reason in the field Withholding reason. Only images where this field is empty will be shown e.g. on websites.

Data are stored in the table CollectionEventImage.


Geography

As additional information to the description of the locality you can use several localisation systems, e.g. georefencing. These entries are marked with an [image] icon in the tree as shown below.

To add a new entry choose the localisation system from the drop down list as shown below. Only items that are not already set for a collection event will be shown. The items that are visible in the dropdown list can be customized.

If a localisation should be removed, select it from the list and click on the [image] button.

GIS editor

To define an area of any kind for the locality, you can use the GIS editor. For further details please see the help pages in the corresponding pages.

Coordinates (WGS84)

If you use geo-coordinates as georeferencing system (coordinates WGS84), a button [image] will appear, that will provide you with the possibility to set or correct the coordinates via Google Maps. Just click on the [image] button, and a window will open where you will see a map provided by Google Maps as shown below. If there are allready coordinates provided by a different localisation e.g. by the DiversityGazetteer, these will be taken as a starting position. So you may use an entry for a named area (DiversityGazetteer) as a approximate localisation and than additional coordinates as the more accurate localisation.

If you start with existing geographic coordinates (WGS 84) in your data, the system will use these as starting point. You can zoom the map, drag it to another position and change from map to satellite mode. The actual position is symbolized by the [image] symbol in the middle of the map. The current coordinates are shown in the field at the buttom of the map. To take these coordinates in your data, just click OK.

With the [image] Set start coordinates button you can set the coordinates where GoogleMaps should use as a starting position.

Please keep in mind, that Google Maps coordinates are based on WGS84.

If there are no entries for the altitude and the named area, these data will be retrieved from the webservice ws.geonames.org and entered into the database. The source will be documented in the Notes field. Subsequent changes in the coordinates using the GoogleMaps function will update the altitude and named area entries provided they are derived from a webservice (ws.geonames.org) as documented in the Notes field.

Please keep in mind, that the place names provided by ws.geonames.org may differ from those depicted in GoogleMaps.

To enter the localisations listed above, just enter the Coordintes WGS84 and the Altitude and Named area will be added automatically.

Named areas - DiversityGazetter

To edit the details of an entry, select in the list to open the fields in the form on the right. The localisation system DiversityGazetteer is linked to the module DiversityGazetteer within the Diversity Workbench, providing information on geographical names as shown below.

TK25 (MTB)

If you choose MTB resp. TK25, the button [image] will open a window where you can set the TK25 together with the quadrant (see image below). Choose the quadrant, depending on your preferred resolution. The thick line shows the current quadrant, the thin line the whole TK25. The needle in the center is placed at your current position. If you click on it, a messagebox will show you the TK25 informations as shown below.

If you click [OK], the values for the values for the TK25 together with the coordinates of the center of the selected quadrant will be taken into the database.

Conversion of values

The values for any localisation system are stored in two text fields. You can enter your values as simple text. This may prevent any calculations with your values. So you should prefer to enter your values according to the measurement units available. Whatever antique measurement units like feet or Fahrenheit may exist, within the Diversity Workbench measurement data are stored in units according to the Système international d’unités (SI). For those who still need to use these units DiversityCollection provides a possibility to convert them into their modern counterparts. To enter a numeric value choose the unit you prefer from the list. The form will change as shown below.

You can then edit the values and click on the [image] button to take the changed values in your data. The system will calculate the corresponding value for storage in the database together with the default accuracy. Correct this accuracy if you have more exact values. To indicate that the shown values are calculated from the values in the database the fields have a green background. When you save the data, DiversityCollection will store geographic coordinates and the average altitude where available in separate fields.

The altitude, the exposition or the slope may be entered as one value or as a range of two values. If you use the conversion function and have only one value, make sure, that the second field is empty.

Available units: meter and feet.

Available units: Orientiation (N, NE, ... ) and degree rel. to North.

Available units: degree and percent.

The accuracy resp. uncertainity will be calculated as an approximation in parts derived from Wieczorek, J. 2001 (MaNIS/HerpNet/ORNIS Georeferencing Guidelines. University of California, Berkeley: Museum of Vertebrate Zoology) and in parts according to Wieczorek, J., Q. Guo, and R. Hijmans 2004 (The point-radius method for georeferencing locality descriptions and calculating associated uncertainty. International Journal of Geographical Information Science 18: 745-767). The unit of the accuracy will always be the unit stored in the database according to the Système international d’unités (SI) resp. degrees for angles.

The data for the geography are stored in the table CollectionEventLocalisation.


EventMaps

Maps of samples in the database

If there are WGS84 coordinates available for your collection site, an event series or single organisms, you can use GoogleMaps to display these locations.

To use this service, you need access to the internet. Click on the [image] button in the [image] control to show the maps. Here you can display maps of [image] Collection event series, [image] Collection event, [image] Organism as well as [image] Distribution maps. To display the maps you can either use the [image] browser, the [image] GIS viewer or the [image] GIS editor. By default the map will show the location of the collection event using the browser as shown below.

For the [image] collection event series, the [image] collection event or the [image] organism you can use any geographical object like points, lines, areas and the like to describe the location. The browser will allways display these objects as points (see left image below) while with the GIS editor you can see and edit the real objects (see right image below).

The data of the geographical objects are stored in the table CollectionEventSeries for the collection event series,the table CollectionEventLocalisation for the colletion event and the table IdentificationUnitGeoAnalysis for the organisms.


Sampling plots

If your samples are collected at constant sampling plots you can use the module DiversitySamplingPots to describe these sampling plots. For a better differentation between events and the sampling plots you have a brown text in the hierarchy and a different icon [image]. A sampling plot can contain other sampling plots and collection events. Information about the geographic locality and properties of the collection site can be stored in the sampling plot, while the date of collecting must be stored in the collection event. To show or hide the sampling plots you have two options. In the panel of the left of the tree the [image] button will show the superior sampling plots of the current collection event as shown below.

The [image] button will show the whole hierarchy of the sampling plots as shown below.

If you select a sampling plot in the hierarchy, two button will appear in the bar left from the tree. With the [image] button, you can retrieve a taxon list for the sampling plot and with the [image] button you can retrieve a summary of the informations about a sampling plot (see image below).

To edit the data of a sampling plots please use the module DiversitySamplingPlots.

The link to the module DiversitySamplingPlots is stored in the table CollectionEventLocalisation.


Habitat

Habitats and properties of the collection site

For the description of the habitat select the collection event [image] or an existing collection site property [image]. The description is entered in the field Description of the habitat (see below).

To enter a new property of the collection site, select the collection event [image] or an existing collection site property [image] and then choose the type of the property you want to enter from the dropdown menu as shown below. Only items that are not already set for a collection event will appear in the list. You can customize the selection of visible items.

The list is dependent on the availability of terminologies for site descriptions. Details for the property can be entered if you choose the item in the hierarchy. The person responsible for the entry as well as notes can be entered in the corresponding fields as shown below.

To delete entries use the [image] button. You can enter a value by either typing the name of the collection site property or by selection from the module DiversityScientificTerms. To search for properties from this module click on the [image] button. As responsible user the name of the current user will be inserted. You may change this by either typing or selection from the module DiversityAgents.

The data concerning the habitats are stored in the table CollectionEventProperty.


Specimen

Specimens

Specimens are the entities stored in a collection. For handling the data use the appropriate buttons (new specimen [image], copy [image], delete [image] ). See the data section for further details. Directly attached to the specimen are the data about accession, label, exsiccatae, notes, reference and the availability. A specimen may be composed of several units. Any problems concerning the specimen should be entered into the problems field.

The header of the main window shows some important parameters for the specimen selected. On the left side the accession number is shown. In the center you find the last identification of the main identification unit according to the display order. The next field shows the internal ID's (field CollectionSpecimenID in table CollectionSpecimen and CollectionEventID in table CollectionEvent) and the Versions for the specimen and the collection event. For details about the version of a dataset see the version topic. The availability of a specimen can be changed by entering an appropriate reason in the field Withholding reason.

If the specimen is a type, the header will show the type state and the identification connected with the type (see below).

To inspect the history of a specimen click on the [image] button. For further details see the history section.

With the [image] buttons you can control the upper part of the window with the maps [image], the images for the collection event [image] and the specimen [image] as well as the label print [image]. The buttons with the corresponding sector visible in the window are depicted with a red [image] background. If there are images available and they are hidden, the background will turn to yellow [image].

The data are stored in the table CollectionSpecimen.


Data

The controls for the handling of datasets in the database are located in the left upper part of the window as shown in the image below. A step-by-step introduction for the creation of new datasets is provided in the tutorial.

- To SAVE the changes in a dataset, click on the [image] button. If you select another dataset from the result list, the current changes will be saved automatically.

- To UNDO the changes in a dataset, click on the [image] button. This will recover the original data unless the changes had been saved or changes were done in certain tables or hierarchies were the data must be stored to display the hierarchy.

- To create a NEW entry in the database, click on the [image] button. This will create a new record of a specimen and show it in the result list.

- To COPY the data of a specimen record, choose it from the list and click on the [image] button. If you want to create multiple copies of your specimen, use the corresponding function in the grid mode. If the specimen you want to copy is linked to a collection event, a window will open and provide you with several possibilities for the copy as shown below.

The field [New accession number]: You can change this number manually or search for another number using the [Find the next free accession number after:] button. If you change the accession number to a value that is already present in the database, you will get a warning and the color of the field will change as shown below.

If you do not want to create an accession number, just uncheck the [Create an accession number for the new dataset] checkbox. By default all organisms and identification will be copied into the new dataset. If you dont want to copy this infomation, uncheck the [Copy all organisms and identifications into the new dataset] checkbox.

If the original dataset contains informations about the collection, you have 3 options to handle these data. By default the new specimen will be placed into the same collection event, that means no new dataset for the collection event will be created (see image below). The second option will create a copy of the original data for the collection event and connect the copy of the specimen record with the new event. The last option will only copy the specimen data and establish no connection to any collection event. If you decide not to copy anything, just close the window.

After all options are set, just click the OK button to create the new entry.

- To DELETE a dataset, select it in the list and click on the [image] button.


TreeSpecimen

Tree for the specimen

The upper tree in the window provides an overview for all the data linked with the specimen. With the buttons in the left panel you can hide or show certain nodes in the tree. So if for example you do not want to see the collectors, just click on the [image] button and they will be hidden in the tree. The button will change to a grey version [image] and the background will turn to yellow to show that there are hidden data of the collectors.

If the collection event is part of a collection event series, a drop down button will appear, where you can select between 3 states:

  • = show the parent event series
  • = show the whole hierarchy of the event series
  • = hide the event series

If the collection event is linked to a sampling plot, a drop down button will appear, where you can select between 3 states:

  • = show the parent sampling plots
  • = show the whole hierarchy of the sampling plots
  • = hide the sampling plots

If both options are available, you can choose between either the collection event series or sampling plot hierarchy. If the whole hierarchy for the event series or the sampling plots are displayed, the items not inculded in the current dataset will be desplayed with gray icons, e.g. . To change to one of these, use the [image] button. For the events, the event series, the plots and the specimen a [image] button will appear, that will give you access to a taxon list of the selected item.

The panel on the right side of the tree is for editing the data, like for example the [image] button will insert a new collector. For further details see the special sections.


Display order

The display order defines the sequence in which the units within this specimen will appear on e.g. a label. The first unit will be printed in the header of the label, others are included in the text below. You can change the display order by using the [image] [image] buttons. If a unit should not appear on the label, transfer it to the hide list using the [image] button. The [image] button returns it to the list that will be shown on a label. The first unit can not be transferred to the hide list. The upper part shows the display orders of the units within the whole specimen, the lower part the display orders in a specimen part. If you print a label without reference to a part, the display order for the whole specimen as in the upper part will be used. This part is also accessible if you click on the [image] button in the right panel of the upper tree, which will appear if you e.g. select the specimen.

If you print a label with reference to a part, the display order for the part as in the lower part will be used. This area will be shown when you select a specimen part in the lower tree. In addition to the display order you can specify whether an organsim is present in a selected part of a specimen.


Accession

The accession of a specimen in a collection is documented with its accession number and if available the date of the accession.

If the specimen was received from another collection, this may be documented with the name of the depositor and the number in the original collection (Dep.Nr).

If the current project (= as selected in the query list) contains a duplicate of the accession number, a [image] button as shown below will appear where you can change to the specimen with the duplicate accession number .

If a new specimen is entered you can use the [image] button to search for the next free accession number. A window will open as shown below, where you can start the search. The search will start with the number you give as a starting point.

The system will try to find the next free number on the basis of the accession numbers available in the database. Click OK to use the number for the specimen.

Data concerning the accession and deposition are stored in the table CollectionSpecimen.


Specimen Image

Specimen images

To see the specimen images activate the [image] icon in the image selector [image]. If you choose the option View - Show existing images from the menu, the images will automatically be shown. Each specimen may be documented with several images. The images may be stored local with its path or as a reference to the module DiversityResources within the Diversity Workbench. To enter a new image, click on the [image] button. For more details see the section images .

To delete an image, select it from the list and click on the [image] button (see below).

To document the relation of an image to an organism or a part of the specimen, choose the corresponding entries from the drop down lists. To restrict the display of the images to either those images that are related to a certain part or a certain organism within the specimen, click on the [image] button in the corresponding areas. The buttons will get a red backgroud [image] to remind you about the restriction and next to the image list a button [image] will appear that enables you to show all images again.

To enter a description for an image, click on the [image] button (see the chapter image description for further details).

Data are stored in the table CollectionSpecimenImage.


Projects

Every collection specimen can be assigned to any number of projects. To assign a specimen to a project click on the [image] button. To remove it from a project, select the project from the list and click on the [image] button.

If there are projects, to which you have no access to, these will be listed in a separate list at the top as shown below.

To transfer all selected specimen in an additional projects, choose Data -> [image] Transfer -> [image] To project... from the menu. A window will open, where you can select the project to which the specimen should be added.

Data are stored in the table CollectionProject.

Details upon the projects within the Diversity Workbench are stored in the database DiversityProjects. To open a project to see further information upon a project click on the [image] button. To edit details in the projects you need the application DiversityProjects.exe in your application directory and access to the database DiversityProjects. To synchronize the projects listed in DiversityProjects you can use the synchronize functionality in the user administration window as shown below. If DiversityProjects is not available you can create a new project with the [image] button. If DiversityProjects is available, use the synchronize functionality [image].

The ER-diagramm below shows all tables with direct relations to the project tables. For more details the sections analysis, processing and image description.


Notes

Notes and problems

To enter notes or problems connected with the specimen select it in the hierarchy. The data form will then open the corresponding fields. The Original notes are the notes found on the label of the specimen, made by the original collector or from a later revision. Additional notes are those made by the editor of the specimen record, e. g. doubtful identification or locality.

In the Problems area enter the description of a problem that occurred during data editing. Typically these entries should be deleted after help has been obtained. Do not enter scientific problems here. Use Additional notes for such permanent problems!

The data are stored in the table CollectionSpecimen.

For notes to data made by users with no right to edit data, see the chapter annotation.


Organisms and identifications

Each specimen can contain several organisms and each organism may have been identified several times as shown in the image below.

To see the list of organisms within a specimen, collection event, event series or sampling plot, use the taxon list function.


Identification unit

The items or organisms in one collection specimen are regarded as identification units. One specimen can contain several identification units, e.g. an insect (1) feeding on a fungus (2) growing as a parasit on a plant (3). To add a new organism use the drop down menu as shown below to select the taxonomic group to which the new organism belongs to.

To specify the taxonmic groups that are shown in the drop down menu select Administration - Customize display ... from the menu.

The organisms of the specimen are shown in the tree. To edit the relations between the organisms just do this by drag and drop. The name of the organism under which the specimen is stored in the collection is underlined. To delete an organism select it in the tree and click on the [image] button.

To enter details about one of the organisms like the e.g. the gender or the life stage, select it in the tree. Then the fields for the details of this organism are shown in the right area of the window as shown below.

A description for an identification unit can either be entered with the unit, where you can type your description, use the combobox to select a description as found for the same taxonomic group in database or select a predefined description from a hierarchy. A further description can be entered for an identification unit within the part of a collection specimen.

Taxonomic hierarchy - family and order

The entries for the family and the order of the taxon are either set when linking to a taxonomic database or manually when no link to a taxonomic database exists.

If no link to a taxonomic database exists you may enter the family and the order after clicking on the [image] button. To transfer these entries to other specimens with the same genus use the maintenance functions as described under Maintenance - family and order.

Parts of units

If a unit contains parts that have to be documented, you can do this by setting the relation to the substrate to "Part of".

In the tree the backgroud of a part will be grey as shown below for the unit-tree und the tree depicting the storage of a sample. The name of the part will correspond to the identifier set for this part and the icon will correspond to the description of the part provided you choose one of the preset options contained in the drop down list. You may of course enter any description for the unit. A unit that is part of another unit can not get an identification. Identifications are restricted to the main unit.

For details about exsiccatal series and analysis see the related topics. You can sort your identification units e.g. for display on a label with the display order. Each identification unit can have several identifications.

If there are images that are related to the current organism, the button for the restriction of the images will be enabled ( [image] → [image] ). Click on it to restrict the images to this organism. The button will get a red backgroud [image] to remind you about the restriction and in the image list a button [image] will appear that enables you to show all images.

The data for the organisms are stored in the table IdentificationUnit.


Analysis

The organisms in a specimen can be analysed by analysis types defined in the database. In the tree the analysis entries are symbolized with an [image] icon as shown below. Only the types of analysis that were assigned to the group of the organism can be selected. An analysis always referes to an organism and may refer to a part of a specimen. An analysis that refers to a part of a specimen will be shown in the tree for the parts as shown in the examples below.

To show or hide the analysis items in the tree use the [image] button in the left panel. This button has 3 states. In the default state [image] the analyis entries will be shown as above. If you click a second time on the [image] button it will change to the hierarchy mode [image] and the entries will be shown as in the tree below. The last state [image] will hide the entries.

To insert a new analysis select the organism which has been analysed in the upper tree. Then select the type of the analysis from the drop down list as shown below.

To delete an analysis, select it in the tree and use the [image] button in the panel on the left. To edit the details of an analysis, select it in the tree to enter the fields as shown below. To enter or inspect an URI given for a single analysis, click on the [image] button.

If an analysis refers to a part of the specimen, you can document this by choosing the respective part from the list (see field Part above). The analysis will then be shown in the tree for the parts of the specimen as well. Alternatively you may directly choose the organism in the part tree and create the analysis for this part of the organism in the part tree.

If you need further information about an analysis click on the [image] button to open the window for the analysis administration. If you have the proper rights you can edit the analysis types used in your collection as shown below. This window is also accessible via the menu entry Administration - Analysis...

For the import and export of data it is sometimes necessary to know the ID's of the analyis types. To see the ID's, click on the ID button. Than the ID's will be shown as in the image below.

The types of an analysis are restricted by the taxonomic group of the organism or object to be analysed and from the projects. Edit the list of taxonomic groups resp. projects that can use a certain analysis using the [image] and [image] button. For details about handling the data see the data section. If you add a taxonomic group or a project to an analysis, all childs of this analysis will be available for these taxonomic groups resp. projects as well. So in the example above it is sufficient to enter the taxonomic group and the project in the analysis Mammals to have access to all the analysis within this superior analysis as shown in the tree. The types of analysis are organized in a hierarchy. Some of the entries may only serve for structuring as Mammals in the example above and should not be used to document the analysis of the specimen. To ensure this, check the checkbox [Only hierarchy].

There are 3 states for result lists in the main form. (1) No result list will be generated if a measurement unit is defined as for example if you specify "mm" as the measurement unit. (2) If no measurement unit is defined, the programm will collect all values given so far and present these values as a list. (3) Some types of analysis need categorized values. Enter these values together with their description in the Result list as shown below using the [image] and [image] buttons respectively. To show values different from the entries in the Result column in the user interface change the entries in the Display text column.

If you want to or inspect an URI given for an analysis type, click on the [image] button. In the window below the URL related to the analysis can be shown.

To view the history of a dataset, click on the [image] button. A window with the history will open. For more details see the section History.


GeoAnalysis

Geography of organisms

The geograhical position (using WGS84) of organisms can be captured related to the date to e.g. document a migration or the distribution of an organism. In the tree the geograhical entries are symbolized with an [image] icon as shown below.

To display the corresponding map, activate the maps and click on the [image] button. To edit an allready existing geography, use the [image] GIS editor.


Identification

Each organism or unit may have been identified several times. The identifications are listed in the tree under the organism as shown in the image below. To create a new identification choose the organism from the tree and click on the [image] icon. The last identification will always be taken as the valid one and set at the top of the list. To insert an older identification at the base of the list click on the [image] icon.

To hide / show the identifications in the tree click on the [image] icon on the right panel next to the tree. To enter a confirmation of a identification, choose it in the tree and then click on the [image] button. To delete an identification select it in the tree and click the [image] button. To enter details for an identification, choose it in the tree. You then can enter the details in the form opening on the right side of the tree as shown below.

The taxonomic name of an organism can be selected from either the names already available in DiversityCollection or from the module DiversityTaxonNames. To choose from the local names type the beginning of the name and click on the drop down button [image] to get a list of the available names. You can use wildcards according to SQL.

To select a name from an external database for taxonomic names, click on the [image] button. A window will open where you can search for a taxonomic name. In the database the data for the identification are stored in table Identification.


TaxonList

Taxon lists

To see the list of organisms within a specimen [image], collection event [image], event series [image] or sampling plot [image], click on the [image] button that will appear if you select one the corresponding items in the tree (see below).

A window as shown below will open, where you can gather additional informations stored in the modul DiversityTaxonNames.

To retrieve informations stored in the modul DiversityTaxonNames for names that are linked to this module, select the taxonomic group of the organism, then select the option [Include informations from taxonomic lists]. A combobox will appear where you select the taxonomic database. Next select the project in the combobox that gets visible and finially the analysis. After all options are selected, click the [image] button to requery the data. To export the results in a tab-separated list, use the [image] button.


TreePart

Storage and trees for the parts of the specimen

In the tree at the base of the window the parts of the specimen with their related data are shown. This tree depicts the parts either in accordance to their relation to each other in the specimen tree (click on the [image] icon in the panel on the left) ...

... or depending on the collections where the parts are stored (click on the [image] icon in the panel on the left).

With the buttons in the left panel you can hide or show certain nodes in the tree. So if for example you do not want to see the processings, just click on the [image] button and they will be hidden in the tree. The button will change to a grey version [image] and the background will turn to yellow, to show you that there are hidden data of the processings.

The panel on the right of the tree is for editing the data, like for example the [image] button will insert a new transaction. For further details see the sections Transaction and Processing .


Part

Parts of the specimen

A specimen can contain several parts which may be stored in several collections. These parts may represent different material categories, e.g. herbarium sheets, microscopic slides etc. The parts are shown in the part tree under the main tree. This tree depicts the parts either in accordance to their relation to each other in the specimen tree (click on the [image] icon in the panel on the left) - see first image below - or in relation to the collections where the parts are stored (click on the [image] icon in the panel on the left) - see second image below where the two parts of the specimen are located in two collections. To add a new part, use the drop down field [image] in the panel on the right of the tree and choose the material category of the new part. The material categories that appear in this list can be customized. You can set the default collection for new parts. If the default collection is not set, you will be asked to name the collection of the new part. If the part is derived from another part, select this in the tree before creating the new part. The new part will then be a child of the old part. You can later edit these relations by drag & drop. If you want to create a copy of a part, use the [image] button in the panel right of the tree.

If an organim is present in a part of the specimen, it will be shown in the tree. To edit the presence, select the specimen part in the tree and edit the Display order as shown below.

In the expample above, all organisms are present in the specimen, but the fungus Cystotheca lanestris was chosen to not appear on the label and transferred to the Hide list. This is symbolized by a grey icon [image] in the tree. You may enter a description for an organism as a whole every or for the organism within a certain part or. The slide, symbolized by the [image] icon, was created from the sample, so in the specimen tree it is shown as a child of the specimen symbolized by the [image] icon. Concerning the organisms, only the fungus Arthrocladiella is found on the slide. So in the tree it is the only organ ism shown as child of the slide. In the display order the two other organisms appear in the Units not in part list (see below).

To move the organisms between the lists use the > and < buttons. In the list Show in label you can change the sequence of the organisms with the [image] and [image] buttons in the panel at the base of the list. The organism at the top will be the one that will be taken as the main organism, e.g. for printing a label. To edit the details of a part, select it in the tree to open the fields as shown below.

The identifier, e.g. the taxonomic name under which the specimen can be found in the collection is entered in the field Storage location. You can search for this entry in the query.

To enter the storage location you can use the drop down button [image] to select from the identifications within the specimen. The drop down button [image] for the Notes will provide you with a list of all entries in this field, filtered with your entry in the text field. You may use wildcards like "%" or "_" (see wildcards).

In the collection tree, the specimen are to shown with their dependence upon each other, but where they are located with the collections. To get informations about a collection just select it in the tree. If you have the necessary rights, you can use the [image] button to open for the administration of the collections. This form is as well accessible under the menu entry Administration - Collections ...

The material category of a specimen part is indicated by the icon in the hierarchy.

Here some expamples:
bones: bones or skeleton from vertebrates
cultures: living cultures of organisms
drawing: original line or color drawing
herbarium sheets: capsules or sheets as stored in a botanical collection
icones: icones, images etc. stored in a botanical collection
micr. slide: glass plate with sections of specimen for microscopic studies
specimen: specimen stored in a collection

Specimens can be included in a transaction and every stored part of a specimen can be treated with several processings.

If there are images that are related to the current part, the button for the restriction of the images will be enabled ( [image] → [image] ). Click on it to restrict the images to this part. The button will get a red backgroud [image] to remind you about the restriction and in the image list a button [image] will appear that enables you to show all images.

To edit the parts of the specimens, see the chapter grid for parts.

Data are stored in the table CollectionSpecimenPart.


Processing

Every specimen can be processed, e.g. for preparation or preservation. Processings can be applied to a specimen or a part of a specimen. In the hierarchy for the parts the processings are indicated by the [image] icon and a blue text. If there are any processings available this will be indicated by the icon in the tool bar. Please keep in mind, that the availability of the processings depend upon the material category and the current project as described below. You can hide [image] or show [image] the processings in the hierarchy with a click on the icon. The images below show a processing in either the collection or the specimen tree for the parts.

You can enter a new processing for either the whole specimen or a part of the specimen. To do this select the specimen or a part in the hierarchy and then choose a processing from the list as shown below.

To delete a processing select it and click on the [image] button. To edit the data for a processing select it in the hierarchy. The window will show you the fields related to the processing as shown below.

In the window select the type of your processing from the list.

If you have the proper rights you can edit the processing types under the menu entry Administration - Processing...

In this window you can define the processings used in your collection. To add a new processing click on the [image] button, to delete a processing select it and click on the [image] button. The processings are related to material categories within the database. To add a new material category resp. projects that should be connected to the selected processing, click on the [image] button in the panel right of the material categories or the projects. A window will open and you have to select the material category resp. a project that should be connected with the processing (see below).

The processing types are organized in a hierarchy. Some of the entries may only serve for structuring as Mazeration in the example below and should not be used to document the processing of specimen parts. To ensure this, check the checkbox [Only hierarchy]. For the import and export of data it is sometimes necessary to know the ID's of the analyis types. To see the ID's of the datasets, click on the ID button. Than the ID's will be shown as in the image below.

To view the history of a dataset, click on the [image] button. A window with the history will open. For more details see the section History.

The data of the processing are stored in the table CollectionSpecimenProcessing.


Collector

The people or groups responsible for the gathering of the specimen are stored in the table CollectionAgent. There may be several collectors for one specimen. In the tree the collectors are symbolized by the [image] icon as shown below.

To hide or show the collectors in the tree use the [image] icon in the left panel (it will change to a grey version [image] with a yellow background when the authors are hidden). To insert a collector, choose either the specimen or an existing collector in the tree and then click on the [image] icon in the right panel. To enter details for a collector, select it in the tree. In the right part of the window the fields for the details will then displayed (see below).

If a collector should refer to a dataset in the module DiversityAgents (where more details like addresses may be stored) click on the [image] button. The sequence of the collectors (e.g. for print on a label) as shown in the tree can changed by with the [image] and [image] buttons in the panel on the right of the tree.

To remove a collector, select the entry in the tree and click on the [image] button.

You can search for the gathering numbers of the collectors in the query.

The data of the collectors are stored in the table CollectionAgent.


Relation

Each specimen may have relations to other specimens. This can be documented by adding relations to these specimens. To add a relation select the specimen in the tree (symbolized by the barcode [image]). Then you can either add a relation to a local specimen using the [image] button or a relation to a remote specimen using the [image] button. To show or hide the relations in the tree use the [image] and [image] buttons.

Internal relation

To add an internal relation to a local specimen use the [image] button. A window will open where you can search for the related specimen.

Select the related specimen from the query result list and click OK to close the window and establish the relation. In the left image below you can see an internal relation [image], while the image on the right shows a reverse relation [image] from another specimen.

In the case of internal relations you can navigate to the related specimens using the [image] button.

External relation

To add an external relation to a specimen that is not administrated in the database DiversityCollection use the [image] button. In the image below you can see a relation to a specimen in a external collection.

To delete a relation select it in the tree and click on the [image] button.

Editing the data

To edit the data for a relation, click on the entry in the tree. In the right part of the window the details of the dataset will be shown (see below).

The data are stored in the table CollectionSpecimenRelation.


Exsiccate

Exsiccatae

A specimen may be part of an exsiccatal series. These series are administrated in the Diversity Workbench module DiversityExsiccatae. To enter the exsiccatal series select the specimen or the organism resp. identification unit in the tree. With the specimen the exsiccatal series is shown at the base of the data form as shown below.

As there may be several organisms with separate exsiccatal numbers in one specimen the numbers are handled together with the identification units. Select the concerned organism to enter data in the form as shown below.

You can either type the name of the exsiccatal series or choose one from the module DiversityExsiccatae. If you click on the [image] A window will open showing the link to the entry as derived from the module.

The data about the exsiccatal series are stored in the table CollectionSpecimen, the data about the number and the taxon are stored in the table IdentificationUnit.


Images

To enter a new image, click on the [image] button. A window will open where you can enter the path and file name of the image. Click on the [image] button to search for a web address of an image as shown below.

To use an image available as a local file click on the [image] button to search in your local directories. You can upload this file via a webservice to the server of an institution providing the DiversityMediaService. To use this service you may rename your image either using a GUID or according to the accession number including date and time. Use the [image] upload button to upload your image to the server.

To delete an image, select it from the list and click on the [image] button.

To restrict the size of the images that zoom a sector of the image, just drag the mouse over the image. A red square will indicate the zoomed area. To set the size of the image to the original resolution click on the [image] button. To adapt the size of the image to the available space in the form click on the [image] button. To change the orientation of the image use the appropriate buttons ( [image] flip horizontal, [image] flip vertical, [image] rotate right, [image] rotate left). To view the image in a separate form, click on the [image] button. If the image should not be published e.g. on the internet, enter any reason in the Withhold. reason - field. Next to images you can store other media.

For the description of a medium, see the chapter Image description.

Data are stored in the tables CollectionSpecimenImage, CollectionEventImage, CollectionEventSeriesImage and CollectionImage.


Image description

Creating and editing templates

To enter a description for an image or a medium, a description template must have been designed for the current project. To do so, you need to be an admininstrator or data manager. To define a template, choose Administration - [image] Image description ... from the menu. A window as shown below will open.

To enter or remove description fields, use the [image] and [image] buttons respectively. To search for an template form another project, click on the Search template button. A window as below will open, where you can choose from templates defined for other projects.

Description of the image

To edit a description of an image or medium select it from the list and click on the [image] button. A window as shown below will open, where you can edit the description according to the template. If the template has changed or you want to add description fields from another project, click on the Get missing fields button.


Media

Next to images you can store audio [image] and video [image] files. Click on the [>>>] button (see below)

to open Windows Media Player and play the content of the media. You must have Windows Media Player installed to use this function. For the description of a medium, see the chapter Image description.


DiversityMediaService

The webservice DiversityMediaService provides the possibility to upload media files like images, audio recordings and the like to a server. The usage of this webservice includes several preconditions (please turn to your administrator):

  • You need an account in the DiversityWorkbench module DiversityAgents with your login in DiversityCollection linked to this account
  • Your project has to be registered on the server
  • You have to rename you media file according to the settings of the server e.g. using a GUID (see image below)

Use the [image] upload button to upload your image to the server.


Annotation

You can add an annotation for a [image] collection event, a [image] collection specimen, a [image] part of a collection specimen or an [image] organism (= identification unit).

The available types are [image] annotation, [image] problem and [image] reference. To add an annotation, select the corresponding data in the tree view. In tool strip right of the tree view a button will appear: if no annotations have been added so far or [image] if there are annotations for this entry. A window as shown below will open.

To add an annotation, click on the [image] button and select the type of the annotation. The annotation will be shown in the tree, with the details below (see image below).

Enter your annotation in the text box as shown above. You can enter a title or thema for your annotation or select one from the list. You may enter a link as shown above and a source. The source may be related to the module DiversityAgents.

For the type reference (see above) you may enter a link to the module DiversityReferences.

To delete an annotation you have to be either an administrator or a data manager. Select the annotation and click on the [image] button.

If you want to see all annotations of the current specimen choose Data - All annotations... from the menu. All annotations will be listed as shown below.

Data for the annotations are stored in the table Annotation.


GIS editor

To use the GIS editor, click on the [image] button in the [image] control to show the maps and choose the appropriate option ( [image] GIS- edit) from the first drop down list in the maps control. With this editor you can document locations different from a simple point, but any geographical object (lines, areas, ...). If coordinates are available for your dataset the GIS editor will load a map (Google Maps) as a backgroud). To insert the geographical object defined for e.g. the locality click on the [image] button. To set the format for point symbols use the controls for the symbol, color, size and line thickness above the GIS editor. To redraw the maps with new settings, click on the [image] button.

With the GIS editor, you can edit the geographical informations for the collection event series [image], the collection event [image], and an organism [image]. Furthermore you can create distribution maps [image] for any sample selection.

The GIS editor has several states that you need to handle your geographical objects. For a detailed description see the GIS tutorial.


Diversity GIS Editor - Tutorial

Introduction

The Diversity GIS Editor is a tool to create, visualize, edit and archive samples within a geographical environment. It may be used as a stand-alone application or as a component of the Diversity Workbench by other applications, e.g. DiversityCollection or DiversitySamplingPlots.

In combination with a background map, equipped with world coordinates, collections of Microsoft SQL Geometry Objects (points, lines and areas) may be displayed and edited in their geographical context. The screen and world coordinates of the objects will be calculated and shown in the status line. Color, thickness and transparency of the elements can be adjusted. The working area which keeps the maps and objects may be shifted or zoomed.

The background map could either be loaded from a storage device or created with an online map server tool provided by the editor. Other maps without world coordinates may be adjusted to the background map easily by setting 3 pairs of reference points on the background and the new map. The calculated world coordinates will be assigned and stored when the new map is saved.

A GPS functionality has been integrated. If a GPS device is connected, the current position will be displayed and - if an applicable background map is loaded - marked on the map.

The data transfer between application and GIS editor is made by interface function calls. In that way geometry objects of a Diversity data base may be loaded to the editor, modified or extended and sent back to the application, which then updates the data base.


Layout

Diversity GIS Editor - Tutorial

Chapter 1: GIS Editor Layout

The layout of the Diversity GIS Editor could be divided into 3 regions:

  • Control Panel
  • Sample List
  • Working Area

Control Panel

The Control Panel consists of the following elements:

  • 7 buttons to load [image], save [image], delete [image], print [image] or add [image] samples, switch GPS [image] and to open [image] the Settings window
  • 2 text boxes for sample Identifier (ID) and Description (Text)
  • 7 radio buttons to select the operation mode (Map, Shift, Adapt, Edit, Point, Line, Area)
  • 1 button [image] to switch to a new object, if the current sample is composed of multiple lines or areas
  • 4 controls to adjust color and transparency of the samples (for stroke and fill) or to zoom the working area
  • Status lines with screen and world coordinates (if any) and an appropriate symbol [image], [image], [image] or
  • A hint about the user interaction, which is possible or expected

Sample List

The Sample List is the container for added maps or objects. Each entry is composed of the following elements:

  • Identifier of the sample
  • Delete button to remove the sample
  • Toggle button to hide or show the sample

The toggle button is illustrated with a small picture of the associated sample. Switching these controls using the left mouse button will hide or show the corresponding sample. Using the right mouse button will show the corresponding sample and hide all others, except the background map. If the number of samples in the list do not fit into the window area, a scroll bar will be displayed.

Working Area

This is the drawing space containing loaded maps and objects. In Shift mode the area could be moved or zoomed.


Map Mode

Diversity GIS Editor - Tutorial

Chapter 2: GIS Editor Usage

The GIS Editor has 7 operation modes which are described in the following chapters:

  • Map: Create an online map from the map server
  • Shift: Move the working area with the mouse or zoom it with the slider
  • Adapt: Calculate world coordinates for a new image using reference points of the background map
  • Edit: Modify the current object and all visible samples of the Sample List
  • Point: Create a number of object markers on the background map
  • Line: Create a line string or a collection of line strings on the background map
  • Area: Create an area or a collection of areas on the background map

When starting the GIS Editor as a stand-alone application the start-up operating mode usually is the Map mode. This is to remind the user that a background map with world coordinates is necessary to work with geographic objects.

Chapter 2.1: Map Mode

In Map mode the editor connects via Internet to the SNSB Google Maps service or alternatively to the Open Street Maps service, regarding on the GIS-Editor Settings, and displays an online map which can be moved, zoomed and switched as usual. The status area shows the [image] or respectively the [image] symbol. The size of the map area adapts to the size of the working area, even when resizing the window.

In case of Google the controls for moving, zooming, map type, the scale and the overview window in the bottom right corner are displayed by default. The map can be adjusted to the user's needs as follows:

  • Select map area: Press and hold left mouse button and move the mouse, or use the Google shift control
  • Zoom map: Turn the mouse wheel (if any), double click (left mouse button) on a location or use the Google zoom control
  • Switch map type: Use Google map type control
  • Hide Google controls: Click right mouse button to hide, left mouse button to show them again
  • Hide overview window: Toggle arrow box in the bottom right corner of the window to hide or show it

In case of Open Street Maps the pan and zoom control is displayed by default. It can be switched off or on by clicking the left mouse button anywhere within the map area. The layer switch control is hidden and can be opened by pressing the Plus or closed again by pressing the Minus button on the right side. The map can be adjusted to the user's needs as follows:

  • Select map area: Press and hold left mouse button and move the mouse, or use the OSM pan control
  • Zoom map: Turn the mouse wheel (if any), double click (left mouse button) on a location or use the OSM zoom control
  • Switch map type: Open the layer switch and select a layer
  • Hide or show pan and zoom control: Click left mouse button to toggle the control

If an appropriate area has been selected, just press the Add button [image], then the area will be scanned and added to the Sample List as a reference map. This may take a couple of seconds, depending on size of the map area and processor power. A little image of the map will appear on the toggle button in the Sample List. The Google controls should be switched off before adding to get a neat map image.

The mode will be switched to Shift mode automatically and the status symbol will change to [image] indicating that world coordinates are present. The screen and world coordinates will be shown in the status lines if the mouse is moved over the map surface.

The maps are subject to the Mercator projection, which is the GIS Editor's precondition for every bitmap used as a reference map. While the screen coordinates are linear in horizontal and vertical direction, the world coordinates are non linear in vertical direction.


Shift Mode

Diversity GIS Editor - Tutorial

Chapter 2: GIS Editor Usage

Chapter 2.2: Shift Mode

This is the quasi default mode of the GIS Editor. The cursor changes to a move shape [image] when touching the background map. The map is "frozen" and exists as an image sample on the working area. Changing the map region or resolution is no longer possible. But the Shift Mode provides 2 features:

  • Move the working area
  • Zoom the working area

Moving the working area

Press and hold the left mouse button and move the mouse to shift the working area within the display window. This is useful when having loaded a map from a storage unit which is larger than the GIS Editor's window, or in combination with zooming the working area.

Zooming the working area

Place the mouse cursor at the slider control, press and hold the left mouse button and move the control left to zoom out or right to zoom in to the working area. The range of the zoom is from factor 0.6 to 3.0. The current value is displayed beneath the zoom control. Double click the slider control to reset the zoom to default value 1.0.

Enlarging the working area makes it more easy to place objects precisely. The relevant area then could be selected by moving the zoomed working area. Downsizing the working area gives an overview of large map regions.

Please note that the resolution of the map itself does not change any more when zooming in. But objects on the map are created in vector graphics, so the markers, lines or areas will remain sharp and clear while zooming. And they will adapt there thickness smoothly to the size.


Area Mode

Diversity GIS Editor - Tutorial

Chapter 2: GIS Editor Usage

Chapter 2.3: Area Mode

This mode is used to create areas (polygons) on the background map. The cursor changes to a cross line when touching the background map. Each click on the left mouse button sets a new point of the polygon. Every click on the right mouse button clears the last point set. The closed polygon defined by the points is displayed completely at any time. When holding the left mouse button the point can be placed while the lines of the polygon are shown as a "rubber band" display.

To create more than one area for a sample, just click the [image] button. This will finish the current polygon and start another one. It could be repeated without limitation of the number of polygons.

Setting the color

The areas are created as filled polygons, this means they have a border line (stroke) and a filling. The color of stroke and filling can be set independently or simultaneously by clicking the appropriate check boxes beneath the Color list box. Clicking on the list box will open a drop down menu with the complete set of 141 predefined brushes. Use the scroll bar to navigate to the preferred color and select it with the left mouse button.

Setting the transparency

Besides the color the transparency of the area could also be set for stroke and filling. In each edit mode the slider control is used for that. The area stroke or filling changes smoothly from invisible at the left till completely opaque on the right slider position. The value beneath the slider control indicates the opaqueness in a range from 0% to 100%. The default settings are 100% for stroke and 25% for filling.

Before adding the polygon to the Sample List an Identifier (ID) and a Description (Text) should be written to the text boxes in the control panel.

Clicking the Add button [image] will put the current area(s) as one sample into the Sample List. The toggle button will show a small picture of the first area of the sample. The ID will be displayed above the buttons. Furthermore a tool tip will be created for the sample holding the ID and Description, which will pop up when moving the mouse over the toggle button or over the polygon in the working area.


Line Mode

Diversity GIS Editor - Tutorial

Chapter 2: GIS Editor Usage

Chapter 2.4: Line Mode

This mode is used to create line strings on the background map. The usage is adequate to the Area Mode. The cursor changes to a cross line when touching the background map. The points of the line strings can be set or cleared by clicking the mouse buttons. Clicking the [image] button will switch to the next line string for the sample.

Color and transparency can be set for the line strings using the appropriate controls, but only for stroke, because the line strings do not have a filling. Thus checking the Fill box will have no effect. After adding the lines to the sample list a small picture of the first line string will appear on the toggle button.


Point Mode

Diversity GIS Editor - Tutorial

Chapter 2: GIS Editor Usage

Chapter 2.5: Point Mode

This mode is used to create Points (object markers) on the background map. The usage is similar to the Area Mode. The cursor changes to a cross line when touching the background map. The object markers can be set by clicking the left mouse button, clicking the right mouse button will clear the last markers one by one again. The [image] button has no impact, because each Point represents a complete object and needs not to be finished before creating the next one.

The shape of the object markers can be selected from a number of predefined Point symbols and icons within the Settings window, e.g.:

Pin: | Assel: | Fish: | Mollusc:
Cross: | Bird: | Fungus: | Myxomycete:
X: | Bryophyt: | Insect: | Plant:
Circle: | Echinoderm: | Lichen: | Reptile:
Square: | Evertebrate: | Mammal: | Vertebrate:
Diamond: |  |  |

Color can be set for the symbol markers using the appropriate controls. It depends on the selected point symbol, whether it just has a stroke (e.g. "Cross") or also a filling (e.g. "Pin"). Transparency can be set for both, the symbol and icon markers. The stroke thickness and the size of the markers can be set in the Settings menu. After adding the object markers to the sample list a small picture of the collection will appear on the toggle button.


Edit Mode

Diversity GIS Editor - Tutorial

Chapter 2: GIS Editor Usage

Chapter 2.6: Edit Mode

This mode is used to modify all samples (objects and images) which are currently visible on the working area. It applies to the elements of the Sample List as well as to the current sample.

Changing the position or shape of objects (points, line strings, areas)

To change an object one has to move the vertices ("corner points") which are defining it. To do so just move the mouse close to a vertex to localize it. As soon as the corner has been grabbed the cursor changes its shape to a hand symbol [image].

Now press the left mouse button and hold it, then move the mouse to change the position of the vertex accordingly. The shape of the object or the marker will change in the same manner. Release the mouse button when the preferred position has been set.

Note that areas and line strings cannot be moved in total while keeping their shapes!

Changing the position or shape of images (maps)

Images (e.g. maps) can be moved completely (keeping their aspect ratio), scaled in horizontal and vertical direction and skewed within an affine transformation. Editing an image can be divided into 4 stages by grabbing and moving the following corners:

  1. Top-left: Moving the total image by keeping its aspect ratio
  2. Bottom-right: Squeezing or stretching the image horizontally and vertically
  3. Bottom-left, top-right: Skewing the image in an affine way by keeping the corner points top-left and bottom-right at its positions
  4. Bottom-right again: Skewing the image in an affine way by keeping the corner points top-left and bottom-left at its positions

Stages 1 to 4:

Changing color and transparency

Color and transparency can be set independently (or simultaneously) for the objects using the appropriate controls and check boxes for Stroke or Fill. The setting will affect all visible objects, so objects which should not be changed have to be switched off before with their toggle buttons. The color of images could not be changed, of course, but the transparency can be set if the Fill box is checked. The transparency of the background map cannot be changed.


Adapt Mode

Diversity GIS Editor - Tutorial

Chapter 2: GIS Editor Usage

Chapter 2.7: Adapt Mode

Essential for visualizing Geographical Objects is a background map with world coordinates. The GIS Editor's Map mode offers a convenient way to create such a map, but it is restricted for the use of Google or OSM maps which are present in the web and are providing world coordinates. It would be nice to load scans of e.g. topographical or even historical maps into the working area and use them as background maps, but the problem is how to assign world coordinates to them.

The Adapt mode solves this in an easy way by executing the following steps. As a precondition a background map having world coordinates (e.g. a Google map) must be present which covers the area of interest of the new map to be referenced.

  1. Load the new map image using the Load button [image]. The image will be placed top left inside the working area.
  2. Select Adapt mode by checking the Adapt radio button. The cursor changes to a pointer symbol [image] having a green border when touching the new image and having a red one when touching the background map.
  3. Now 3 reference points must be set alternately on background and new map to assign the appropriate locations (e.g. distinctive landmarks like road crossings). The last point can be modified as long as the map is not changed. The cursor always tells you what reference point will be set, according to its color and the number of dots in the middle:
    Note: It is reasonable to select distant points close to the edges of the new map, because this will give more accurate results.

  4. When all reference points have been set and the cursor touches the alternate map, it changes to the finished shape [image]. The next click will place the new map into the appropriate background map area.

The adapted image has been transformed to fit into the current world coordinates of the background map. Now the new map can be added to the sample list by pressing the Add button [image]. When it is finally saved to disk by pressing the Save button [image], the new assigned world coordinates will be saved, too, in an XML file with the same name (see Chapter 2.9: Save Samples).

Sometimes it is difficult to place the new map and the reference map side by side, because the window is too small, and zooming out would blur the details needed for setting the reference points. If the new map covers the background map, the reference points can be set anyway

  • for the new map by making it opaque with the transparency slider
  • for the background map by making the new map transparent (less than 10% opacity) with the slider

Note: The Fill box must be checked to change the transparency of the new map. The background map's transparency cannot be changed.


Load Samples

Diversity GIS Editor - Tutorial

Chapter 2: GIS Editor Usage

Chapter 2.8: Load Samples

A background map is required before objects (areas, line strings, points) can be loaded. When loading a shape file, the objects will be displayed at the background map according to their coordinates and added to the Sample List automatically. The GIS Editor is able to read MS-SQL Geo Object files (.shp1) as well as ArcView Shape Files (.shp), which are using geographical or Gauß-Krüger coordinates.

When loading an image without world coordinates, it will be displayed top left in the working area. If no background map is loaded yet, the Screen symbol [image] is shown in the status line, followed by the screen coordinates of the current cursor position.

When loading an image with world coordinates and no background reference map exists, it will be displayed top left in the working area. The World symbol [image] is shown in the status line, followed by the screen coordinates and the world coordinates of the current cursor position.

When loading an image with world coordinates having an existing reference map, it will be embedded in the background map according to its coordinates. If the new image does not overlap with the reference map, the image exists virtually in the coordinate system, but possibly could not be seen because it is too far away from the reference map. In this case a warning will be displayed:

When loading an image it is displayed, but not yet added to the Sample List. The user has to add it manually by pressing the Add button [image]. This is because the user should have the opportunity to adapt the image to the background map to be stored later on with applicable coordinates.


Save Samples

Diversity GIS Editor - Tutorial

Chapter 2: GIS Editor Usage

Chapter 2.9: Save Samples

To save a background map which is currently displayed in Map mode just press the Save button [image] instead of the Add button [image]. A save file dialog will pop up to name the file, the map and its coordinates will be saved and added to the sample list.

A background map is required before objects and images can be saved. Saving samples means saving their type, attributes and world coordinates in files. When pressing the Save button [image], it applies to all visible samples on the working area, except the background map. A current sample will be added to the sample list before it is saved.

If objects are visible, a save file dialog will open and a name for the target file(s) must be set. Objects (areas, line strings, points) will be saved in respect to the selected formats of the GIS-Editor Settings:

  • If MS-SQL is enabled, all visible objects will be collected and stored in one GIS Editor shape file in ASCII text format (extension .shp1). The file contains the objects' attributes and MS-SQL Geo Object definition strings. If altitude calculation is enabled in the GIS-Editor Settings, these values are stored, too.
  • If ArcView is enabled, for each object 3 ArcView compatible shape definition files in binary format will be created: A shape file, an index file and a dBase file holding the description (extensions .shp, .shx, .dbf).

If images are in the Sample List, they are already present on disk and will not be saved twice. Instead for each image an XML file will be created with the calculated world coordinates of the image and will be stored under the same location and name as the image. This does not apply to the current background map.

If Save Working Area is enabled in the GIS-Editor Settings, a scan of the complete working area including its objects is made and stored in an image file, which name has been set in the save file dialog.
To save only a part of the working area the Frame box must be checked in the GIS-Editor Settings, too. Then a rectangular frame of the given dimensions is displayed, which defines the part of the working area that will be saved. It can be dragged to the right position using the left mouse button (click, hold and shift), and it can be resized by grabbing and moving the corners of the frame.


Delete Samples

Diversity GIS Editor - Tutorial

Chapter 2: GIS Editor Usage

Chapter 2.10: Delete Samples

To delete a single object of the Sample List just press the small Delete button [image] left of the Toggle button. The sample will be removed from the list and the working area, the other sample entries will be rearranged.

Pressing the large Delete button [image] in the Control Panel will remove all samples of the Sample List, except the reference map. A warning is shown before:


Print Samples

Diversity GIS Editor - Tutorial

Chapter 2: GIS Editor Usage

Chapter 2.11: Print Samples

Pressing the Print button [image] in the Control Panel will open a print dialog to select a printer and adjust the settings. Then it will print the complete working area including all visible objects. This feature is useful e.g. for documentations.


GPS Tracking

Diversity GIS Editor - Tutorial

Chapter 2: GIS Editor Usage

Chapter 2.12: GPS Tracking

When pressing the GPS button [image] in the Control Panel the hardware will be scanned for a GPS device. All available serial ports are opened and checked if they are delivering valid GPS data. This takes 2 seconds. Be sure that the correct baudrate for the GPS device has been set in the Settings menu (standard rate: 9600).

If no device is detected the button will be released. If a device has been found the button changes the color according to the numbers of satellites which have been fixed by the device: Red [image] up to 3 satellites, yellow [image] up to 5 and green [image] if 6 satellites or more are available. The number of satellites, longitude, latitude and altitude delivered from the GPS device are displayed in the info line of the Control Panel beneath the status.

The current position will be shown by a GPS marker [image] if an appropriate background map has been loaded. If GPS Track in the Settings window is checked, the movement of the position will be drawn as a line string on the background map. The color and stroke thickness are similar to the last adjustment for lines. When switching off the GPS button again, the track will be added to the sample list automatically and could be saved for future documentation purposes.


Settings

Diversity GIS Editor - Tutorial

Chapter 2: GIS Editor Usage

Chapter 2.13: Settings

Pressing the Settings button [image] in the Control Panel will open a dialog to adjust these GIS Editor settings which are not frequently changed:

Setting the file formats for saving objects

At the moment 2 formats for object files are supported:

  • MS-SQL Geo Objects (.shp1)
  • ArcView shape files (.shp, .shx, .dbf)

Microsoft SQL Geo Objects are part of a standard for storing geometry and geography data in an SQL database, as used by the Diversity modules. They are more or less a well defined text string containing the geometrical type (e.g. Polygon, Line, Point) and the geographical coordinates (longitude, latitude, optional altitude) of an object.
Together with the GIS Editor attributes (e.g. color, transparency) they are stored in a proprietary GIS Editor shape file in ASCII text format. This file can easily be read and changed using a text editor.

ArcView is a common Desktop GIS tool and saves its data in binary files. The GIS Editor can create ArcView compatible files to store the samples, which then may be read from ArcView GIS tools. 3 files are required for each type of shape: A data file with extension ".shp", an index file with extension ".shx" and a description file in dBase format with extension ".dbf".

The advantage of the first format is the transparency and readability of the data file, which is just one single text file. But storing huge samples is very time consuming. If the samples consist of more than 10,000 points, an error message is displayed and they are not saved in this format:

Using the ArcView format makes the data files compatible with many applications. Huge samples can be stored much faster. But each type of sample requires a separate set of output files, because different types of objects within one file are not supported so far. So a sample list containing 10 objects will produce 30 data files (file name with an appended index, which is incremented for each sample). Furthermore the attributes like color, transparency and stroke thickness will not be saved.

Currently there is just one format supported for storing image coordinates. They are written into an XML file which is also used in DiversityMobile modules. Saving the coordinates in this format is required for the GIS Editor, so it cannot be disabled.

Saving the working area

Selecting this box and later on pressing the Save button [image] will additionally scan the working area including all visible objects and save it as an image file under the name provided in the save file dialog, see Save Samples. This is useful for documentations.
Note: There are copyright restrictions on maps or aerial images which are created with the Google maps viewer. Please contact Google before using them for publications to grant a license, or use Open Street Maps captures, which could be used freely under the Creative Commons Attribution Share Alike license Creative Commons License conditions.

When checking the "Frame" box just a rectangular part of the working area is saved. The pixel size of the frame has to be defined in the adjacent "Width" and "Height" fields. This is convenient if the resulting image should have well defined dimensions, e.g. fit the resolution of a smartphone display. This feature is only active when the Save Working Area box is checked. After closing the Settings window a rectangular frame of these dimensions is displayed on the working area which defines the part to be saved.

GPS Track

When checking this box the movement of the GPS marker on the background map will be tracked by a line string. After switching off the GPS button the line string will be added to the sample list automatically.

Altitude for geo objects

This box applies to MS-SQL Geo Objects only. If checked, the appropriate altitude of the object points (longitude, latitude) will be stored in the file, too. This is not recommended for sample objects with a lot of points or vertices, because for every point the Geonames server has to be contacted to request the associated altitude value. This could slow down the saving procedure immensely.

Setting the stroke thickness

The stroke thickness for area, line strings and point symbols can be set by using the appropriate slider. The value of the thickness is shown in the label box left of the slider. Double clicking the slider will reset the thickness to its default value 1.

Setting the Point symbol

The symbol for the points can be selected from the drop down menu. The symbol size can be set using the slider below the menu. The point symbol display will change accordingly.

Setting the GPS baudrate

It is essential to set a suitable baudrate for a connected GPS device according to its specification. The rate can be selected from the list of the drop down menu. If no GPS device is available, Demo mode could be chosen to see the behaviour of the functionality.

Setting the Map Mode viewer

The radio buttons offer the choice of the viewer for creating a background map. Currently Google Maps and Open Street Maps are provided.

GIS Editor Info

Clicking the Info button will display a window containing GIS Editor version and license information.

Saving the settings

Finally pressing the OK Button will save the settings, pressing the Cancel button will discard them.


DataAccess

Access to the data

To get access to the data, you have to take several hurdles. In DiversityCollection, you must be a member of one of the user groups. You have only access to those data, that are listed in the projects you have access to. For external users, data may be blocked by entries in the data witholding reasons.


DatasetAvailability

Availability of datasets

The data of certain parts of the database can be blocked for remote access. If you want to prevent access for the whole dataset, enter your reason in the field Withholding reason in the header (see below).

If you want to block only the access to the data of the collection event or the collector choose them in the tree and enter your reason for withholding the data in the corresponding fields. The data will only be published if these fields are empty.

Within the database a user has only access to the data of those projects for which he has the permission. If a dataset belongs to a certain project, this is stored in the table CollectionProject. To prevent a publication of the data these can be blocked for the whole dataset (table CollectionSpecimen), for the locality and collection site informations (table CollectionEvent) and for the collectors (table CollectionAgent) - see overview below - and for all image tables: CollectionSpecimenImage, CollectionEventImage, CollectionEventSeriesImage and CollectionImage.

Permissions for projects

The access for the user to the data within the database are stored in the tables shown below. The tables UserProxy and ProjectProxy are related to the Diversity Workbench modules DiversityUsers and DiversityProjects respectively. See user administration for further details.


User administration

The permissions of users in the database are set via user groups resp. roles in the database and the access to the projects. To set the permissions choose Administration - User ... from the menu. A window as shown below will open. Here, among other administration tasks, you can change the permissions of the users. The first list shows the user accounts that are available in the database but have no access to any of the projects. To synchronize this list with the Diversity Workbench module DiversityUsers click on the [image] Synchronise with DiveristyUsers button. To create a new SQL-Server user, click on the [image] button. To create a new Windows user with access to the database resp. allow an existing user the access to the database use the Microsoft SQL Server Management Studio (see the installation section for further details). To permit access to a project click on the > button. To remove a user from this list use the < button.

If the database provides a link to the module DivesityAgents, a corresponding field will appear under the user list.

Click on the [image] button to set a link to the module DiversityAgents. The control will change as shown below.

If you want to remove the link, click on the [image] button.

The area Permission of user shows the projects a user has access to and the roles of the user within the database. To move users between the lists Projects that are available for a user and Projects that are not avialable for a user use the > and < buttons. To create a new project click on the [image] button. If you use the Diversity Workbench module DiversityProjects, you can create a new project there and user the Synchronise with DiversityProjects [image] button. To change the roles of a user use the [image] and [image] buttons. Underneath the project list for a user you find the list of the Roles of the user. This list can be changed by using the and buttons. Underneath the roles list you find the list with the roles available in the database. On the left side of this list the permissions of the selected role are listed and on the right side the users with this role (Role members) and the roles the inherit the rights of the selected role (Included roles).

The permissions of the roles resp. user groups are shown in the lower left part of the form.

The role User can see the data within the permitted projects, but can not change anything in the main data, but add annotations.

The role Typist has the same rights as the role User and can edit a part of the user defined data.

The role Requester has the same rights as the role User and in addition can place requests for specimens.

The role StorageManager has the same rights as the role User and in addition can handle transactions, i.e. shipments of specimen between collections.

The role Editor can change the user defined parts of the data.

The role DescriptionEditor can edit the descriptions for the application (see entity).

The role DataManager has the rights of the role Editor and can delete data and annotations.

The role CollectionManager has the rights of the role StorageManager and in addition can edit the collections for which he has the permission.

The role Administrator can delete data, edit the contents of internal tables, change user permissions etc.


Security

A user can be in 8 groups with diverse rights in the database where certain higher groups have all rights of lower groups in addition to special rights for this group, e.g. the group User can only read the data of certain tables while Typist has the rights of User and additionally can edit the data in certain tables - see overview below.

Summarzied overview of the permissions of the groups

Role | Permissions in addition to lower role resp. user group | Inculded rights
Administrator | Delete data, edit user permissions | DataManager
CollectionManager | Administration of collections, handling loans etc. | StorageManager
DataManager | Delete data, edit image descripton templates | Editor
Editor | Create new entries and delete details (not whole datasets) | Typist
Requester | Has the right to place requests for specimen |
StorageManager | Administration of stored parts, handling loans etc. | User
Typist | Edit data | User
User | See the data of the data tables, add annotations |

If you are an Administrator you can add a user to one of these groups

Any user may have access to several projects.


Collection management

Collections are managed by [image] collection managers (see Administration -> Transaction management -> Collection managers ... in the menu), who organize the [image] transfer of specimen between collections and track the exchange balances [image]. Any transfer [image] of specimen is organized via transactions (see Administration -> Transaction management -> Transaction ... in the menu). To be able to place are request [image] for specimen from a collection, you must be in the group of [image] requesters (see Administration -> Transaction management -> Loan requesters ... in the menu) for this requested collection and a collection manager for the requesting collection. An overview is given in the image below.


Collection

The organisms in a specimen can be stored in several collections. To see the place where a specimen or parts of it are stored use the lower tree and click on the [image] icon to select the display according to the collections as shown below.

In the tree shown above select the collection [image] to display the datafields as shown below.

To be able to edit the detais of a collection, you must be a collection manager of this collection. The restrictions for the access for editing the collections are defined in the collection manager part.

At the base of the fields you find the default collection, used for the creation of new specimen parts. Specimen parts that are not created as a part of another part will be placed in this collection. Use the [image] button to edit this entry.

If you need further information about a collection click on the [image] button or choose Administration - Collections... from the menu to open the window for the collection administration (this menu entry is only available for collection managers). This will open a window as shown below where you can edit the collections used in your database for which you are a collection manager.

The specimens stored in a selected collection are listed in the specimen list. You can hide / show this list using the [image] / [image] button. To change to a specimen from this list click on the [image] button.

To show the images related to a collection, click on the [image] button. This will open the area for the images as shown below. Use the [image] and [image] buttons to add respectively delete images of your collection. For further details about image handling see the chapter Images.

To view the history of a dataset, click on the [image] button. A window with the history will open. For more details see the section History.

For details about handling the data see the data section. Data of the collections are stored in the table Collection.


Collection manager

Collection managers are users with the right to edit the transactions. To edit the collection managers you must be in the administator group. Choose - Administration - Collection managers [image] from the menu to open the editing window for the collection managers as shown below.

Use the < and > buttons to edit the list of the collections for which the selected collection manager can create and edit transactions.

For details about handling the collections see the transaction section. Data of the collections are stored in the table CollectionManager.


Collection requester

Collection requesters are users with the right to place requests for loans in other collections. To edit the collection requesters you must be a collection manager for the requested collection. Choose - Administration - [image] Collection requesters from the menu to open the editing window for the collection requesters as shown below. The list on the left contains all users that are in the group Collection requesters. See user administration for further details. Select a user in this list to edit the accessible collections for this requester.

Use the < and > buttons to edit the list of the collections for which the selected requester can place a request. If the option Include subcollections is choosen, the requester can send requests for all subcollections of a collection. Otherwise the requests can only be sent for the collections in the list. The subcollections are shown in the hierarchy underneath the list.

For details about handling the collections see the transaction section. Data of the collections are stored in the table CollectionRequester.


TransactionRequest

Transactions - Request

To enter a request for a loan you must be in the user group resp. role DiversityCollectionRequester (see user administration for further details). This is done by the collection managers for their collections. To enable a user to place requests, choose Administration - [image] Loan requesters ... from the menu. A window as shown below will open.

As a collection manager you can give requesters access to the collections you manage. Click on the < or > buttons to add or remove collections from the list for which a user can place a request. If the option Include subcollections is choosen, a user can request for specimens stored in subcollections of the administrating collection. To give you an overview of the subcollections, the hierarchy of the collection is shown in the tree below the list.

If you are a collection manager and there are requests for your collections, the administration menu will contain a [image] Loan requests ... entry. Choose it to open a window listing the requests for specimen in your collections.

If you have entered request for specimen in a foreign collection, the administration menu will contain a [image] My requests... entry. To inspect your request choose this entry from the menu to open a window as shown below. The window will show your requests and loans from foreign collections.

To enter a new request, click on the [image] button. Use the [image] button to search for specimen in the collection and the [image] button to remove unwanted specimen from your list.


Transaction

Transactions

Prerequisites

The transfer of a specimen between collections is handled with transactions. There are two prerequisites to use transactions in DiversityCollection. You must be in the user group resp. role DiversityCollectionManager (see user administration).

and the collections in which you have the right to handle transactions must have been assigned to you as shown in the managers section.

Visibility of transactions

A specimen may be involved in diverse transactions between collections like loan, purchase, gift or exchange. The transactions are shown in the tree for the parts of a specimen and symbolized with an [image] icon. For specimens that are still on loan an [image] icon as shown while a returned loan is symbolized with an [image] icon (see image below).

If you are a collection manager you can take a look at the details of a transaction. Select the specimen part in the tree and then click on the [image] button that will be shown in the details next to the name of the transaction. This will open the window for the transactions as described below.

To edit the transactions choose Administration - Transactions from the menu. A window will open as shown below. In the tree at the top the relations between the transactions are shown. To create a transaction, dependent on another transaction, choose the superior transaction in the tree and click on the [image] button in the panel right from the tree. With the [image] button you can create a copy of a transaction. To delete a specimen from the list click on the [image] button. To transfer all selected specimen in an existing transaction choose Data -> [image] Transfer -> [image] To transaction... from the menu and choose the transaction where the specimen with all their partrs should be included. The data for the transactions are stored in the tables Transaction and CollectionSpecimenTransaction.

To view the history of a dataset, click on the [image] button. A window with the history will open. For more details see the section History.

Data entry

On this page you can edit the data of a transaction. Every transaction is linked to an administrating collection (symbolized by the key [image] ), and can be edited exclusively by collection managers of this collection. To appoint managers choose Administration - Managers from the menu.

The transactions can be organized in a hierarchy as shown in the image above if for example you want to keep all loans to a certain institution together. To create a transaction a inferior transaction, choose the superior transaction in the tree an click on the [image] button in the panel at the right side of the tree. To create of copy of a transaction, use the [image] button and the [image] button to delete it.

Depending on the type of the transaction additional tab pages will appear for creating documents.

Tabs | Transaction types |  |  |  |  |
Sending | Loan | Borrow | Exchange | Gift | Purchase |
Confirmation | Loan | Borrow | Exchange | Gift | Purchase | Request
Reminder | Loan | Borrow | Exchange | Gift | Purchase |
Partial return | Loan | Borrow |  |  |  |
Return | Loan | Borrow |  |  |  |
Printing | Loan | Borrow | Exchange | Gift | Purchase | Request
Documents | Loan | Borrow | Exchange | Gift | Purchase | Request
Balance |  |  | Exchange |  |  |

Common notes

On the tab pages for generating documents you have to specify a xml-schema for your document - click on the [image] button to choose one of the predifined schemas or create your own schema. To edit the schema files (*.xslt) you can use a text editor or software like e.g. EditiX. If you do not specify a schema (i.e. the field for the path of the schema is empty - see below) for your form you will see the XML output created by the database as shown below.

To choose a schema click on the [image] button and select a schema from the list. DiversityCollection contains several ready to use schemas in the folder Transaction - Schemas.

Feel free to change these schemas to your own needs (editors are available e.g. from http://www.altova.com/). Choose the schema you need and then click on the [image] button to create a document. To print the document, use the [image] button. To store the current document in the documents for later reference click on the [image] button. An example for a document is shown below.

The specimens will be listed with their accession number, a optional label of the part and the material category to ensure discrimination in case a specimen contains more then one part (see image below).

If a transaction entry has no address, resp. a transaction partner linked to an entry in the module DiversityAgents, where addresses are stored, the program will try to find an address in one of the superior transactions from the transaction partners found there. If no address exists in these transactions, the program will try to get an address from the collections. Therefore a transaction partner linked to DiversityAgents is only necessary if either there are no addresses for the collections or you want to use a different address. The search path as described is summarized in the image below.


TransactionSending

Transactions - Sending

In the sending tab page of the transaction window you can create the covering note for a sent sample. To choose a schema click on the [image] button and select a schema from the list. DiversityCollection contains several ready to use schemas in the folder Transaction - Schemas.

To add a specimen to the list, you can use a [image] barcode scanner. The code detected by the scanner will be displayed in the field behind the [image] symbol and entered in the list below. If no scanner or barcode is available, use the combobox underneath, enter the first letters of the accession number of the specimen and select your specimen from the drop down list. In case your scanner is reading only parts of the barcode try to adjust the timer intervall - click on the [image] button to open a window as shown below.

To restrict the selection of the specimens and parts of the specimens, you can check the Restrict to collection ... and Restrict to material ... options. To remove a specimen from the list, use the [image] button under the specimen list. If you want to see the details of a specimen, choose it in the list and click on the [image] button. Click on the [image] button to create the document as shown below.


TransactionConfirmation

Transactions - Confirmation

On this page you can create an inquiry letter for a package sent, e.g. if a parcel was sent to a loan taker and no confirmation that the parcel reached its destination was returned so far.

With the [image] button, choose the schema you need. Click on the [image] button to create a document. To print the document, use the [image] button. To store the current document in the documents for later reference click on the [image] button.


TransactionReminder

Transactions - Reminder

If a loan is due to return resp. a loan taker did not meet the deadline, you can create a prompt note here.

With the [image] button, choose the schema you need. Click on the [image] button to create a document. To print the document, use the [image] button. To store the current document in the documents for later reference click on the [image] button.

In the upper right list the missing specimen and at the lower right list the returned specimen are listed.


TransactionPartialReturn

Transactions - Partial Return

If parts of a loan were returned, create a letter of acknowledgment here.

With the [image] button, choose the schema you need. Click on the [image] button to create a document. To print the document, use the [image] button. To store the current document in the documents for later reference click on the [image] button.

You have two option to enter returned specimen. Use the [image] and [image] buttons respectively to move items between the lists or use a barcode scanner [image] - move the mouse cursor into the field for the barcode detection, then scan the barcode. The specimen will be automatically inserted into the list for the returned specimen. In case your scanner is reading only parts of the barcode try to ajust the timer intervall - click on the [image] button to open a window as shown below. Here you can set the interval to a value that is compatible to your scanner. If you want to see the details of a specimen, choose it in the list and click on the [image] button.


TransactionReturn

Transactions - Return

If a loan is returned, create a letter of acknowledgment here. With the [image] button, choose the schema you need. If all specimen were returned, click on the [image] button. This take all remaining specimen into the list of the returned specimens. With the date field you can define a different date as the start if e.g. you starting to register the returned specimen some days before. Click on the [image] button to create a document. To print the document, use the [image] button. To store the current document in the documents for later reference click on the [image] button.

To transfer the items from the Specimen on loan list to the Sent specimen list, click on the [image] button. After all documents are generated and saved, click on the [image] button above the Sent specimen list to write the changes into the database.


TransactionPrinting

Transactions - Printing / Inventory

Besides the special pages for creating letters along with a loan this page provides the possibility to print cover letters, inventories and the like. You can restrict the selected specimen to the current collection, include the subcollections or all related collections - just activate the corresponding checkboxes.

To add a specimen to the list, you can either use the combobox or a barcode scanner. To use the barcode scanner, move your mouse cursor into the pink field right from the scanner. In case your scanner is reading only parts of the barcode try to adjust the timer intervall - click on the [image] button to open a window where you can set the timer intervall to a different value. To remove specimen from the list, select it and then click on the [image] button.

With the [image] button, choose the schema you need. Click on the [image] button to create a preview of the document. To print the document, use the [image] button. To store the current document in the documents for later reference click on the [image] button.


TransactionDocuments

Transactions - Documents

This page stores all the documents created or received along with a transaction.

To add a document, scan the document and create a screeshot of this document, then create a new entry (click on the button) and insert the screenshot with the [image] button. In the lower part you can enter any text related to the document.


TransactionBalance

Transactions - Balance

The balance for the exchange between two collections.

With the [image] button, choose the schema you need. Click on the [image] button to create a document. To print the document, use the [image] button. To store the current document in the documents for later reference click on the [image] button. To include either the subcollections of any related collections to the collections of the current transaction select the corresponding checkboxes.


Maintenance

To open the maintenance form, Choose Administration -> [image] Maintenance ... from the menu. With the maintenance functions, you can update values cached from other modules or external webservices. DiversityCollection can be linked with several other modules of the Diversity Workbench. If you link a data source to another module, the URI of the dataset in the other module together with one or several cached values will be stored in DiversityCollection. Due to changes in the source modules these cached values may differ from the original values. To get the actual values you can use the [image] sychronize functions for taxonomic names, family and orders, [image] people, exsiccatal series, geographical names and [image] references. Further functions provided by maintenance are a search for [image] duplicate accession numbers, the insert of updated taxonomic names, the removal [image] orphaned collection event series and [image] collection events, the search for [image] additional geographical information based on WGS84 coordinates and the [image] conversion of coordinate systems.


MaintenanceTaxonNames

Maintenance - Taxonomic names

To synchronize the entries for the taxonomic names derived from the module DiversityTaxonNames choose Administration -> Maintenance... from the menu. A window as shown below will open. To synchronize the taxonomic names for entries linked to the module DiversityTaxonNames choose the tab Collection <-> TaxonNames. There are two ways to synchronize taxonomic names. You can either Synchronize taxonomic names based on the link via an URI for entries where the link to a taxonomic database is allready established or you can Synchronize taxonomic names missing a connection, where no link is established and you can query for identical names in one of the databases.

Synchronize taxonomic names based on the link via an URI

The taxonomic names are stored in the field TaxonomicName in the table Identification. Select a taxonomic database and a project that should be synchronized. Than start the query with a click on the [image] button.

If you synchronize your data with a webservice as shown in the image below, you can specify the taxonomic group as well.

The form will list all differences found. To update the database click on the [image] button. If you want to have a more detailed look on your data you have to check the Include accession number checkbox before starting the query. A button [image] will appear that will take you back to a single dataset in the database.

Synchronize taxonomic names missing a connection

Select a taxonomic database, a project and a taxonomic group to search for identical names. Than start the query with a click on the Check for identical names button.

The form will list all matches found. To insert the links to the database click on the [image] button. If you want to have a more detailed look on your data you have to check the Include accession number checkbox before starting the query. A button [image] will appear that will take you back to a single dataset in the database.


Maintenance - Family and Order

To synchronize the entries for the family and order of taxa derived from the module DiversityTaxonNames choose Administration -> Maintenance from the menu. A window as shown below will open. To synchronize the higher taxonomic entries for entries linked to the module DiversityTaxonNames choose the tab Family and order. These are stored in the fields FamilyCache and OrderCache in the table IdentificationUnit .

In the upper part you can synchronize your data with the entries in taxonomic databases like DiversityTaxonNames_Fungi. Select a taxonomic database, a project and a taxonomic group, then choose whether you want to synchronize the family or the order. If you want to inspect single datasets you have to check the Include accession number checkbox. Then click on the [image] button to start the query.

The form will list all differences found as shown below. To update the database click on the [image] button.

In the lower part you can synchronize your entries within the database. Choose a project, the taxonomic group and if you want to check the family or the order and click on the [image] button to start the query. To import the higher taxa to the dataset click on the [image] button.

If you want to have a more detailed look on your data you have to check the Include accession number checkbox before starting the query. A button [image] will appear that will take you back to a single dataset in the database.


MaintenanceBulkInsertTaxon

Maintenance - identifications

If you want to add updated taxonomic names for specimen in the database, you can use the bulk insert function. Choose the project, the taxonomic group and the taxonomic name, for which the new identification should be added. As shown in the window below, you can enter additional informations about this identification. By default, the [Only last identification] option is checked, to prevent you from searching in older identifications. If you uncheck this opton, the program will search for any identification, irrespective if it is the last or an older identification.

If you want to check single datasets, check the [Include accession numbers] option. A new button will appear [image] that will enable you to close the window and turn to a specimen selected in the table.

To search for Names, click on the [Test] button. The found names will be listed in the table as shown below. To insert the new identification, click the [Start insert] button.


MaintenanceAccNrDupl

Maintenance - Accession number duplicates

The database will warn but not prevent you from entering an accession number several times e.g. via an import. To check for duplicate accession numbers choose Administration -> Maintenance from the menu. A window as shown below will open. On the tab page [image] Specimen . You can restrict the query to a project. To start the query with a click on the Check for duplictes button.

The form will list all duplicates found as shown above. To switch to a dataset in the database, select it in the table and click on the [image] button.


Maintenance - Exsiccatae

To synchronize the abbreviations of the titles of the exsiccatal series that are linked to the module DiversityExsiccatae choose Administration -> Maintenance... from the menu. A window as shown below will open. On the tab page Collection <-> Exsiccatae select the project for which the titles should be synchronized. The title is stored in the field ExsiccataAbbreviation in the table CollectionSpecimen. Select the project that should be synchronized. Then start the query with a click on the [image] button.

The form will list all differences found. To update the database click on the [image] button. If you want to have a more detailed look at your data you have to check the "Include accession number" checkbox before starting the query. A button [image] will appear that will take you back to a single dataset in the database.


Maintenance - Agents

To synchronize the names of collectors, determiators etc. that are linked to the module DiversityAgents choose Administration -> Maintenance from the menu. A window as shown below will open. On the tab page Collection <-> Agents select the project for which the agents should be synchronized. There are 9 tables which may contain links to DiversityAgents: Collection, CollectionAgent, CollectionEventLocalisation, CollectionEventProperty, CollectionSpecimen, CollectionSpecimenProcessing, Identification, IdentificationUnitAnalysis and Transaction. Choose one of these tables for the synchronization. Then start the query with a click on the [image] button. The type name is written is defined by the default display type in the module DiversityAgents - for more informations please see the documentation of DiversityAgents.

The form will list all differences found. To update the database click on the [image] button. If you want to have a more detailed look on one of the datasets in the list data you have to check the "Include accession number" checkbox before starting the query. A button [image] will appear that will take you back to a single dataset in the database.

Search for possible links

You can either update the cached names for entries that are linked to DiversityAgents as described above or you can search for possible links based on the names as shown below. In addition to the options described above you can choose the display type for the query to find any possible match as names may be written like "Hertel, H.", "H. Hertel" etc.


Maintenance - References

To synchronize the titles of the references that are linked to the module DiversityReferences choose Administration -> Maintenance from the menu. A window as shown below will open. On the tab page Collection <-> References select the project for which the reference titles should be synchronized. There are 3 tables which may contain links to DiversityReferences: CollectionEvent, CollectionSpecimen and Identification. Choose one of these tables for the synchronization. Then start the query with a click on the [image] button.

The form will list all differences found. To update the database click on the [image] button. If you want to have a more detailed look on one of the datasets in the list data you have to check the "Include accession number" checkbox before starting the query. A button [image] will appear that will take you back to a single dataset in the database.


MaintenanceEventSeries

Maintenance - collection event series

To delete collection event series with no relation to collection events or other event series, choose the tab page [image] Event series. Click the List unrelated event series button to list these series and the Delete unrelated event series button to delete them.


MaintenanceEvent

Maintenance - Collection event

Collection events - unrelated events

Provided you have the proper rights, you can remove unlinked datasets in the tables CollectionEvent and CollectionEventSeries. To delete events that are not linked to any data in the database, use the tab page [image] Collection events - [image] Remove unrelated events. These unrelated datasets may e.g. be derived from specimens that were transferred to another collection event. Click on the [List unrelated events] button to list all events that are not related to a specimen. The found collection events will be listed in the upper part of the form. The lower parts show the localisations and the event properties related to these collection events. These must be deleted first before you can delete the events related to these datasets. Otherwise only the events with no relations to localisations or properties will be deleted.

Country, Place and Altitude via GeoNames

If your datasets contain WGS84 Coordinates, you can use the webservice www.geonames.org to insert or update the country, the place or the altitude or your collection sites. Choose the tab [image] Set place and country, the project you want to update and an optional upper limit of the datasets (recommended for slow connection lines). Click the Query GeoNames button to start the query. According to the selected option (only if missing / when different / for all entries) the retrieved data will be marked with colors as shown in the images below.

White | the dataset will be inserted or changed
Red | an error occured
Grey | According to the selected option this dataset will not be inserted or changed
Yellow | the dataset has been deselected an will not be inserted or changed
Green | The dateset has been inserted or changed

In the frist column, you can deselect a dataset for the update. To inspect a single dataset from the list, selec it an click on the [image] Close window and check dataset button. To update the dataset, click on the Set coutries button.

As for the coutries, the places will be listed as shown below.

To insert or update the selected datesets, click the Insert places button.

The image above shows the data for the altitude. After the update, all updated datasets will be marked with a green color (see below).r localisations or properties will be deleted.

Coordinates

If your data contain coordinates you can add additional coordinates in a different system for those dataset, where entries of the additional coordinate system are missing. E.g. you can add WGS84 coordinates on the basis of Gauss Krueger coordinates. In the [image] Add coordinates tab choose the project you want to update and an optional upper limit of the datasets. Then select the source coordinates and the coordinate system these should be converted into. Click on the Start conversion button to start the conversion. Where a conversion is not possible, the fields for the target system will be empty as shown below. Click the Insert coordinates button to insert the new coordinates into you datasets.


Maintenance - Gazetteer

To synchronize the entries derived from the module DiversityGazetteer choose Administration -> Maintenance from the menu. A window as shown below will open. On the tab page Collection <-> Gazetteer select the project for which the entries should be synchronized. There are 3 targets for the synchronization: Place name in the field Location1 in table CollectionEventLocalisation, Country stored in the field CountryCache in the table CollectionEvent and the Coordinates stored in the fields AverageLatitudeCache and AverageLongitudeCache in the table CollectionEventLocalisation. Select one of there targets for the synchronization. To start the query, click on the [image] button.

The form will list all differences found. To update the database click on the [image] button. If you want to have a more detailed look on your data, you have to check the Include accession number checkbox before starting the query. A button [image] will appear that will take you back to a single dataset in the database.

To check for countries that do not match entries in DiversityGazetteer choose Country from the list as shown below.

The image above summarizes the options for an update of the country. You can restrict your query to one of the projects you have access to. If you want to check single datasets, check the include accession numbers option before you start the query. To keep the old entry in the Notes field check the Add original to notes option.


MaintenancePrint

Maintenance - Insert missing organisms in specimen parts

To print a label for your samples you have to specify, which of the organisms in the specimen should be shown on the label. If for any reason, the organisms where not included into the parts as shown in the image below, you can do this for all datasets for a selected project.

Select the print tab, the project and click on the [Check for missing units in parts] button. The missing entries will be listed as shown below. To insert them click on the corresponding button.


ImportExport

Import and export

There are several import and export mechanisms:

Import of specimen scans: Import image data where the accession number is a part of the file name can be imported together with default informations to the whole batch.

Import, export and reimport of tab-separated lists: Import data from foreign sources, export data and reimport after external editing.

Export from Grid-Mode using the export function.

Export of XML data according to the ABCD schema 2.06.

Generation of labels.

Generation of inventary lists.

Synchronisation with mobile devices


ImportScans

Import specimen scans

With this import routine, you can import new datasets along with new images into the database. To achieve this the image files should be named corresponding to the accession numbers of the datasets that should be imported (e.g. M-003145 in the example below) and an optional trailing identifier (e.g. _20070711_122541 in the example below). The image below shows an overview of the whole import process.

To import images like scanned labels from specimens choose Data - Import - Specimen scans... from the menu. A window for the import of images will be opened (see below).

The fields marked with red are mandatory.

Image source

To select the images you want to import in the database click on the [image] button. A dialog will open, where you can select the images that you want to import into your database.

Select the files and close the window to enter the selection of the images in the list in the form.

Import options and security checks

If you want to replace datasets for images already in the database, check the Overwrite existing images checkbox. If the images are located in a subfolder, that is named according to the first characters of the accession number, check the Place images in subfolder of length checkbox and specify the length of the name of the folder. If you want to check the URIs of the images check the corresponding checkbox. The datasets will then only be imported if the images are available on the web. If the filename next to the accession number contains a trailing identifier, this must be separated by a unique character. Check the corresponding box and enter the separating character. If you want to check whether the accession numbers are correct you can check the start and the length of the accession number by checking the appropriate checkboxes.

Image list

The list shows the image files selected for the import. To test if all files satisfy the specified checks, click on the Test import button. If the file name passed all checks, the OK field for the image will be checked after the test. Otherwise an explanation for not passing the checks will be shown in the Error column.

The second column of the list shows the accession number extracted from the file name, the second column the file name of the original image file and the path written in the database. These paths may differ from the original if you select the option for setting a different BaseURL. If a dataset for an image already exists in the database and you selected the Append images option, the checkbox Append at the right end of the table will be checked.

Database

You can set several mandatory and optional values that will be written in the database for all imported data. The fields marked with red are mandatory. These are the collection in which the specimens are located, the material categories of the specimens, the project, the content type of the scans (e.g. label) and the taxonomic group of the main organism in the specimens. If you want to refer to a web source for the labels instead of a local file you must give the base URL as well. Optional fields are a place according to the DiversityGazetteer and the date of the gathering event, the collector, the accession date, an identification, an exsiccatal series and the type of the label. For explanation of the buttons see module related entries .

To test the import and whether the images are present in the database click on the [image] button. If everything is fine click on the [image] button to start the import.

Logfile: To log the list of imported images and any errors during the import, check the Create log file checkbox. This will create a log file with your name, the date and time of the import in the directory where the image files are located.

The program will check, whether an accession number is already present in the database. It will only import the data, if the option Append images if accession number is present is checked. Otherwise these data will not be imported.

If the images will be provided by a webserver, check the appropriate checkbox and specify the folder or click on the [image] button of search for the website.

In tIn the overview below the mandatory fields are marked with red, the optional fields with yellow.


ImportLists

Import tab-separated lists

With this import routine, you can import data as tab-separated lists into the database. Choose Data -> Import -> Import list... from the menu to open the window for the import. In the window click on the [image] button to select the file with the data you want to import. Use the proper [encoding] to ensure that all special characters will be transferred correctly. If you change the encoding after opening the file, click on the [image] button to reload the file with the new encoding.

The content of the file will be shown in the upper part of the [Column mapping] tab page. Use the [Data start in line] to set the area for the import. Preceeding lines will be ignored and depicted with a gray background as shown below. Every column in your file must be either ignored of mapped to a column in the database. The lower part of the mapping section shows your mapping, while the upper part contains the first lines of your file. You can either use a prepared column mapping or create a new one. To import a previous column mapping, click on the [image] button and choose one of the XML-files.

Column mapping

For a column that should not be imported, choose the black color from the group as shown for the second column in the image below. These columns will be ignored for the analysis and the import. For all other columns choose the [Table] and the [Column] your data correspond to. If you want to import two different datasets in the same table, you have to change the [Alias for table] to a unique value for this dataset.

If some columns should be transferred into one field, you have to choose a group for these column as shown below for columns 3 to 5, 6 to 9, ... . To do this, just choose a color from the group combobox other than white or black. To save the current mapping, click on the [image] button.

To analyse the data in the file click on the [Analyse] button. During the analysis the program may ask you to give additional information, like the taxonomic groups of the imported organisms. In the upper part of the window you can add informations that should be imported together with your data from the file. The available options depend on the structure of your data.

The image below shows the tab page where you can define the relations between two organisms. This might be necessary if e.g. your data contain informations of parasites and hosts. The data tables that are related to an identification are listed with their aliases in the lists for the identification tables. Use the [image] and [image] buttons to move them between the lists. Use the [image] buttons to change the sequence within a list. With the [Host] option [image] you define the host and the [Main] option defines which organism will be chosen as the first to be printed e.g. on a label.

By default one collection event will be created for each dataset.

If the events should be joined following the entries in the file, you can choose the second option as shown below. The import will create a new event if there is any change in the data related to the collection event, like the description of the locality, the altitude, the coordinates etc.

If all the dataset are belonging to one event series, e.g. to one expedition, you can choose the option as shown below and enter the code and description of the event series in the corresponding fields.

If you want to use an existing event series, click on the [image] button and select a series from the form. The code and description of the selected series will be shown as in the image below.

After your data where successfully analysed, the window will show you the result as shown in the image below. During the analysis, the program will add missing tables and columns necessary for the import. The first dataset will be shown in the form. If you want to check more datasets, set the number of the last position you want to check and click on the [Analyse] button. The data are arranged according to the tables in the database in which they will be imported. The underlined fields belong the the primary keys of the respective tables and are red if missing. These missing values will be generated during the import. If a dataset contains no values and will therefore not be imported into the database, the colums will be shown in blue. To import these entries in any case, choose the [import empty values] option. To browse through the datasets in the preview use the [image] buttons.

To import the data, click on the [Start import] button. If you want to import just a part of the data, e.g. for a test, choose the [Import first ... lines] option.


Export

Export as tab-separated lists

You can export the content of the datasets listed in the specimen list into a tab-separated list. Choose Data - Export - Export list... from the menu. A window as shown below will open. To change the preset path of the export file use the [image] button.

To start the export click on the [Start export] button. A file will be created in your application directory, containing the exported data. A preview of the data is shown in the lower part of the form. If you check the include columns for reimport option, the header will contain an additional line for table names which you can use for reimporting the data. If you check the include the SQL-Query option, the Text of the command for selecting the datasets will be attached at the end of your report. The form will show the first lines as set in the Show first ... datasets (range: 1 - 99) as a preview. During the first export, the list for the fields for sorting the results [Order by:] will be filled. So if you need sorted results just restart the export after selecting the field after the first export.

To choose the fields you want to see in the export click on the [image] button. A window will open as shown below, where you can choose the fields you want to export.

Please keep in mind, that only the datasets listed in the specimen list of the main form will be exported. If for example you set the maximal number for the specimen list to 100, only these datasets will be exported, even if the number of datasets related to your query will be more than 100.

Please be aware, that you will get "cross joins" between the data in your database as in the example shown below. If for example you start an export containing taxa and collectors and you have 3 taxa and 2 collectors in a dataset this will result in 6 lines in the export: every taxon combined with every collector (3 x 2 = 6). To evaluate the data you have to group the results accordingly. The first line in the file corresponds to the description as shown in the form above for the selection of the export fields. The second line shows the tables and the third line the column within the database. The following lines contain the data. If you want to avoid these cross joins and need only one line for each dataset, please use the export funktion of the grid mode.

Accession number | Taxon | Collector
CollectionSpecimen | IdentificationUnit | CollectionAgent
AccessionNumber | LastIdentificationCache | CollectorsName
M-0013579 | Arthrocladiella mougeotii (Lev.) Vassilkov | Sandu, C.
M-0013579 | Arthrocladiella mougeotii (Lev.) Vassilkov | Savulescu, T.
M-0013579 | Blumeria graminis (DC.) Speer | Sandu, C.
M-0013579 | Blumeria graminis (DC.) Speer | Savulescu, T.
M-0013579 | Lycium barbarum | Sandu, C.
M-0013579 | Lycium barbarum | Savulescu, T.


ReimportLists

Reimport tab-separated lists

With this import routine, you can reimport data in tab-separated lists that had been exported from the database. Choose Data -> Import -> Reimport list... from the menu to open the window for the reimport. To reimport data, these must have been exported using the option [add columns for reimport] to ensure correct header lines in your file. As the client provides no possibility to change data on the basis of lists, you may export the respective data to a tab-separated list, change your values and reimport the data.

In the window click on the [image] button to select the file with the data you want to import. Use the proper [encoding] to ensure that all special characters will be transferred correctly. If you change the encoding after opening the file, click on the [image] button to reload the file with the new encoding. The content of the file will be visible as shown below. For a reimport, the data will always start in line 7, indicated by a gray background of the header lines.

To analyse the data in the file click on the [Analyse] button. After a successful analysis, the window will show you the result as shown in the image below. The first dataset will be shown in the form. If you want to check more datasets, set the number of the last position you want to check and click on the [Analyse] button. The data are presented according to the tables in the database where they will be inserted. Underlined columns belong to the primary key of the respective tables and are red if missing. These missing values will be generated during the import. If a dataset contains no values and will therefore not be imported into the database respectively updated, the colums will be shown in blue. To import these entries in any case, choose the [import empty values] option. To browse through the datasets in the preview use the [image] buttons.

To import your data, click on the [Start import] button. If you want to import just a part of the data, e.g. for a test, choose the [Import first ... lines] option.


Export ABCD

In the current version only the main data from DiversityCollection will be exported to ABCD.

To export the data of the specimen selected in the specimen list following the ABCD schema 2.06 choose Data -> Export -> XML (ABCD Schema)... from the menu. A window as shown below will open where you can set some additional parameters defined in ABCD resp. BioCASE.

To start the export click on the Start export button. The data will be exported into a file in your application directory. Click on the [image] button to inspect the exported data (see below).


Label

If there is only one part in your specimen click on the printer symbol [image] in the [image] button to switch to the printing mode. If your specimen contains more then one part, choose the part of the specimen for which the label should be generated and click on the [image] button in the right panel. The image area will switch to the label view [image] and in the data area the details related to the label will be accessible. The sequence is shown in the image below.

Additional information about a label are entered in the label section (see image below). The data are stored in the table CollectionSpecimen.

The organisms of a specimen are printed on a label according to the display order.

To print a label for a specimen you have to select a schema file. There are default schema files available in the folder LabelPrinting/Schemas in your application directory. Click on the [image] button to open the directory. You will find several prepared schema files among which you can choose resp. change them to your own needs or create new ones. The schema file LabelTemplates.xslt provides templates for the other schema files. You may give a title for the print in the field Title. From the Collection and MaterialCategory available for the selected specimen choose one from the list (Coll./Mat.). To generate the label for the current specimen click on the [image] button. To generate labels for all specimens in your query click on the [image] button. If you need duplicates of your labels change the number in the duplicates box [image] to the desired value. You can print 1 - 99 duplicates of one label. If there are more than 20 specimens in the list, you get a warning whether you really want to create all these labels, as this could be somewhat time consuming. The labels are generated as XML files with XSLT-schema files, transformed to HTML-files and depicted in a browser. To print the label click on the [image] button.

If you want to print labels for duplicates that are stored in a different collection, the duplicate should be a child of the original specimen as shown in the example below.

IDepending on the schema you use, the label will be marked as duplicat and contain a reference to the original specimen (see below).

If you want to save the generated files for later printing click on the [image] button to do this. Note that the program will by default create a file Label.xml and in case a schema file is specified a file Label.htm in the LabelPrinting directory that will be overwritten everytime you generate a new label. So you have to save the file under a different name or in a different directory to prevent the program to erase these data.

If you use Code 39 for your labels and want to print the barecodes on the labels you need the font [image] , which is included in the DiversityCollection packet. Place this font in the folder where your fonts are stored (e.g.: C:\WINNT\Fonts). If the font is not available, the Barcode will appear as the accession number between two '*' signs.

If you want to print labels for all the specimens in the specimen list you can restrict these to the collection and the material category of the current specimen part (see image above).

If you do not select a schema file, i.e. the textbox Schema file: is empty, you will see the generated XML-file as shown in the image below. The XML file is the base for all label types you want to generate. To create your own labels just design your own XSLT-schema file. See e.g. http://www.w3.org/TR/xslt for further informations about schema files.

If you want to reformat the accession number, you can choose among the options provided by the program, e.g. conversion of arabic to roman numbers (BSPG-1988-007-00001 -> BSPG-1988-VII-00001). Select the format from the combobox [Conversion] shown above.


Customization

Customization of the application

DiversityCollection provides several ways to adapt the forms to your needs. There are special adaptions for the main window and for the grid view. General adaptions are performed with the context.


WorkbenchEntity

Entities, contexts, usage and languages

DiversityCollection can be used in diverse contexts like collection managemant, observations or field mapping. To ensure that a user working in a certain area will see the descriptions corresponding to his domain the Diversity Workbench provides the possibility to define corresponding contexts.

To set the context and the language for the programm choose Administration - Customize display ... from the menu. A window as shown below will open, where you can select the language and the context that should be used. By default the language will be set according the settings of your operation system, but you may change it here. The default language within DiversityCollection is english. If you select a certain context, the tables in the lower part of the form will show you the special setting within this context. These settings are edited as described below.

For the documentation of the tables used for the storage of the entity related data please see the section Entity tables.

To edit the entities choose Administration - Application description ... from the menu. A window as shown below will open, where you can edit the entities defined for the programm.

Group for the display of the entity

If in a user interface certain entities should be displayed in a group, enter the name of the group here.

Usage

If nothing is defined for the usage of an entity, it will be handeled according to the rights of the user. In ceratain context, an entity may be set to e.g. read only, inapplicable or not used. In case of the later two possiblities the entity will not appear in the surface of the programm. For example, transaction management (e.g. loan) will not be handeled with a mobile device, so the corresponding entities will be set to "not used". Use the [Insert new usage] button to insert a new usage for an entity. To edit the possible usages, choose Administration - Usage ... from the menu.

  • inapplicable: An entity that can not be applied in a certain context will not be shown in an user interface, e.g. the depositors accession number in the context observation.
  • preset: An entity will have a preset value, e.g. 'determination' for the identification category in the context observation.
  • read only: An entity can not be changed.
  • hidden: An entity should be hidden from the user interface.
Context

The default context is General. So as a start, you will find all representations within this context. Within the representation, when a certain context is missing, the programm will search for a representation in the parent context until a represention is found. To edit the context, choose Administration - Context ... from the menu. A window as shown below will open where you can edit the context.

Representation

An entity may have differing representations in different contexts. For example a collection event may corrrespond to an observation or gathering in other contexts. Use the Entity and Representation menu to fill in missing entries. If and only if an entity should get a different title or description in the user interface, enter the values in the table. If nothing is defined in a certain context, the program will walk up the tree defined with the parent code (see the image above) to find valable values for the title or description of the entity. The highest entry in the hierarchy is the context General with the language english. If you define deviating values for the display text, the abbreviation or the description, you must at least enter values in the highest entry (General, english) as a default value for all other entities.

Language

The default language used in DiversityCollection is english. So as a start, you will find all descriptions etc. in english. All representations can be defined for any language. Use the Representation menu to automatically fill in missing entries of a language. If there are changes in the original description of tables or columns in the database, choose Representation - Update descriptions according to database from the menu to import the updated descriptions for the english version and context "General".

Entity

To insert missing entities, use the Entity menu. To insert all missing tables of a database, choose Entity - Insert all missing tables ... from the menu. A window will open, listing the missing tables. Use the [Exclude: ... ] field and [Requery] button to take certain tables from the list, e.g. if you do not want to define entities for log tables, enter *_log and then click [Requery]. You can repeat this until the list contains only tables you want to use.

You find corresponding functions for single tables and for entries in a table. The later function is restricted to tables with a primary key with one column. A window will open, where you map the columns provided for the entity documentation to columns in the table of which you want to import the entries (see image below).

This may be necessary if e.g. certain entries in a table should not be used in a certain context or if you want to translate the contents into another language.


Customize

Customize the main form

The main window can be customised in several parts. To change the visible parts in the window select Administration - Customize display ... from the menu. A window as shown below will open where you can select the groups that should be shown. In the first tab you can change the visibility for the taxonomic groups and the material categories.

In the second tab as shown below you can set the visibility of the localisation systems and the collection site properties that are listed in the drop down menus for adding these items to a collection event.


Database

The database for DiversityCollection is based on Microsoft SQL-Server 2005.

Organisation of the data

The main tables of the database are CollectionEvent corresponding to the event of the collection and CollectionSpecimen holding the specimens collected. Connected to these tables you find tables for additional informations.

The image below shows the main tables of the database.

In the graphic the tables of the database are marked according to their logical groups. The central is the table CollectionSpecimen holding the data of the specimen like e.g. the accession number. In the left part you find the tables containing data related to the collection event, and in the right part tables related to the organisms and their identifications. Further logical groups are collectors, projects and storage and transactiontransaction.

Further details: tables , application tables, access.


Connections

Connections to the databases and services

The program will automatically try to connect to all the modules within the Diversity Workbench. To edit these connections choose Connection -> [image] Module connections ... from the menu. A form as shown below will open, where you can edit these connections.

To edit a connection, select it in the tree and click on the [image] button . To requery the connections use the [image] button. If you want to add a connection on a different Server, click on the [image] button and connect to the database you want to add to the list. Added databases will be displayed in green . To remove a connection from the list, select this connection and click on the [image] button. Webservices like Index Fungorum will be displayed in blue.


Database - access

The database engine for DiversityCollection is Microsoft SQL-Server 2005.

If you are connected to a database this is indicated by the icon of the connection button [image] in left upper corner. If you are not connected this will be indicated by the icon [image]. To access any database, you must specify the server where the database is located. For the configuration of this connection choose Connection, Database... from the menu or click on the [image] button.

If you want to use a database on a central server or remote computer, start the program [image] DiversityCollection.exe and in the main window click on the [image] button or choose Connection -> Database ... from the menu. A window as shown below will open. Here choose the option Remote database and set the connection parameters as described below.

Database name, IP-address and Port

A dialog will open, to specify the name or IP-address and port number of the server and to select the authentication mode. You can either choose Windows authentication (see left image below) or SQL-Server authentication (see below - central middle image).

The standard port number for SQL-Server is 1433 and will be set as a default. If the database server is configured using a port different from that port, you must give the port number in the field Port. Click on the [image] button to connect to the server. If the connection informations are valid, you can choose a database from the server from the combobox at the base of the window (see right image above). To restart the connecting process click on the [image] button.

Module connections

The program will automatically try to get connect to Diversity Workbench databases and webservices. For further details see the Connections section. To edit these


DiversityCollection_Test

Index

  • Analysis

  • AnalysisResult

  • AnalysisTaxonomicGroup

  • AnalysisValue

  • Collection

  • CollectionAgent

  • CollectionEvent

  • CollectionEventImage

  • CollectionEventLocalisation

  • CollectionEventProperty

  • CollectionEventSeries

  • CollectionEventSeriesImage

  • CollectionExternalDatasource

  • CollectionImage

  • CollectionManager

  • CollectionProject

  • CollectionRequester

  • CollectionSpecimen

  • CollectionSpecimenImage

  • CollectionSpecimenPart

  • CollectionSpecimenProcessing

  • CollectionSpecimenRelation

  • CollectionSpecimenTransaction

  • ExternalRequestCredentials

  • Identification

  • IdentificationUnit

  • IdentificationUnitAnalysis

  • IdentificationUnitGeoAnalysis

  • IdentificationUnitInPart

  • LocalisationSystem

  • Processing

  • ProcessingMaterialCategory

  • ProjectAnalysis

  • ProjectProcessing

  • Property

  • PropertyValueList

  • Transaction

  • TransactionDocument

Table Analysis

Analysis types used within the database

Column | Data type | Description
AnalysisID | int | ID of the analysis (Primary key)
AnalysisParentID | int | Analysis ID of the parent analysis if it belongs to a certain type documented in this table
DisplayText | nvarchar (50) | Name of the analysis as e.g. shown in user interface
Description | nvarchar (MAX) | Description of the analysis
MeasurementUnit | nvarchar (50) | The measurement unit used for the analysis, e.g. mm, µmol, kg
Notes | nvarchar (MAX) | Notes concerning this analysis
AnalysisURI | varchar (255) | URI referring to an external documentation of the analysis
OnlyHierarchy | bit | If the entry is only used for the hierarchical arrangement of the entries Default value: (0)
LogCreatedWhen | datetime | The time when this dataset was created Default value: getdate()
LogCreatedBy | nvarchar (50) | Who created this dataset Default value: user_name()
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()
RowGUID | uniqueidentifier | - Default value: newsequentialid()

Table AnalysisResult

Value lists for analysis types with predefined values, e.g. "0, 1, 2, 3, ..." for Red list category. Includes description etc. for the values in the list.

Column | Data type | Description
AnalysisID | int | ID of the analysis (Primary key)
AnalysisResult | nvarchar (255) | The categorized value of the analysis
Description | nvarchar (500) | Description of enumerated object, displayed in the user interface
DisplayText | nvarchar (50) | Short abbreviated description of the object, displayed in the user interface
DisplayOrder | smallint | The order in which the entries are displayed. The order may be changed at any time, but all values must be unique.
Notes | nvarchar (500) | Internal development notes about usage, definition, etc. of an enumerated object
LogInsertedBy | nvarchar (50) | Name of user who first entered (typed or imported) the data. Default value: user_name()
LogInsertedWhen | smalldatetime | Date and time when the data were first entered (typed or imported) into this database. Default value: getdate()
LogUpdatedBy | nvarchar (50) | Name of user who last updated the data. Default value: user_name()
LogUpdatedWhen | smalldatetime | Date and time when the data were last updated. Default value: getdate()

Table AnalysisTaxonomicGroup

The types of analysis that are available for a taxonomic group

Column | Data type | Description
AnalysisID | int | Analysis ID, foreign key of table Analysis.
TaxonomicGroup | nvarchar (50) | Taxonomic group the organism identified by this unit belongs to. Groups listed in table CollTaxonomicGroup_Enum (= foreign key)
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()
RowGUID | uniqueidentifier | - Default value: newsequentialid()

Table AnalysisValue

Value lists for analysis types with predefined values, e.g. "0, 1, 2, 3, ..." for Red list category. Includes description etc. for the values in the list.

Column | Data type | Description
AnalysisID | int | ID of the analysis (Primary key)
AnalysisValue | nvarchar (255) | The categorized value of the analysis
Description | nvarchar (500) | Description of enumerated object, displayed in the user interface
DisplayText | nvarchar (50) | Short abbreviated description of the object, displayed in the user interface
DisplayOrder | smallint | The order in which the entries are displayed. The order may be changed at any time, but all values must be unique.
Notes | nvarchar (500) | Internal development notes about usage, definition, etc. of an enumerated object
LogInsertedBy | nvarchar (50) | Name of user who first entered (typed or imported) the data. Default value: user_name()
LogInsertedWhen | smalldatetime | Date and time when the data were first entered (typed or imported) into this database. Default value: getdate()
LogUpdatedBy | nvarchar (50) | Name of user who last updated the data. Default value: user_name()
LogUpdatedWhen | smalldatetime | Date and time when the data were last updated. Default value: getdate()

Table Collection

The collections where the specimen are stored

Column | Data type | Description
CollectionID | int | Unique reference ID for the collection (= Primary key)
CollectionParentID | int | For a subcollection within another collection: CollectionID of the collection to which the subcollection belongs. Empty for an independent collection
CollectionName | nvarchar (255) | Name of the collection (e. g. 'Herbarium Kew') or subcollection (e. g. 'cone collection', 'alcohol preservations'). This text should be kept relatively short, use Description for additional information
CollectionAcronym | nvarchar (10) | A unique code for the Collection, e.g. the herbarium code from Index Herbariorum
AdministrativeContactName | nvarchar (500) | The name of the person or organisation responsible for this collection
AdministrativeContactAgentURI | varchar (255) | The URI of the person or organisation responsible for the Collection e.g. as provided by the module DiversityAgents
Description | nvarchar (MAX) | A short description of the collection
Location | nvarchar (255) | Optionally location of the collection, e.g. the number within a file system or a description of the room(s) housing the (sub)collection
CollectionOwner | nvarchar (255) | The owner of the collection as e.g. printed on a label, should be given if CollectionParentID is null
DisplayOrder | smallint | The order in which the entries are displayed. The order may be changed at any time, but all values must be unique.
LogCreatedWhen | datetime | The time when this dataset was created Default value: getdate()
LogCreatedBy | nvarchar (50) | Who created this dataset Default value: user_name()
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()
RowGUID | uniqueidentifier | - Default value: newsequentialid()

Table CollectionAgent

The collector(s) of collection specimens

Column | Data type | Description
CollectionSpecimenID | int | Refers to ID of CollectionEvent (= Foreign key and part of primary key)
CollectorsName | nvarchar (255) | Name of the Collector
CollectorsAgentURI | varchar (255) | The URI of the Agent, e.g. as stored within the module DiversityAgents
CollectorsSequence | datetime | The order of collectors in a team. Automatically set by the database system Default value: getdate()
CollectorsNumber | nvarchar (50) | Number assigned to a specimen or a batch of specimens by the collector during the collection event (= 'field number')
Notes | nvarchar (MAX) | Notes about the collector, e.g. if the name is uncertain
DataWithholdingReason | nvarchar (255) | If the dataset is withhold, the reason for withholding the data, otherwise null
LogCreatedWhen | datetime | The time when this dataset was created Default value: getdate()
LogCreatedBy | nvarchar (50) | Who created this dataset Default value: user_name()
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()
RowGUID | uniqueidentifier | - Default value: newsequentialid()

Table CollectionEvent

The collection event where the specimen was collected

Column | Data type | Description
CollectionEventID | int | Unique ID for the collection event (= Primary key)
Version | int | The version of the dataset. Automatically set by the system. Default value: (1)
SeriesID | int | The ID of the related expedition. Relates to the PK of the table CollectionExpedition (Foreign key).
CollectorsEventNumber | nvarchar (50) | Number assigned to a collection event by the collector (= 'field number')
CollectionDate | datetime | The date of the event calulated from the entries in CollectionDay, -Month and -Year.
CollectionDay | tinyint | The day of the date of the event or when the collection event started
CollectionMonth | tinyint | The month of the date of the event or when the collection event started
CollectionYear | smallint | The year of the date of the event or when the collection event started
CollectionDateSupplement | nvarchar (100) | Verbal or additional collection date information, e.g. 'end of summer 1985', 'first quarter', '1888-1892'. The end date if the collection event comprises a period. The time of the event if necessary.
CollectionDateCategory | nvarchar (50) | Category of the date of the identification e.g. "system", "estimated" (= foreign key, see in table CollEventDateCategory_Enum)
CollectionTime | varchar (50) | The time of the event or when the collection event started
CollectionTimeSpan | varchar (50) | The time span e.g. in seconds of the collection event
LocalityDescription | nvarchar (MAX) | Locality description of the locality, exactly as written on the original label (i.e. without corrections during data entry)
HabitatDescription | nvarchar (MAX) | Geo-ecological description of the locality, exactly as written on the original label (i.e. without corrections during data entry)
ReferenceTitle | nvarchar (255) | The title of the publication where the collection event was published. Note this is only a cached value where ReferenceURI is present
ReferenceURI | varchar (255) | URI (e.g. LSID) of the source publication where the collection event is published, may e.g. refer to the module DiversityReferences
ReferenceDetails | nvarchar (50) | The exact location within the reference, e.g. pages, plates
CollectingMethod | nvarchar (MAX) | Description of the method used for collecting the samples, e.g. traps, moist chambers, drag net
Notes | nvarchar (MAX) | Notes about the collection event
CountryCache | nvarchar (50) | The country where the collection event took place. Cached value derived from an entry in CollectionGeography
DataWithholdingReason | nvarchar (255) | If the dataset is withhold, the reason for withholding the data, otherwise null
LogCreatedWhen | datetime | The time when this dataset was created Default value: getdate()
LogCreatedBy | nvarchar (50) | Who created this dataset Default value: user_name()
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()
RowGUID | uniqueidentifier | - Default value: newsequentialid()

Table CollectionEventImage

The images showing the site of the collection event

Column | Data type | Description
CollectionEventID | int | Unique ID for the collection event (= Primary key)
URI | varchar (255) | The complete URI address of the image. This is only a cached value if ResourceID is available referring to the module DiversityResources
ResourceURI | varchar (255) | The URI of the resource (e.g. see module DiversityResources)
ImageType | nvarchar (50) | Type of the image, e.g. map
ImageMetadata | xml (MAX) | ImageMetadata - CollectionEventImage
Notes | nvarchar (MAX) | Notes to this image concerning the collection event
DataWithholdingReason | nvarchar (255) | If the dataset is withhold, the reason for withholding the data, otherwise null
LogCreatedWhen | datetime | The time when this dataset was created Default value: getdate()
LogCreatedBy | nvarchar (50) | Who created this dataset Default value: user_name()
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()
RowGUID | uniqueidentifier | - Default value: newsequentialid()

Table CollectionEventLocalisation

The geographic localisation of a collection event

Column | Data type | Description
CollectionEventID | int | Refers to the ID of CollectionEvent (= Foreign key and part of primary key)
LocalisationSystemID | int | Refers to the ID of LocalisationSystem (= Foreign key and part of primary key)
Location1 | nvarchar (255) | Either a named location selected from a thesaurus (e. g. 'Germany, Bavaria, Kleindingharting') or altitude range or other values (e. g. 100-200 m)
Location2 | nvarchar (255) | Corresponding value to Location1 e.g. ID or URI of gazetteer or thesaurus
LocationAccuracy | nvarchar (50) | The accuracy of the determination of this locality
LocationNotes | nvarchar (MAX) | Notes on the location
DeterminationDate | smalldatetime | Date of the determination of the geographical localisation
DistanceToLocation | varchar (50) | Distance from the specified place to the real location of the collection event (m)
DirectionToLocation | varchar (50) | Direction from the specified place to the real location of the collection event (Degrees rel. to north)
ResponsibleName | nvarchar (255) | The name of the agent (person or organization) responsible for this entry. Default value: [dbo].[CurrentUserName]()
ResponsibleAgentURI | varchar (255) | URI of the person or organisation responsible for the data (see e.g. module DiversityAgents)
Geography | geography | The geography of the localisation
AverageAltitudeCache | float | Calculated altitude as parsed from the location fields
AverageLatitudeCache | float | Calculated latitude as parsed from the location fields
AverageLongitudeCache | float | Calculated longitude as parsed from the location fields
LogCreatedWhen | datetime | The time when this dataset was created Default value: getdate()
LogCreatedBy | nvarchar (50) | Who created this dataset Default value: user_name()
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()
RowGUID | uniqueidentifier | - Default value: newsequentialid()

Table CollectionEventProperty

A property of a collection site, e.g. exposition, slope, vegetation. May refer to Diversity Workbench module DiversityScientificTerms

Column | Data type | Description
CollectionEventID | int | Refers to the ID of CollectionEvent (= Foreign key and part of primary key)
PropertyID | int | The ID of the descriptor of the collection event, foreign key, see table Descriptor
DisplayText | nvarchar (255) | The text for the property as shown e.g. in a user interface
PropertyURI | varchar (255) | URI referring to an external datasource e.g. DiversityTerminology
PropertyHierarchyCache | nvarchar (MAX) | A cached text of the complete name of the descriptor including superior categories if present
PropertyValue | nvarchar (255) | The value of a captured feature e.g. temperature, pH, vegetation etc. If there is a range this is the lower or first value
ResponsibleName | nvarchar (255) | The name of the agent (person or organization) responsible for this entry.
ResponsibleAgentURI | varchar (255) | URI of the person or organisation responsible for the data (see e.g. module DiversityAgents)
Notes | nvarchar (MAX) | Notes about the property of the colletion site.
AverageValueCache | float | For numeric values - a cached average value according to the
LogCreatedWhen | datetime | The time when this dataset was created Default value: getdate()
LogCreatedBy | nvarchar (50) | Who created this dataset Default value: user_name()
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()
RowGUID | uniqueidentifier | - Default value: newsequentialid()

Table CollectionEventSeries

The series whithin which collection events take place

Column | Data type | Description
SeriesID | int | Primary key. The ID for this expedition (= Primary key)
SeriesParentID | int | The ID of the superior expedition
Description | nvarchar (MAX) | The description of the expedition as it will be printed on e.g. the label
SeriesCode | nvarchar (50) | The user defined code for an expedition
Geography | geography | The geography of the collection event series according to WGS84
Notes | nvarchar (MAX) | Notes about this expedition
DateStart | datetime | The date and time when the event series started.
DateEnd | datetime | The date and time when the event series ended
LogCreatedWhen | datetime | The time when this dataset was created Default value: getdate()
LogCreatedBy | nvarchar (50) | Who created this dataset Default value: user_name()
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()
RowGUID | uniqueidentifier | - Default value: newsequentialid()

Table CollectionEventSeriesImage

The images showing the site of the collection event series

Column | Data type | Description
SeriesID | int | Unique ID for the collection event series (= Foreign key and part of primary key)
URI | varchar (255) | The complete URI address of the image. This is only a cached value if ResourceID is available referring to the module DiversityResources
ResourceURI | varchar (255) | The URI of the resource (e.g. see module DiversityResources)
ImageType | nvarchar (50) | Type of the image, e.g. map
Notes | nvarchar (MAX) | Notes to this image concerning the collection event
DataWithholdingReason | nvarchar (255) | If the dataset is withhold, the reason for withholding the data, otherwise null
LogCreatedWhen | datetime | The time when this dataset was created Default value: getdate()
LogCreatedBy | nvarchar (50) | Who created this dataset Default value: user_name()
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()
RowGUID | uniqueidentifier | - Default value: newsequentialid()

Table CollectionExternalDatasource

CollectionExternalDatasource document the sources of the names.

Column | Data type | Description
ExternalDatasourceID | int | An ID to identify an external data collection of collection specimen (primary key, the ID has no meaning outside of the DiversityWorkbench system)
ExternalDatasourceName | nvarchar (255) | The name of the data collection that has been integrated or can be linked to for further analysis
ExternalDatasourceVersion | nvarchar (255) | The version of this data collection (either official version number, or dates when the collection was integrated)
Rights | nvarchar (500) | A description of copyright agreements or permission to use data from the external database
ExternalDatasourceAuthors | nvarchar (200) | The persons or institutions responsible for the external database
ExternalDatasourceURI | nvarchar (300) | The URI of the database provider resp. the external database
ExternalDatasourceInstitution | nvarchar (300) | The institution responsible for the external database
InternalNotes | nvarchar (1500) | Additional notes concerning this data collection
ExternalAttribute_NameID | nvarchar (255) | The table and field name in the external data collection to which CollectionExternalID refers
PreferredSequence | tinyint | For selection in e.g. picklists: of several equal names only the name from the source with the lowest preferred sequence will be provided.
Disabled | bit | If this source should be disabled for selection of names e.g. in picklists
RowGUID | uniqueidentifier | - Default value: newsequentialid()

Table CollectionImage

The images showing the collection

Column | Data type | Description
CollectionID | int | Refers to the ID of Collection (= Foreign key and part of primary key)
URI | varchar (255) | The complete URI address of the image.
ImageType | nvarchar (50) | Type of the image, e.g. label
Notes | nvarchar (MAX) | Notes about the collection image
DataWithholdingReason | nvarchar (255) | If the dataset is withhold, the reason for withholding the data, otherwise null
LogInsertedWhen | datetime | The time when this dataset was created Default value: getdate()
LogInsertedBy | nvarchar (50) | Who created this dataset Default value: user_name()
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()
RowGUID | uniqueidentifier | RowGUID - CollectionImage Default value: newsequentialid()

Table CollectionManager

Managers within DiversityCollection, responsible of specimen transactions

Column | Data type | Description
LoginName | nvarchar (50) | A login name which the user uses for access the DivesityWorkbench, Microsoft domains, etc..
AdministratingCollectionID | int | ID for the collection for which the Manager has the right to administrate the transaction. Corresponds to AdministratingCollectionID in table Transaction.
RowGUID | uniqueidentifier | - Default value: newsequentialid()

Table CollectionProject

The projects within which the collection specimen were placed

Column | Data type | Description
CollectionSpecimenID | int | Refers to the ID of CollectionSpecimen (= Foreign key and part of primary key)
ProjectID | int | ID of the project to which the specimen belongs (Projects are defined in DiversityProjects)
LogCreatedWhen | datetime | The time when this dataset was created Default value: getdate()
LogCreatedBy | nvarchar (50) | Who created this dataset Default value: user_name()
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()
RowGUID | uniqueidentifier | - Default value: newsequentialid()

Table CollectionRequester

Requesters within DiversityCollection, responsible of specimen transactions

Column | Data type | Description
LoginName | nvarchar (50) | A login name which the user uses for access to the DivesityWorkbench, Microsoft domains, etc..
AdministratingCollectionID | int | ID for the collection for which the Requester has the right to request specimen. Corresponds to AdministratingCollectionID in table Transaction.
IncludeSubcollections | bit | If the subcollections of the administrating collection are accessible for a request
RowGUID | uniqueidentifier | RowGUID - CollectionRequester Default value: newsequentialid()

Table CollectionSpecimen

The data directly attributed to the collection specimen

Column | Data type | Description
CollectionSpecimenID | int | Unique reference ID for the collection specimen record (primary key)
Version | int | The version of the dataset Default value: (1)
CollectionEventID | int | Refers to the ID of CollectionEvent (= Foreign key and part of primary key)
CollectionID | int | ID of the Collection as stored in table Collection (= foreign key, see table Collection)
AccessionNumber | nvarchar (50) | Accession number of the specimen within the collection, e.g. "M-29834752"
AccessionDate | datetime | The date of the accession calculated from the entries in AccessionDay, -Month and -Year
AccessionDay | tinyint | The day of the date when the specimen was acquired in the collection
AccessionMonth | tinyint | The month of the date when the specimen was acquired in the collection
AccessionYear | smallint | The year of the date when the specimen was acquired in the collection
AccessionDateSupplement | nvarchar (255) | Verbal or additional accession date information, e.g. 'end of summer 1985', 'first quarter', '1888-1892'
AccessionDateCategory | nvarchar (50) | Category of the date of the identification e.g. "system", "estimated" (= foreign key, see in table xColl_DateCategory_Enum)
DepositorsName | nvarchar (255) | The name of the depositor(s) (person or organization responsible for deposition). Where entire collections are deposited, this should also contain the collection name (e.g. 'Herbarium P. Döbbler')
DepositorsAgentURI | varchar (255) | The URI of the depositor(s) (person or organization responsible for deposition)
DepositorsAccessionNumber | nvarchar (50) | Accession number of the specimen within the previous or original collection, e.g. 'D-23948'
LabelTitle | nvarchar (255) | The title of the label e.g. for printing labels.
LabelType | nvarchar (50) | Printed, typewritten, typewritten with handwriting added, entirely in handwriting, etc.
LabelTranscriptionState | nvarchar (50) | The state of the transcription of a label into the database: 'Not started', 'incomplete', 'complete'
LabelTranscriptionNotes | nvarchar (255) | User defined notes concerning the transcription of the label into the database
ExsiccataURI | varchar (255) | If specimen is an exsiccata: The URI of the Exsiccata series, e.g. as stored within the DiversityExsiccata module
ExsiccataAbbreviation | nvarchar (255) | If specimen is an exsiccata: Standard abbreviation of the exsiccata (not necessarily a unique identifier; editors or publication places may change over time)
OriginalNotes | nvarchar (MAX) | Notes found on the label of the specimen, by the original collector or from a later revision
AdditionalNotes | nvarchar (MAX) | Additional notes made by the editor of the specimen record, e. g. 'doubtful identification/locality'
ReferenceTitle | nvarchar (255) | The title of the publication where the specimen was published. Note this is only a cached value where ReferenceURI is present
ReferenceURI | varchar (255) | URI (e.g. LSID) of reference where specimen is published, e.g. referring to the module DiversityReferences
ReferenceDetails | nvarchar (50) | The exact location within the reference, e.g. pages, plates
Problems | nvarchar (255) | Description of a problem that occurred during data editing. Typically these entries should be deleted after help has been obtained. Do not enter scientific problems here; use AdditionalNotes for such permanent problems!
DataWithholdingReason | nvarchar (255) | If the dataset is withhold, the reason for withholding the data, otherwise null
InternalNotes | nvarchar (MAX) | Internal notes that should not be published e.g. on websites
ExternalDatasourceID | int | An ID to identify an external data collection of collection specimen (primary key, the ID has no meaning outside of the DiversityWorkbench system)
ExternalIdentifier | nvarchar (100) | The identifier of the external specimen as defined in the external datasource
LogCreatedWhen | datetime | The time when this dataset was created Default value: getdate()
LogCreatedBy | nvarchar (50) | Who created this dataset Default value: user_name()
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()
RowGUID | uniqueidentifier | - Default value: newsequentialid()

Table CollectionSpecimenImage

The images of a collection specimen or of an identification unit within this specimen

Column | Data type | Description
CollectionSpecimenID | int | Refers to the ID of CollectionSpecimen (= Foreign key and part of primary key)
URI | varchar (255) | The complete URI address of the image. This is only a cached value if ResourceID is available referring to the module DiversityResources
ResourceURI | varchar (255) | The URI of the image, e.g. as stored in the module DiversityResources.
SpecimenPartID | int | Optional: If the dataset is not related to a part of a specimen, the ID of a related part (= foreign key)
IdentificationUnitID | int | If image refers to only on out of several identification units for a specimen, refers to the ID of an IdentificationUnit for a CollectionSpecimen (= foreign key)
ImageType | nvarchar (50) | Type of the image, e.g. label
Notes | nvarchar (MAX) | Notes about the specimen image
DataWithholdingReason | nvarchar (255) | If the dataset is withhold, the reason for withholding the data, otherwise null
LogCreatedWhen | datetime | The time when this dataset was created Default value: getdate()
LogCreatedBy | nvarchar (50) | Who created this dataset Default value: user_name()
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()
RowGUID | uniqueidentifier | - Default value: newsequentialid()

Table CollectionSpecimenPart

Parts of a collection specimen. Includes a possible hierarchy of the parts

Column | Data type | Description
CollectionSpecimenID | int | Refers to the ID of CollectionSpecimen (= Foreign key and part of primary key)
SpecimenPartID | int | ID for a part of a specimen (part of primary key) Default value: (1)
DerivedFromSpecimenPartID | int | SpecimenPartID of the specimen from which the current specimen is derived from
PreparationMethod | nvarchar (MAX) | The method used for the preparation of the part of the specimen, e.g. the inoculation method for cultures
PreparationDate | datetime | The date and time when the part was preparated e.g when it was separated from the source object
AccessionNumber | nvarchar (50) | Accession number of the part of the specimen within the collection if it is different from the accession number of the specimen as stored in the table CollectionSpecimen, e.g. "M-29834752"
PartSublabel | nvarchar (50) | The label for a part of a specimen, e.g. if duplicats of a specimen have a separate number
CollectionID | int | ID of the Collection as stored in table Collection (= foreign key, see table Collection)
MaterialCategory | nvarchar (50) | Material category of specimen. Examples: 'herbarium sheets', 'drawings', 'microscopic slides' etc. (= foreign key, see table CollMaterialCategory_Enum) Default value: N'specimen'
StorageLocation | nvarchar (255) | A code identifying the place where the specimen is stored within the collection. Frequently the accepted scientific name is used as storage location code.
Stock | tinyint | Number of stock units if the specimen is stored in separated units e.g. several boxes or vessels (max. 255)
Notes | nvarchar (MAX) | Notes concerning the storage of the sample
LogCreatedWhen | datetime | The time when this dataset was created Default value: getdate()
LogCreatedBy | nvarchar (50) | Who created this dataset Default value: user_name()
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()
RowGUID | uniqueidentifier | - Default value: newsequentialid()

Table CollectionSpecimenProcessing

The processing that was applied to a collection specimen

Column | Data type | Description
CollectionSpecimenID | int | Refers to ID of CollectionSpecimen (= Foreign key and part of primary key)
ProcessingDate | datetime | Date and time of the start of the processing Default value: getdate()
ProcessingID | int | ID of the processing. Refers to ProcessingID in table Processing (foreign key) Default value: (1)
Protocoll | nvarchar (100) | The label of the processing protocoll
SpecimenPartID | int | Optional: If the dataset is related to a part of a specimen, the ID of a related part (= foreign key, see table CollectionSpecimenPart)
ProcessingDuration | varchar (50) | The duration of the processing including the unit (e.g. 5 min) or the end of the processing starting at the processingDate (e.g. 23.05.2008)
ResponsibleName | nvarchar (255) | Name of the person or institution responsible for the determination Default value: [dbo].[CurrentUserName]()
ResponsibleAgentURI | varchar (255) | URI of the person or institution responsible for the determination (= foreign key) as stored in the module DiversityAgents.
Notes | nvarchar (MAX) | Notes about the processing
LogCreatedWhen | datetime | The time when this dataset was created Default value: getdate()
LogCreatedBy | nvarchar (50) | Who created this dataset Default value: user_name()
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()
RowGUID | uniqueidentifier | - Default value: newsequentialid()

Table CollectionSpecimenRelation

The relations of a collection specimen to other collection specimen

Column | Data type | Description
CollectionSpecimenID | int | Unique reference ID for the collection specimen record (primary key)
RelatedSpecimenURI | varchar (255) | URI of the related specimen
RelatedSpecimenDisplayText | varchar (255) | The name of a related specimen as shown e.g. in a user interface
RelationType | nvarchar (50) | Type of the relation between the specimen (= foreign key, see table CollRelationType_Enum)
RelatedSpecimenCollectionID | int | ID of the Collection as stored in table Collection (= foreign key, see table Collection)
RelatedSpecimenDescription | nvarchar (MAX) | Description of the related specimen
Notes | nvarchar (MAX) | Notes on the relation to the specimen
IsInternalRelationCache | bit | If the relation represents a connection between specimen in this database Default value: (1)
LogCreatedWhen | datetime | The time when this dataset was created Default value: getdate()
LogCreatedBy | nvarchar (50) | Who created this dataset Default value: user_name()
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()
RowGUID | uniqueidentifier | - Default value: newsequentialid()

Table CollectionSpecimenTransaction

The transactions in which a specimen was involved

Column | Data type | Description
CollectionSpecimenID | int | Refers to ID of CollectionSpecimen (= Foreign key and part of primary key)
TransactionID | int | Unique ID for the transaction (= Foreign key and part of primary key)
SpecimenPartID | int | Optional: If the dataset is related to a part of a specimen, the ID of a related part (= foreign key, see table CollectionSpecimenPart)
IsOnLoan | bit | True if a specimen is on loan
LogInsertedBy | nvarchar (50) | Name of user who first entered (typed or imported) the data. Default value: user_name()
LogInsertedWhen | smalldatetime | Date and time when the data were first entered (typed or imported) into this database. Default value: getdate()
LogUpdatedBy | nvarchar (50) | Name of user who last updated the data. Default value: user_name()
LogUpdatedWhen | smalldatetime | Date and time when the data were last updated. Default value: getdate()
RowGUID | uniqueidentifier | - Default value: newsequentialid()

Table ExternalRequestCredentials

External requestors with the permission to create a request for a loan

Column | Data type | Description
RequesterLogin | nvarchar (50) | Login of the person responsible for the loan requests in the collection
AdministratingCollectionID | int | The ID of the collection which gets the request for a loan. Corresponds to the AdministratingCollectionID in table Transaction.
RequestingCollectionID | int | The ID of the collection for which the requester has the permission to create a request
RowGUID | uniqueidentifier | RowGUID - ExternalRequestCredentials Default value: newsequentialid()

Table Identification

The identifications of the organisms within a specimen

Column | Data type | Description
CollectionSpecimenID | int | Refers to the ID of CollectionSpecimen (= Foreign key and part of primary key)
IdentificationUnitID | int | Refers to the ID of IdentficationUnit (= foreign key and part of primary key)
IdentificationSequence | smallint | The sequence of the identifications. The last identification (having the highest sequence) is regarded as valid Default value: (1)
IdentificationDate | datetime | The date of the identification calculated from the entries in IdentificationDay, -Month and -Year
IdentificationDay | tinyint | The day of the identification event
IdentificationMonth | tinyint | The month of the identification event
IdentificationYear | smallint | The year of the identification event. The year may be empty if only the day or month are known.
IdentificationDateSupplement | nvarchar (255) | Verbal or additional identification date information, e.g. 'end of summer 1985', 'first quarter', '1888-1892'
IdentificationDateCategory | nvarchar (50) | Category of the date of the identification e.g. "system", "estimated" (= foreign key, see in table CollDateCategory_Enum)
VernacularTerm | nvarchar (255) | Name or term other than a taxonomic (= scientific) name, e.g. 'pine', 'limestone', 'conifer', 'hardwood'
TaxonomicName | nvarchar (255) | Valid name of the species (including the taxonomic author where available. Example: 'Rosa canina L.'
NameURI | varchar (255) | The URI of the taxonomic name, e.g. as provided by the module DiversityTaxonNames.
IdentificationCategory | nvarchar (50) | Category of the identification e.g. 'determination', 'confirmation', 'absence' (= foreign key, see table CollIdentificationCategory_Enum)
IdentificationQualifier | nvarchar (50) | Qualification of the identification e.g. "cf."," aff.", "sp. nov." (= foreign key, see table CollIdentificationQualifier_Enum)
TypeStatus | nvarchar (50) | If identification unit is type of a taxonomic name: holotype, syntype, etc. (= foreign key, see table CollTypeStatus_Enum)
TypeNotes | nvarchar (MAX) | Notes concerning the typification of this specimen
ReferenceTitle | nvarchar (255) | Publications or authoritative opinions of scientist used during the identification process. Example: enter 'Schmeil-Fitschen 1995' if this field flora was used.
ReferenceURI | varchar (255) | The URI of the reference e.g. as provided by the module DiversityReferences
Notes | nvarchar (MAX) | User defined notes, e.g. the reason for a re-determination / change of the name, etc.
ResponsibleName | nvarchar (255) | Name of the person or institution responsible for the determination
ResponsibleAgentURI | varchar (255) | URI of the person or institution responsible for the determination (= foreign key) as stored in the module DiversityAgents.
LogCreatedWhen | datetime | Date and time when the dataset was created Default value: getdate()
LogCreatedBy | nvarchar (50) | Login of the user who created the dataset Default value: user_name()
LogUpdatedWhen | datetime | Date and time when the dataset was changed Default value: getdate()
LogUpdatedBy | nvarchar (50) | Login of the user who changed the dataset Default value: user_name()
RowGUID | uniqueidentifier | - Default value: newsequentialid()
ReferenceDetails | nvarchar (50) | The exact location within the reference, e.g. pages, plates

Table IdentificationUnit

Organism that is present in or on a collection specimen

Column | Data type | Description
CollectionSpecimenID | int | Refers to the ID of CollectionSpecimen (= Foreign key and part of primary key)
IdentificationUnitID | int | ID of the identification unit (= part of Primary key). Usually one of possibly several organisms present on the collection specimen. Example: parasite with hyperparasite on plant leaf = 3 units,
LastIdentificationCache | nvarchar (255) | The last identification as entered in table Identification
FamilyCache | nvarchar (255) | A cached value of the family of the taxon of the last identification. Can be set by the editor if NameURI in table Identification is NULL, otherwise set by the system.
OrderCache | nvarchar (255) | A cached value of the order of the taxon of the last identification. Can be set by the editor if NameURI in table Identification is NULL, otherwise set by the system.
TaxonomicGroup | nvarchar (50) | Taxonomic group the organism identified by this unit belongs to. Groups listed in table CollTaxonomicGroup_Enum (= foreign key)
OnlyObserved | bit | True if the organism was only observed rather than collected. It is therefore not present on the preserved specimen. Example: Tree under which the collected mycorrhizal fungus grew. Default value: (0)
RelatedUnitID | int | The IdentificationUnitID of the organism or substrate, on which this organism is growing (= foreign key)
RelationType | nvarchar (50) | The relation of an unit to its substrate, e.g. parasitism, symbiosis etc. as stored in CollRelationType_Enum (= foreign key)
ColonisedSubstratePart | nvarchar (255) | If a substrate association exists: part of the substrate that is affected in the interaction (e.g. 'leaves' if a fungus is growing on the leaves of an infected plant)
LifeStage | nvarchar (255) | Examples: 'II, III' for spore generations of rusts or 'seed', 'seedling' etc. for higher plants
Gender | nvarchar (50) | The gender of the identification unit, e.g. 'male'
NumberOfUnits | smallint | The number of units of this identification unit, e.g. 400 beetle in a bottle
ExsiccataNumber | nvarchar (50) | If specimen is an exsiccata: Number of current specimen within the exsiccata series
ExsiccataIdentification | smallint | Refers to the IdentificationSequence in Identification (= foreign key). The name under which the collection specimen resp. this unit is published within an exsiccata.
UnitIdentifier | nvarchar (50) | An identifier for the identification of the unit e.g. a number painted on a tree within an experimental plot
UnitDescription | nvarchar (50) | Description of the unit, esp. if not the an organism but parts or remnants of it were present or observed, e.g. a nest of an insect or a song of a bird
Circumstances | nvarchar (50) | Circumstances of the occurence of the organism
DisplayOrder | smallint | The sequence in which the units within this specimen will appear on e.g. a label where the first unit may be printed in the header and others in the text below. 0 means the unit should not appear on a label. Default value: (1)
Notes | nvarchar (MAX) | Further information on the identification unit or interaction, e. g. infection symptoms like 'producing galls'
LogCreatedWhen | datetime | The time when this dataset was created Default value: getdate()
LogCreatedBy | nvarchar (50) | Who created this dataset Default value: user_name()
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()
RowGUID | uniqueidentifier | - Default value: newsequentialid()

Table IdentificationUnitAnalysis

The analysis values taken from an identification unit

Column | Data type | Description
CollectionSpecimenID | int | Refers to the ID of CollectionSpecimen (= Foreign key and part of primary key)
IdentificationUnitID | int | Refers to the ID of IdentficationUnit (= foreign key and part of primary key)
AnalysisID | int | Analysis ID, foreign key of table Analysis.
AnalysisNumber | nvarchar (50) | Number of the analysis
AnalysisResult | nvarchar (MAX) | The result of the analysis
ExternalAnalysisURI | varchar (255) | An URI for an analysis as defined in an external datasoure
ResponsibleName | nvarchar (255) | Name of the person or institution responsible for the determination Default value: [dbo].[CurrentUserName]()
ResponsibleAgentURI | varchar (255) | URI of the person or institution responsible for the determination (= foreign key) as stored in the module DiversityAgents.
AnalysisDate | nvarchar (50) | The date of the analysis
SpecimenPartID | int | ID of the part of a specimen (optional, Foreign key) if the analysis was done with a part of the specimen (see table CollectionSpecimenPart).
Notes | nvarchar (MAX) | Notes concerning this analysis
LogCreatedWhen | datetime | The time when this dataset was created Default value: getdate()
LogCreatedBy | nvarchar (50) | Who created this dataset Default value: user_name()
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()
RowGUID | uniqueidentifier | - Default value: newsequentialid()

Table IdentificationUnitGeoAnalysis

Column | Data type | Description
CollectionSpecimenID | int | Refers to the ID of CollectionSpecimen (= Foreign key and part of primary key)
IdentificationUnitID | int | Refers to the ID of IdentficationUnit (= foreign key and part of primary key)
AnalysisDate | datetime | The date of the analysis
Geography | geography | The geography of the identification unit according to WGS84, e.g. a point (latitide, longitude and altitude)
Geometry | geometry (MAX) | The geometry of the identifiction unit, e.g. an area
ResponsibleName | nvarchar (255) | Name of the person or institution responsible for the determination
ResponsibleAgentURI | varchar (255) | URI of the person or institution responsible for the determination (= foreign key) as stored in the module DiversityAgents.
Notes | nvarchar (MAX) | Notes concerning this analysis
LogCreatedWhen | datetime | The time when this dataset was created
LogCreatedBy | nvarchar (50) | Who created this dataset
LogUpdatedWhen | datetime | The last time when this dataset was updated
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset
RowGUID | uniqueidentifier | RowGUID - IdentificationUnitGeoAnalysis Default value: newsequentialid()

Table IdentificationUnitInPart

The list of the organisms that are found in a part of the specimen

Column | Data type | Description
CollectionSpecimenID | int | Refers to the ID of CollectionSpecimen (= Foreign key and part of primary key)
IdentificationUnitID | int | ID of the identification unit (= part of Primary key). Usually one of possibly several organisms present on the collection specimen. Example: parasite with hyperparasite on plant leaf = 3 units,
SpecimenPartID | int | ID of the part of a specimen (optional, Foreign key) if the identification unit is located on a part of the specimen (see table CollectionSpecimenPart).
DisplayOrder | smallint | The sequence in which the units within this part will appear on e.g. a label where the first unit may be printed in the header and others in the text below. 0 means the unit should not appear on a label. Default value: (1)
Description | nvarchar (500) | A description of the unit, esp. if not a whole unit but e.g. parts of it are stored in the collection, e.g. a nest of a bird
LogInsertedBy | nvarchar (50) | Name of user who first entered (typed or imported) the data. Default value: user_name()
LogInsertedWhen | smalldatetime | Date and time when the data were first entered (typed or imported) into this database. Default value: getdate()
LogUpdatedBy | nvarchar (50) | Name of user who last updated the data. Default value: user_name()
LogUpdatedWhen | smalldatetime | Date and time when the data were last updated. Default value: getdate()
RowGUID | uniqueidentifier | - Default value: newsequentialid()

Table LocalisationSystem

The geographic localisation systems, e.g. coordinates

Column | Data type | Description
LocalisationSystemID | int | Unique ID for the localisation system (= Primary key)
LocalisationSystemParentID | int | LocalisationSystemID of the superior LocalisationSystem
LocalisationSystemName | nvarchar (100) | Name of the system used for the determination of the place of the collection, e. g. Gauss-Krüger, MTB, GIS
DefaultAccuracyOfLocalisation | nvarchar (50) | The default for the accuracy of values that can be reached with this method
DefaultMeasurementUnit | nvarchar (50) | The default measurement unit for the localisation system, e.g. m, geograpic coordinates
ParsingMethodName | nvarchar (50) | Internal value, specifying a programming method used for parsing text in fields Location1/Location2 in table CollectionLocalisation
DisplayText | nvarchar (50) | Short abbreviated description of the localisation system as displayed in the user interface
DisplayEnable | bit | Specifies if this item is enabled to be used within the database. LocalisationSystems can be disabled to avoid seeing them, but to keep the definition for the future.
DisplayOrder | smallint | The order in which the entries are displayed. The order may be changed at any time, but all values must be unique.
Description | nvarchar (255) | Description of the localisation method
DisplayTextLocation1 | nvarchar (50) | Short abbreviated description of the attribute Location1 in the table CollectionGeography as displayed in the user interface
DescriptionLocation1 | nvarchar (255) | Description of the attribute Location1 in the table CollectionGeography as displayed in the user interface
DisplayTextLocation2 | nvarchar (50) | Short abbreviated description of the attribute Location2 in the table CollectionGeography as displayed in the user interface
DescriptionLocation2 | nvarchar (255) | Description of the attribute Location2 in the table CollectionGeography as displayed in the user interface
RowGUID | uniqueidentifier | - Default value: newsequentialid()

Table Processing

The processings of the specimen

Column | Data type | Description
ProcessingID | int | ID of the processing (Primary key)
ProcessingParentID | int | The ID of the superior type of the processing
DisplayText | nvarchar (50) | The display text of the processing as shown e.g. in a user interface
Description | nvarchar (MAX) | Description of the processing
Notes | nvarchar (MAX) | Notes about the processing
ProcessingURI | varchar (255) | An URI for a processing as defined in an external datasource
OnlyHierarchy | bit | If the entry is only used for the hierarchical arrangement of the entries Default value: (0)
LogCreatedWhen | datetime | The time when this dataset was created Default value: getdate()
LogCreatedBy | nvarchar (50) | Who created this dataset Default value: user_name()
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()
RowGUID | uniqueidentifier | - Default value: newsequentialid()

Table ProcessingMaterialCategory

The processings that are possible for a certain material category

Column | Data type | Description
ProcessingID | int | ID of the processing. Refers to ProcessingID in table Processing (foreign key) Default value: (1)
MaterialCategory | nvarchar (50) | Material category of specimen. Examples: 'herbarium sheets', 'drawings', 'microscopic slides' etc. Default value: N'specimen'
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()
RowGUID | uniqueidentifier | - Default value: newsequentialid()

Table ProjectAnalysis

The types of analysis available within a project

Column | Data type | Description
AnalysisID | int | ID of the analysis (Primary key)
ProjectID | int | ID of the project to which the specimen belongs (Projects are defined in DiversityProjects)
LogCreatedWhen | datetime | The time when this dataset was created Default value: getdate()
LogCreatedBy | nvarchar (50) | Who created this dataset Default value: user_name()
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()
RowGUID | uniqueidentifier | - Default value: newsequentialid()

Table ProjectProcessing

The types of processing available within a project

Column | Data type | Description
ProcessingID | int | ID of the Processing (Primary key)
ProjectID | int | ID of the project to which the specimen belongs (Projects are defined in DiversityProjects)
LogCreatedWhen | datetime | The time when this dataset was created Default value: getdate()
LogCreatedBy | nvarchar (50) | Who created this dataset Default value: user_name()
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()
RowGUID | uniqueidentifier | - Default value: newsequentialid()

Table Property

The list of the properties that can be specified for the collection site

Column | Data type | Description
PropertyID | int | Unique ID for the localisation system (= Primary key)
PropertyParentID | int | LocalisationSystemID of the superior LocalisationSystem
PropertyName | nvarchar (100) | Name of the system used for the determination of the place of the collection, e. g. Gauss-Krüger, MTB, GIS
DefaultAccuracyOfProperty | nvarchar (50) | The default for the accuracy of values that can be reached with this method
DefaultMeasurementUnit | nvarchar (50) | -
ParsingMethodName | nvarchar (50) | Internal value, specifying a programming method used for parsing text in fields Location1/Location2 in table CollectionLocalisation
DisplayText | nvarchar (50) | Short abbreviated description of the localisation system as displayed in the user interface
DisplayEnabled | bit | Specifies if this item is enabled to be used within the database. LocalisationSystems can be disabled to avoid seeing them, but to keep the definition for the future.
DisplayOrder | smallint | The order in which the entries are displayed. The order may be changed at any time, but all values must be unique.
Description | nvarchar (255) | Description of the localisation method
RowGUID | uniqueidentifier | - Default value: newsequentialid()

Table PropertyValueList

Column | Data type | Description
PropertyID | int | The ID of the descriptor of the collection event, foreign key, see table Descriptor
DisplayText | nvarchar (255) | The text for the property as shown e.g. in a user interface
PropertyURI | varchar (255) | URI referring to an external datasource e.g. DiversityTerminology
Notes | nvarchar (MAX) | Notes about the property of the colletion site.
RowGUID | uniqueidentifier | RowGUID - PropertyValueList Default value: newsequentialid()

Table Transaction

Transactions like loan, borrow, gift, exchange etc. of specimen if they are e.g. permanently or temporary transfered from one collection to another

Column | Data type | Description
TransactionID | int | Unique ID for the transaction (= Primary key)
ParentTransactionID | int | The ID of a preceeding transaction of a superior transaction if transactions are organized in a hierarchy
TransactionType | nvarchar (50) | Type of the transaction e.g. gift in or out, exchange in or out, purchase in or out Default value: N'exchange'
TransactionTitle | nvarchar (200) | The title of the transaction as e.g. shown in an user interface
ReportingCategory | nvarchar (50) | A group defined for the transaction, e. g. a taxonomic group as used for exchange balancing
AdministratingCollectionID | int | ID of the collection thas is responsible for the administration of the transaction.
MaterialDescription | nvarchar (MAX) | ID of the project to which the transaction belongs (Projects are defined in DiversityProjects) Default value: ''
MaterialCategory | nvarchar (50) | Material category of specimen. Examples: 'herbarium sheets', 'drawings', 'microscopic slides' etc. Default value: N'specimen'
MaterialCollectors | nvarchar (MAX) | The collectors of the material
FromCollectionID | int | The ID of the collection from which the specimen were transfered, e.g. the donating collection of a gift
FromTransactionPartnerName | nvarchar (255) | Name of the person or institution from which the specimen were transfered, e.g. the donator of a gift
FromTransactionPartnerAgentURI | varchar (255) | The URI of the transaction partner (see e.g. module DiversityAgents)
FromTransactionNumber | nvarchar (50) | Number or code by which a transaction may be recorded by the administration of the source of the specimen, e.g. the donating collection of a gift
ToCollectionID | int | The ID of the collection to which the specimen were transfered, e.g. the receiver of a gift
ToTransactionPartnerName | nvarchar (255) | Name of the person or institution to which the specimen were transfered, e.g. the receiver of a gift
ToTransactionPartnerAgentURI | varchar (255) | The URI of the transaction partner (see e.g. module DiversityAgents)
ToTransactionNumber | nvarchar (50) | Number or code by which a transaction may be recorded by the administration of the destination of the specimen, e.g. the receiving collection of a gift
NumberOfUnits | smallint | The number of units that were (initially) included in the transaction
Investigator | nvarchar (50) | The investigator for whose study a transacted material was sent
TransactionComment | nvarchar (MAX) | Comments about the exchanged material addressed to the transaction partner
BeginDate | datetime | Date when the transaction started
AgreedEndDate | datetime | End of the transaction period, e.g. if the time for borrowing the specimen is restricted
ActualEndDate | datetime | Actual end of the transaction when e.g. the borrowed specimen were returned to the owner
InternalNotes | nvarchar (MAX) | Internal notes about this transaction, not to be published e.g. on a web page
ResponsibleName | nvarchar (255) | The person responsible for this transaction
ResponsibleAgentURI | varchar (255) | The URI of the person, team or organisation responsible for the data (see e.g. module DiversityAgents)
LogCreatedWhen | datetime | The time when this dataset was created Default value: getdate()
LogCreatedBy | nvarchar (50) | Who created this dataset Default value: user_name()
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()
RowGUID | uniqueidentifier | - Default value: newsequentialid()

Table TransactionDocument

The history of transactions resp. the documents connected to the transactions

Column | Data type | Description
TransactionID | int | Unique ID for the Transaction, refers to table Transaction (= Part of primary key and foreign key)
Date | datetime | The date of the event of a transaction
TransactionText | nvarchar (MAX) | The text of a transaction document
TransactionDocument | image (2147483647) | A scanned document connected to this transaction event
InternalNotes | nvarchar (MAX) | Internal notes about this transaction event
LogCreatedWhen | datetime | The time when this dataset was created Default value: getdate()
LogCreatedBy | nvarchar (50) | Who created this dataset Default value: user_name()
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()
RowGUID | uniqueidentifier | - Default value: newsequentialid()


DataProject

Database - Project related tables

Informations concerning the projects and related tables are stored in the tables shown in the diagram below.

Index

  • CollectionProject
  • ProjectAnalysis
  • ProjectProcessing
  • ProjectProxy
  • ProjectUser
  • UserProxy

Table CollectionProject

The projects within which the collection specimen were placed

Column | Data type | Description
CollectionSpecimenID | int | Refers to the ID of CollectionSpecimen (= Foreign key and part of primary key)
ProjectID | int | ID of the project to which the specimen belongs (Projects are defined in DiversityProjects)
LogCreatedWhen | datetime | The time when this dataset was created Default value: getdate()
LogCreatedBy | nvarchar (50) | Who created this dataset Default value: user_name()
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()

Table ProjectAnalysis

The types of analysis available within a project

Column | Data type | Description
AnalysisID | int | ID of the analysis (Primary key)
ProjectID | int | ID of the project to which the specimen belongs (Projects are defined in DiversityProjects)
LogCreatedWhen | datetime | The time when this dataset was created Default value: getdate()
LogCreatedBy | nvarchar (50) | Who created this dataset Default value: user_name()
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()
RowGUID | uniqueidentifier | - Default value: newsequentialid()

Table ProjectProxy

The projects available within the database

Column | Data type | Description
ProjectID | int | ID of the project to which the specimen belongs (Projects are defined in DiversityProjects)
Project | nvarchar (50) | The name or title of the project as shown in a user interface (Projects are defined in DiversityProjects)

Table ProjectUser

The projects available for a user

Column | Data type | Description
LoginName | nvarchar (50) | A login name which the user uses for access the DivesityWorkbench, Microsoft domains, etc..
ProjectID | int | ID of the project to which the specimen belongs (Projects are defined in DiversityProjects)

Table UserProxy

The users with access to the database

Column | Data type | Description
LoginName | nvarchar (50) | A login name which the user uses for access the DivesityWorkbench, Microsoft domains, etc..
CombinedNameCache | nvarchar (255) | The short name of the user, e.g. P. Smith Default value: NULL
UserURI | varchar (255) | URI of a user in a remote module, e.g. refering to UserInfo.UserID in database DiversityUsers


DataEntity

Database - Entity tables

Informations concerning the entities are stored in the tables shown in the diagram below.

Table Entity

The entities in an application e.g. the tables and columns in a database

Column | Data type | Description
Entity | varchar (500) | The name of the entity, e.g. Table.Column.Content within the database or a unique string for e.g. a message within the DiversityWorkbench e.g. "DiversityWorkbench.Message.Connection.NoAccess", PK
DisplayGroup | nvarchar (50) | If DiversityWorkbench entities should be displayed in a group, the name of the group
Notes | nvarchar (MAX) | Notes about the entity
Obsolete | bit | True if an entity is obsolete. Obsolete entities may be kept to ensure compatibility with older modules
LogCreatedWhen | datetime | The time when this dataset was created
LogCreatedBy | nvarchar (50) | Who created this dataset
LogUpdatedWhen | datetime | The last time when this dataset was updated
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset

Table EntityRepresentation

The description of the entity in a certain context in different languages

Column | Data type | Description
Entity | varchar (500) | The name of the entity. Foreign key, relates to table Entity
LanguageCode | nvarchar (50) | ISO 639: 2-letter codes for the language of the content
EntityContext | nvarchar (50) | The context for the representation, e.g. "Exchange with ABCD", "collection management" or "observation" as defined in table EntityContext_Enum
DisplayText | nvarchar (50) | The text for the entity as shown e.g. in a user interface
Abbreviation | nvarchar (20) | The abbreviation for the entity as shown e.g. in a user interface
Description | nvarchar (MAX) | The description of the entity
Notes | nvarchar (MAX) | Notes about the representation of the entity
LogCreatedWhen | datetime | The time when this dataset was created
LogCreatedBy | nvarchar (50) | Who created this dataset
LogUpdatedWhen | datetime | The last time when this dataset was updated
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset

Table EntityUsage

The usage of an entity in a certain context, e.g. hidden, readonly

Column | Data type | Description
Entity | varchar (500) | The name of the entity. Foreign key, relates to table Entity
EntityContext | nvarchar (50) | The context for the representation, e.g. "Exchange with ABCD", "collection management" or "observation" as defined in table EntityContext_Enum
EntityUsage | nvarchar (50) | How the entity should be used within a certain context, e.g. "hidden" as defined in table EntityUsage_Enum
PresetValue | nvarchar (500) | If a value is preset the value resp. SQL statement for the value, e.g. 'determination' for identifications when using a mobile device during an expedition
Notes | nvarchar (MAX) | Notes about the usage of the entity
LogCreatedWhen | datetime | The time when this dataset was created
LogCreatedBy | nvarchar (50) | Who created this dataset
LogUpdatedWhen | datetime | The last time when this dataset was updated
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset


History

To inspect the history of a dataset click on the [image] button. A window will open, showing all former states of the data in the tables with the current dataset at the top. The database DiversityCollection handles 2 different histories - one for the collection specimen and one for the collection event. The version shown in the header of the main window refers to these histories [image]. The first number refers to the version of the specimen. If an event was defined a second number is shown, referring to the version of the collection event, e.g. 5 3 means version 5 of the specimen and version 3 of the collection event.

If you want to restore an old version of a dataset, choose the corresponding line in the table and click on the Restore data as in selected line button.

The version will be set automatically. If a dataset is changed the version will be increased if the last changes were done by a different user or the last change is more than 24 hours ago (for further details see topic Logging ).


Backup

If you need to backup your database, you have to use the functionality provided by SQL-Server. To do this, you need administration rights in the database you want to create a backup. Open the Enterprise Manager for SQL-Server, choose the database and detach it from the server as shown in the image below.

After detaching the database, you can store a copy of the ..._Data.MDF File to keep it as a backup.

After storing the backup you have to attach the database.

A dialog will appear where you have to select the original database file in your directory.


Logging

Changes within the database will be documented for each dataset together with the time and the responsible user in the columns shown in the image below.

All main tables have a corresponding logging table. If you change or delete a dataset the orignial dataset will be stored in this logging table together with informations about who has done the changes and when it happend.


DataApplication

Database - Application tables

Informations concerning the predefined queries for the users are stored in the table ApplicationSearchSelectionStrings.

Table ApplicationSearchSelectionStrings

Selection strings for customized queries for users

Column | Data type | Description
UserName | varchar (50) | The name of the user who created this SQL string Default value: user_name()
SQLStringIdentifier | varchar (50) | The identifier for the selection string as shown in user interface
ItemTable | varchar (50) | The main table from which the datasets should be selected Default value: 'TaxonName'
SQLString | varchar (MAX) | SQL string for selecting datasets from the database
Description | nvarchar (MAX) | Description of the resultset and the purpose of the query
LogCreatedWhen | datetime | The time when this dataset was created Default value: getdate()
LogCreatedBy | nvarchar (50) | Who created this dataset Default value: user_name()
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()


Workbench

Diversity Workbench

The Diversity Workbench is composed of components for building and managing biodiversity information, each of which focuses on a particular domain. Each component can provide services to the other components. DiversityCollection can link data to the modules DiversityProjects, DiversityResources, DiversityExsiccatae, DiversityGazetteer, DiversityScientificTerms, DiversityTaxonNames, DiversityAgents, DiversityUsers and DiversityReferences as illustrated in the image below.

The modules communicate with each other to provide their services for the other modules.


Modules

The Diversity Workbench is a set of components for building and managing biodiversity information, each of which focuses on a particular domain.

DiversityAgents | Administration of the agents, i.e. people and institutions which should be documented with e.g. their addresses
DiversityCollection | Administration of the scientific collections and specimens within these collections
DiversityDescriptions | Administration of descriptive data
DiversityExsiccatae | Administration of exsiccatal series
DiversityGazetteer | A data collection to enable the linking of geographical records with the Getty Thesaurus of Geographical Names (TGN), the German GN250 database and other sources of geographical names.
DiversityScientificTerms | Data collections of scientific terms from foreign sources like vegetation, stratigraphy, soil science etc.
DiversityProjects | Administration of projects within the Diversity Workbench
DiversityReferences | Administration of references
DiversityResources | Administration of resources like images, etc.
DiversityTaxonNames | Administration of taxonomic names, their synonyms and hierarchical position
DiversityUsers | Administration of the users and their permissions within the Diversity Workbench

Each module provides services for the other modules. To use the service of a module, you need access to the database of the module and optionally the module application placed in your application directory.

In the graphic below the connections to other modules within DiversityCollection are indicated.

In the form a connection to a module of Diversity Workbench is a set of components for building and managing biodiversity information, each of which focuses on a particular domain.


Module related entry

The Diversity Workbench is a set of components for building and managing biodiversity information, each of which focuses on a particular domain. Each module provides services for the other modules. To use the service of a module, you need access to the database of the module and optionally the module application placed in your application directory. Entries related to an external module have a standard interface in the main form. There are 2 states of this interface:

1 - the value is only set in the local database with no connection to the remote module

In this state, you can either type the value or select it from the values that are already available in the database. To get a list of the available values type the beginning of the value (you may use wildcards) and click on the [image] button. If you want to set a relation to the remote module, click on the [image] button. A window will open where you may select an entry from the foreign database.

2 - the value is related to the remote module

If the value has a relation to the remote module, the interface will appear as shown above. To release the connection to the remote module click on the [image] button. If you need further information about the value, click on the [image] button. This will open a form, showing an overview of the related value.

If the client application of the module is available you can inspect the details of the entry. To start the client application of the remote module, just click on the [image] button.

3 - relation to a webservice

Some modules provide the possibility to link your data to an external webservice. For example DiversityTaxonNames gives you access to the taxonomic names of IndexFungorum. To establish a connection to an external webservice, click on the [image] button. As with the link to modules within the Diversity Workbench a window will open where you can choose from either Diversity Workbench modules or external Webservices. See Webservice for further details


Resources

Images for specimen and the collection event can either be stored in DiversityCollection with their file path or in more detail in the module DiversityResources. For directly changing to DiversityResources click on the [image] button.

For direct access to the resources in this module, you need the application DiversityResources.exe in your application directory, the database DiversityResources and a valid account in the database DiversityUsers. For more information see the Diversity Workbench Portal.


Reference

Details about References are stored in the module DiversityReferences. You can choose one of the entries in this module from the picklist. To directly change to DiversityReferences click on [image] .

For access to the references from other modules, you need the application DiversityReferences.exe in your application directory. To use the application DiversityReferences.exe you need access to the database DiversityReferences. For more information see the Diversity Workbench Portal.


Webservice

Webservice - foreign sources

Some modules within the Diversity Workbench provide the possibility to link your data to an external webservice. For example DiversityTaxonNames gives you access to the taxonomic names of IndexFungorum. To establish a connection to an external webservice, click on the [image] button. A window will open where you can choose from either Diversity Workbench modules or external Webservices. The currently provided webservices are:

Index Fungorum

The Palaeontology Database

The Catalogue of Life


WebserviceIndexFungorum

Index Fungorum - webservice

Some modules within the Diversity Workbench provide the possibility to link your data to an external webservice. For example DiversityTaxonNames gives you access to the taxonomic names of IndexFungorum. To establish a connection to this webservice, click on the [image] button. A window will open where you can choose IndexFungorum from the Database list (see below).

Enter the query restriction for the name in the Name field in Query conditions. The maximal number of records you get can be set in the max. results field [image] (choose a low number if you have a slow connection to the internet). Then click on the search button [image] to start the query. In the list of the left upper part the results of the query will be listed. In the right part of the window additional information is shown as provided by the webservice. For certain entries buttons will appear, as e.g. shown above for the basionym and the current name of a scientific name. Click on these buttons if you want to change to one of these related datasets from the webservice. If available, the informations provided on the corresponding website is shown in the lower part. To take the link from the webservice into your database choose one of the entries and click OK. The entry will change as shown below.

If you double-click on the link area [image] a window will open, providing you with the retrieval information of the webservice.

To get the whole information related to this entry as provided by the webservice, click on the [image] button. A window will open as shown below where the informations of the webservice are listed, If available, the lower part will show the corresponding informations of a website.

If you want to remove the link to the webservice, click on the the [image] button. This will only remove the relation to the webservice, not the cached name.


WebserviceCatalogueOfLife

Catalogue of Life - webservice

Diversity Workbench provide the possibility to link your data to an external webservice. The webservice provided by the Catalogue of Life is possible through the module DiversityTaxonNames. To establish a connection to this external webservice, click on the [image] button. A window will open where you can choose this webservice (see below).

In the field Name in Query conditions enter you search string and click on the [image] button to start the query. In the list of the left upper part the results of the query will be listed. In the right part of the window additional information is shown as provided by the webservice. If available, the lower part of the window will show the webpage of the related information.

Higher taxa and for synonyms the accepted name will be shown as e.g. shown above. To inspect one of these entries, click on the linked entry of the ID - in the example above id: 695. To take the link from the webservice into your database choose one of the entries in the list and click OK. The entry will change as shown below.

If you double-click on the link area [image] a window will open, providing you with the retrieval information of the webservice.

To get the information related to an entry as provided by the webservice, click on the [image] button. A window will open as shown below where the informations of the webservice are listed in the upper part. If available, additional informations provided on a corresponding website will be shown in the lower part.

If you want to remove the link to the webservice, click on the [image] button. This will only remove the relation to the webservice, not the cached name.


WebservicePalaeoDB

The Palaeontolgy Database - webservice

Diversity Workbench provide the possibility to link your data to an external webservice. The webservice provided by the Palaeontology Database is possible through the module DiversityTaxonNames. To establish a connection to this external webservice, click on the [image] button. A window will open where you can choose this webservice (see below).

In the field Name in Query conditions enter you search string and click on the [image] button to start the query. In the list of the left upper part the results of the query will be listed. In the right part of the window additional information is shown as provided by the webservice. The lower part of the window will show the webpage of the related information.

For synonyms, the accepted name will be shown as well as e.g. shown above. To change to the accepted name, click on the linked entry of the ID - in the example above id: 57254. To take the link from the webservice into your database choose one of the entries in the list and click OK. The entry will change as shown below.

If you double-click on the link area [image] a window will open, providing you with the retrieval information of the webservice.

To get the information related to an entry as provided by the webservice, click on the [image] button. A window will open as shown below where the informations of the webservice are listed in the upper part. If available, additional informations provided on a corresponding website will be shown in the lower part.

If you want to remove the link to the webservice, click on the [image] button. This will only remove the relation to the webservice, not the cached name.


Agents

Information about people, institutons and the like can either be stored in DiversityCollection with their name or in more detail like addresses in the module DiversityAgents. For directly changing to DiversityAgents click on the [image] button. For more detail see module related entry.

For direct access to the agents in this module, you need the application DiversityAgents.exe in your application directory and the database DiversityAgents.


Best Practice

This tutorial will guide you through the first basic steps to enter a single dataset in DiversityCollection. After the installation, make sure, you have access to the database. To start the programm, double click on the [image] DiversityCollection.exe in the directory where you copied the files of DiversityCollection. The main window will open.

  • section Collection event
  • section Collection specimen
  • section Collection specimen relations
  • section Organisms and identifications
  • section Specimen parts and storage

If you open this window for the first time, you have to connect to the database. Click on the [image] button or choose Connection -> Database... from the menu. A window will open where you can enter your account information and choose the database (see image below, for further informations see database access ).

After connecting to the server and choosing a database click on the OK button to return to the main form. As indicated by the [image] symbol in the right upper corner, you are now connected to the database. In addition the header of the window shows your current login informations (see below).

This tutorial is continued in the sections listed below.

  • section Collection event
  • section Collection specimen
  • section Collection specimen relations
  • section Organisms and identifications
  • section Specimen parts and storage


CoL2008AC

Catalogue of life

Some modules within the Diversity Workbench provide the possibility to link your data to a foreign source. For example DiversityTaxonNames gives you access to the taxonomic names of the Catalogue of life. To establish a connection to this source, click on the [image] button. As with the link to modules within the Diversity Workbench a window will open where you can choose from either Diversity Workbench modules, external Webservices or foreign sources. If you need the service of the catalogue of life, you have to install this according to the installation instructions provided at http://www.catalogueoflife.org/annual-checklist/2008/info_about_col.php. If you have the catalogue of life installed on your local machine, you have access to this service provided the service is started. Start the service e.g. by choosing Programs -> Catalogue of Life -> 2008 Annual Checklist from your Windows Start menu (the exact path depends on your local installation).

An icon [image] will apear in your Windows Task panel, showing that the MicroWeb server is running. Than choose the Catalogue of life from the list as shown below. If you forget to start this service, the programm will try to start it. To stop this service, right-click on this symbol and choose Exit.

If the service is started you can search the names provided by the Catalogue of life as shown below.

You can choose one of the databases provided by the Catalogue of Life and enter the query conditions for your search. Then click on the search button [image] to start the query. In the right part of the window additional information is shown as provided by the service. To take the link from the service into your database choose one of the entries and click OK. The entry will change as shown below.

If you double-click on the link area [image] a window will open, providing you with the retrieval information of the service.

To get the whole information related to this entry as provided by the service, click on the [image] button. A window will open as shown below where the informations of the service are listed.

If you want to remove the link to the service, click on the [image] button. This will only remove the relation to the service, not the cached name.


Context

Customizing the application

DiversityCollection may be used in diverse contexts. Certain datafields are inapplicable or e.g. contain a predefined value within certain contexts. Furthermore the Title and the description of the datafields may vary with context and language. This information is stored in the entity related datatables. To change the context, choose Administration - Customize. A window will open where you can choose the Context-tab to set the context of your choice. .


DatasetVersion

Version of datasets

The Version of a dataset consists of two parts, e.g. 3 / 1 as shown in the header of the specimen in the main form. The first part of the number refers to the version of the dataset as stored in table CollectionSpecimen. The second part refers to the version as stored in the table CollectionEvent. Both versions will be set to a higher number if the data in the tables themselves or in dependent tables are changed, e.g. the insertion of a new identification in the table Identification will increase the specimen part of the version from 3 to 4 resulting in a version 4 / 1 for the whole dataset. The changes in the version will only occur if the last changes in the data were more than 24 hours ago or a different user is changing the data. This ensures, that a user can change several parts in a dataset within 24 hours and the version will only be increased by 1.

The data are stored in the tables CollectionSpecimen and CollectionEvent.


Distribution maps

If WGS84 coordinates are available for your collection sites, you can create distribution maps of your samples in the database. To use this service, you need access to the internet. Click on the [image] button in the [image] control to show the maps. To display [image] Distribution maps, choose the appropriate option from the first drop down list in the maps control.

Search for the datasets you want to see in the map, mark them in the list (either use the [image] button to mark all datasets or mark a list or single datasets) and click the [image] button to add them to the distribution. To display the map click on the [image] button. The displayed localities in the map will not change until you add [image] new localities or click the [image] button to start with a new distribution map. If you want to set different icons for the positions of different series of your samples, set the style of the icon (symbol, color, size, ... ) in the menu before you add them to the distribution list.

To show a distribution map as shown below of all the specimens found in your query, use the [image] button. In the browser this functionality is limited in the number of specimens that can be depicted, so it may be neccessary to restrict your query. With the GIS editor there is no limit to the number and you can vary the symbols for different groups.


DiversityCollection_Content

Index

  • CollCircumstances_Enum

  • CollDateCategory_Enum

  • CollEventDateCategory_Enum

  • CollEventImageType_Enum

  • CollEventSeriesImageType_Enum

  • CollExchangeType_Enum

  • CollIdentificationCategory_Enum

  • CollIdentificationDateCategory_Enum

  • CollIdentificationQualifier_Enum

  • CollLabelTranscriptionState_Enum

  • CollLabelType_Enum

  • CollMaterialCategory_Enum

  • CollSpecimenImageType_Enum

  • CollSpecimenRelationType_Enum

  • CollTaxonomicGroup_Enum

  • CollTransactionType_Enum

  • CollTypeStatus_Enum

  • CollUnitRelationType_Enum

Table CollCircumstances_Enum

Circumstances of the occurence of the organisms

DisplayText | Description
bred | animal born in captivity (domestic, zoo, or farm animales)
captivity | wild animal or plant raised in captivity
cultivated | cultivated in enclosed conditions (greenhouse plants, fungi, bacteria, etc. in laboratory or biotechnology conditions)
experiment | material cultivated or treated under experimental conditions (including, e.g., infection experiments)
imported | imported material of uncertain provenence (e.g. food items)
natural | occurrence under natural conditions
planted | planted in open agriculture, horticulture, or silviculture
unknown | unknown circumstances of occurrence

Table CollDateCategory_Enum

The categories for the collection date

DisplayText | Description
actual | The given date is the real date
collection date | The date when the specimen was collected
estimated | The given date was estimated by the user
system | The given date was generated by the system

Table CollEventDateCategory_Enum

The categoies of the collection date

DisplayText | Description
actual | The given date is the real date
collection date | The given date is the date when the specimens where collected
estimated | The given date was estimated by the user
system | The given date was generated by the system

Table CollEventImageType_Enum

The types of the images taken from a collection event

DisplayText | Description
aerial photography |
audio | audio
audio (for transcription) | audio record of spoken comments that can be deleted after transcription into the database
biotope photography |
image | image
landscape photography |
map |

Table CollEventSeriesImageType_Enum

The types of the images taken from a collection event series

DisplayText | Description
aerial photography |
audio | audio
audio (for transcription) | audio record of spoken comments that can be deleted after transcription into the database
image | image
landscape photography |
map |

Table CollExchangeType_Enum

Type of the transaction of specimen exchanged between collections, e.g. 'loan'

DisplayText | Description
borrow |
exchange |
gift | gift
loan |

Table CollIdentificationCategory_Enum

The categories of an identification, e.g. determination, confirmation etc.

DisplayText | Description
absence | When nomenclatural type material has been used up in previous studies, or if a mixed collection contains e.g. several fungi but none fits the protologue
confirmation | The examination confirms a previous identification
correction | Correction of a misidentification supposedly due to a typing error.
determination | The determination of the material results in a new identification or correction
dubious | E.g. an amateur observation of the taxon completely out of its range
implicit | The identification can be logically deduced from the type material, e.g. in the case of Yes/No type specimens.
negative | The material is identified as not belonging to the identified taxon
preference | Assigning preference to an older determination over the most recent one. Differs from a confirmation only in that the object has not been re-examined. The choice is based on the expertise of the person effecting the earlier identification
renaming | e.g. assigning a species to a new genus or a purely nomenclatural change

Table CollIdentificationDateCategory_Enum

The categories of the identification date

DisplayText | Description
actual | The given date is the real date
collection date | The collection date has been taken as the identification date
estimated | The given date was estimated by the user
system | The given date was generated by the system

Table CollIdentificationQualifier_Enum

The identification qualifiers, e.g. cf. spec., s.l. etc.

DisplayText | Description
 | (select this for identifications that are certain)
? | unspecified doubtful identification (aff. or cf., or applicable taxonomic rank not known)
aff. forma | 'affinis' = similar to, but probably not the named forma
aff. gen. | 'affinis' = similar to, but probably not the named genus
aff. sp. | 'affinis' = similar to, but probably not the named species
aff. ssp. | 'affinis' = similar to, but probably not the named subspecies
aff. var. | 'affinis' = similar to, but probably not the named variety
agg. | aggregate
cf. forma | doubtful identification of forma or forma specialis. Example: 'Ech. ferruginea cf. f. rubra'
cf. gen. | doubtful genus identification. Examples: 'cf. Abies', '?Abies'
cf. sp. | doubtful species identification (genus identification certain). Example: 'Abies cf. alba'
cf. ssp. | doubtful identification of subspecies. Example: 'Abies alba cf. ssp. alba'
cf. var. | doubtful identification of variety. Example: 'Echinonema ferruginea cf. var. campestris'
s. l. | sensu lato
s. str. | sensu stricto
sp. | only the genus is given, the information relates to a single, unspecified species
sp. nov. | only the genus is given, it is assumed that the unidentified species is new
spp. | only the genus is given, the information covers several unspecified species

Table CollLabelTranscriptionState_Enum

The states of the transcription of a label

DisplayText | Description
complete | all data from label transferred in database
curator review required | curator for transcription / review required
extern review required | extern curator for transcription / review required
final curator review | specimen has been finally reviewed by curator
first curator review | specimen has been reviewed by curator for first time
incomplete | transcription started by technical staff
not started | transcription not started

Table CollLabelType_Enum

The types of a label, e.g. handwritten, typed etc.

DisplayText | Description
handwriting | all data in handwriting
mixed | data typed with handwriting comments
typed | all data typed

Table CollMaterialCategory_Enum

The material categories of the specimen, e.g. slide, culture etc.

DisplayText | Description
bones | bones or skeleton from vertebrates
complete skeleton | complete skeleton
culture | living cultures of organisms
DNA sample | DNA sample
drawing | original line or color drawing
drawing or photograph | drawing or photograph
dried specimen | dried specimen
herbarium sheet | dried specimen mounted on sheet as stored in a botanical collection
human observation | human observation
icones | icones, images etc. stored in a biological collection
incomplete skeleton | incomplete skeleton
living specimen | living specimen
machine observation | machine observation
medium | medium like sound recordings, videos, images and the like
micr. slide | glass plate with specimen for microscopic study
observation | observation
other specimen | other specimen
pelt | pelt, skin or fur of an animal
photogr. print | photographic print (color or black/white)
photogr. slide | image in the form of a photographic slide for projection
postcranial skeleton | postcranial skeleton
preserved specimen | preserved specimen
SEM table | table with specimen for Scanning electron microscopy
shell | shell e.g. of a snail
single bones | single bones
skull | skull of a vertebrate
sound | sound recoding
specimen | specimen stored in a collection
TEM specimen | specimen preparation for Transmission electron microscopy
thin section | thin section
tooth | tooth of an animal
trace | trace e.g. footprints of an animal
vial | vial, flask or similar container

Table CollSpecimenImageType_Enum

The type of an image of a specimen, e.g. label

DisplayText | Description
audio | audio record of e.g. the song of an observed bird
audio (for transcription) | audio record of spoken comments that can be deleted after transcription into the database
drawing | original line or color drawing
image | image
label | label of a specimen
photograph | photographic image of a specimen
SEM image | image from Scanning electron microscopy
TEM image | image from Transmission electron microscopy
video | video record of e.g. an observed organism

Table CollSpecimenRelationType_Enum

Types of the relation between specimen

DisplayText | Description
Duplicate | Duplicate of another specimen
Same origin | Specimen has the same origin

Table CollTaxonomicGroup_Enum

The taxonomic groups of the organisms

DisplayText | Description
alga | alga
arthropode | Arthropoda: insects, spiders, crabs etc.
bacterium | bacteria/prokaryotic
bird | bird
bryophyte | Marchantiomorpha (liverworts), Anthocerotophyta (hornworts) and Bryophyta (mosses)
cnidaria | Cnidaria: sea anemones, corals, jellyfish, sea pens, hydra
echinoderm | Echinodermata: sea urchins, starfish, and their allies
evertebrate | Animalia (= Metazoa) excl. Chordata
fish | fish
fungus | Eumycota: mushrooms, sac fungi, yeast, molds, rusts, smuts, etc.
insect | Hexapoda: insects, springtails, diplurans, and proturans
lichen | Lichenized Eumycota
mammal | mammal
mollusc | Mollusca: Snails, clams, mussels, squids, octopi, chitons, and tusk shells
other | other/anorganic
plant | Lycophytes, ferns and seedplants
slime mould | Myxomycota
vertebrate | Chordata
virus | virus

Table CollTransactionType_Enum

The types of the transactions of the specimen, e.g. loan, exchange

DisplayText | Description
borrow |
exchange |
gift |
inventory |
loan |
purchase |
request |

Table CollTypeStatus_Enum

The type stati of the identifications, e.g. Isotype

DisplayText | Description
allolectotype | A paralectotype specimen that is the opposite sex of the lectotype. The term is not regulated by the ICZN. [Zoo.]
alloneotype | A paraneotype specimen that is the opposite sex of the neotype. The term is not regulated by the ICZN. [Zoo.]
allotype | A paratype specimen designated from the type series by the original author that is the opposite sex of the holotype. The term is not regulated by the ICZN. [Zoo.]
cotype | A deprecated term no longer recognized in the ICZN; formerly used for either syntype or paratype [see ICZN Recommendation 73E]. [Zoo.]
epitype | An epitype is a specimen or illustration selected to serve as an interpretative type when any kind of holotype, lectotype, etc. is demonstrably ambiguous and cannot be critically identified for purposes of the precise application of the name of a taxon (see Art. ICBN 9.7, 9.18). An epitype supplements, rather than replaces existing types. [Bot./Bio.]
ex-Epitype | A strain or cultivation derived from epitype material. Ex-types are not regulated by the botanical or zoological code. [Bot.]
ex-Holotype | A strain or cultivation derived from holotype material. Ex-types are not regulated by the botanical or zoological code. [Zoo./Bot.]
ex-Isotype | A strain or cultivation derived from isotype material. Ex-types are not regulated by the botanical or zoological code. [Zoo./Bot.]
ex-Lectotype | A strain or cultivation derived from lectotype material. Ex-types are not regulated by the botanical or zoological code. [Zoo./Bot.]
ex-Neotype | A strain or cultivation derived from neotype material. Ex-types are not regulated by the botanical or zoological code. [Zoo./Bot.]
ex-Paratype | A strain or cultivation derived from paratype material. Ex-types are not regulated by the botanical or zoological code. [Zoo./Bot.]
ex-Syntype | A strain or cultivation derived from neotype material. Ex-types are not regulated by the botanical or zoological code. [Zoo./Bot.]
ex-Type | A strain or cultivation derived from some kind of type material. Ex-types are not regulated by the botanical or zoological code. [Zoo./Bot.]
hapantotype | One or more preparations of directly related individuals representing distinct stages in the life cycle, which together form the type in an extant species of protistan [ICZN Article 72.5.4]. A hapantotype, while a series of individuals, is a holotype that must not be restricted by lectotype selection. If a hapantotype is found to contain individuals of more than one species, however, components may be excluded until it contains individuals of only one species [ICZN Article 73.3.2]. [Zoo.]
holotype | The one specimen or other element used or designated by the original author at the time of publication of the original description as the nomenclatural type of a species or infraspecific taxon. A holotype may be 'explicit' if it is clearly stated in the originating publication or 'implicit' if it is the single specimen proved to have been in the hands of the originating author when the description was published. [Zoo./Bot./Bio.]
iconotype | A drawing or photograph (also called 'phototype') of a type specimen. Note: the term "iconotype" is not used in the ICBN, but implicit in, e. g., ICBN Art. 7 and 38. [Zoo./Bot.]
isoepitype | a duplicate of an epitype
isolectotype | A duplicate of a lectotype, compare lectotype. [Bot.]
isoneotype | A duplicate of a neotype, compare neotype. [Bot.]
isosyntype | A duplicate of a syntype, compare isotype = duplicate of holotype. [Bot.]
isotype | An isotype is any duplicate of the holotype (i. e. part of a single gathering made by a collector at one time, from which the holotype was derived); it is always a specimen (ICBN Art. 7). [Bot.]
lectotype | A specimen or other element designated subsequent to the publication of the original description from the original material (syntypes or paratypes) to serve as nomenclatural type. Lectotype designation can occur only where no holotype was designated at the time of publication or if it is missing (ICBN Art. 7, ICZN Art. 74). [Zoo./Bot.] -- Note: the BioCode defines lectotype as selection from holotype material in cases where the holotype material contains more than one taxon [Bio.].
neotype | A specimen designated as nomenclatural type subsequent to the publication of the original description in cases where the original holotype, lectotype, all paratypes and syntypes are lost or destroyed, or suppressed by the (botanical or zoological) commission on nomenclature. In zoology also called "Standard specimen" or "Representative specimen". [Zoo./Bot./Bio.]
not a type | For specimens erroneously labelled as types an explicit negative statement may be desirable. [General]
original material | Specimens and illustrations indicated in the protologue of a name (see ICBN Art. 9 Note 2 for details)
paralectotype | All of the specimens in the syntype series of a species or infraspecific taxon other than the lectotype itself. Also called "lectoparatype". [Zoo.]
paraneotype | All of the specimens in the syntype series of a species or infraspecific taxon other than the neotype itself. Also called "neoparatype". [Zoo.]
paratype | All of the specimens in the type series of a species or infraspecific taxon other than the holotype (and, in botany, isotypes). Paratypes must have been at the disposition of the author at the time when the original description was created and must have been designated and indicated in the publication. Judgment must be exercised on paratype status, for only rarely are specimens explicitly cited as paratypes, but usually as "specimens examined," "other material seen", etc. [Zoo./Bot.]
plastoholotype | A copy or cast of holotype material (compare Plastotype).
plastoisotype | A copy or cast of isotype material (compare Plastotype).
plastolectotype | A copy or cast of lectotype material (compare Plastotype).
plastoneotype | A copy or cast of neotype material (compare Plastotype).
plastoparatype | A copy or cast of paratype material (compare Plastotype).
plastosyntype | A copy or cast of syntype material (compare Plastotype).
plastotype | A copy or cast of type material, esp. relevant for fossil types. Not regulated by the botanical or zoological code (?). [Zoo./Bot.]
secondary type | A referred, described, measured or figured specimen in the original publication (including a neo/lectotypification publication) that is not a primary type.
supplementary type | A referred, described, measured or figured specimen in a revision of a previously described taxon.
syntype | One of the series of specimens used to describe a species or infraspecific taxon when neither a single holotype by the original author, nor a lectotype in a subsequent publication has been designated. The syntypes collectively constitute the name-bearing type. [Zoo./Bot.]
topotype | One or more specimens collected at the same location as the type series (type locality), regardless of whether they are part of the type series. Topotypes are not regulated by the botanical or zoological code. Also called "locotype". [Zoo./Bot.]
type | a) A specimen designated or indicated any kind of type of a species or infraspecific taxon. If possible more specific type terms (holotype, syntype, etc.) should be applied. b) the type name of a name of higher rank for taxa above the species rank. [General]
typotype | the specimen used to prepare an illustration where the latter is the type

Table CollUnitRelationType_Enum

The type of relation between organisms within one specimen, e.g. Growing on

DisplayText | Description
Association | in association with (unspecific statement if no further information about interaction b/w 2 organisms is available)
Endophytic in | endophytic organism growing in plants without causing symptoms (possibly mutualistic or opportunistic parasite)
Growing on | substrate statement: organism growing on 2nd organism, living stages directly observed (i.e. assoc. not due to diaspores alone)
Isolated from | substrate statement: organism isolated from 2nd organism, no living stages observed (i.e. possibly due to surface contamination)
Lichenization | mutualistic symbiosis between a fungus and algae (= 2nd organism)
Mutualism | mutualistic symbiosis, both partners profit from each other
Mycorrhiza of | mycorrhizal association of a fungus with a plant (= 2nd organism)
Parasitic (accid.) | parasitic on an 'accidential host' (in the sense of Nannfeldt): with strong infection pressure, another organism growing between infected organisms may become infected.
Parasitic (facul.) | facultatively parasitic on host (= 2nd organism)
Parasitic (oblig.) | obligately parasitic on host (= 2nd organism)
Parasitic (quest.) | questionably parasitic on host (= 2nd organism), parasitic interaction is presumed, but doubtful/unverified
Parasitic on | the taxon is parasitizing its host (regardless of type, i.e. holo-/meta-/hemi-biotrophic, or pertho-/necrotrophic)
Parent/Child | parent/child association (i.e. in the literal genetical sense, not in an abstract sense)
Part of | belongs to the same organism resp. unit, e.g. a branch is part of a tree
Pollinator of | organism 1 is the pollinator of a plant (organism 2)
Predator/Food | organism 1 is the predator of organism 2 (i. e. 2 is food of 1)
Sibling | both organisms are siblings (have the same parents)


DiversityExsiccatae

Exsiccatal series and related informations are administrated in the module DiversityExsiccatae. For a search in the data provided by this module click on the [image] button.

For direct access to the informations about the exsiccatal series in this module, you need the application DiversityExsiccatae.exe in your application directory, the database DiversityExsiccatae and a valid account in the database. For more information see the Diversity Workbench Portal.


External datasource

You can export the content of the datasets listed in the specimen list into a tab-separated list. Choose Data - Export - Export list... from the menu. A window as shown below will open. To change the preset path of the export file use the [image] button.

To start the export click on the [Start export] button. A file will be created in your application directory, containing the exported data. A preview of the data is shown in the lower part of the form. If you check the include columns for reimport option, the header will contain an additional line for table names which you can use for reimporting the data. If you check the include the SQL-Query option, the Text of the command for selecting the datasets will be attached at the end of your report. The form will show the first lines as set in the Show first ... datasets (range: 1 - 99) as a preview. During the first export, the list for the fields for sorting the results [Order by:] will be filled. So if you need sorted results just restart the export after selecting the field after the first export.

To choose the fields you want to see in the export click on the [image] button. A window will open as shown below, where you can choose the fields you want to export.

Please be aware, that you will get "cross joins" between the data in your database as in the example shown below. If for example you start an export containing taxa and collectors and you have 3 taxa and 2 collectors in a dataset this will result in 6 lines in the export: every taxon combined with every collector (3 x 2 = 6). To evaluate the data you have to group the results accordingly. The first line in the file corresponds to the description as shown in the form above for the selection of the export fields. The second line shows the tables and the third line the column within the database. The following lines contain the data.

Accession number | Taxon | Collector
CollectionSpecimen | IdentificationUnit | CollectionAgent
AccessionNumber | LastIdentificationCache | CollectorsName
M-0013579 | Arthrocladiella mougeotii (Lev.) Vassilkov | Sandu, C.
M-0013579 | Arthrocladiella mougeotii (Lev.) Vassilkov | Savulescu, T.
M-0013579 | Blumeria graminis (DC.) Speer | Sandu, C.
M-0013579 | Blumeria graminis (DC.) Speer | Savulescu, T.
M-0013579 | Lycium barbarum | Sandu, C.
M-0013579 | Lycium barbarum | Savulescu, T.


Gazetteer

DiversityGazetteer

Geographical names and together with their geographical position are stored in the module DiversityGazetteer. You can either type a name of a place directly in DiversityCollection or you can link this entry to the DiversityGazetteer. Together with the name of the place the gazetteer provides the geographical coordinates and the country where these informations are available. Click on the [image] button to open the link to the module.

For direct access to the resources in this module, you need the application DiversityGazetteer.exe in your application directory, the database DiversityGazetteer and a valid account in the database. For more information see the Diversity Workbench Portal.


GIS editor - Adapt

With the Adapt mode you can calibrate any map available as a picture.

To use the GIS editor, click on the [image] button in the [image] control to show the maps and choose the appropriate option ( [image] GIS- edit) from the first drop down list in the maps control.

To add coordinates to an image execute the following steps:

  1. In the map navigate to the area containing the boundaries of the image to which you want to add the coordinates.
  2. Load [image] the image which will appear in the upper left corner of the GIS editor
  3. Check the Adapt radio button to activate the adapt mode
  4. Mark corresponding position 1 in the image [image] and the map
    (you may correct the position as long as you are in the same map resp. image)
  5. Mark corresponding position 2 in the image [image] and the map
    (The next steps will be automatically activated)
  6. Mark corresponding position 3 in the image [image] and the map
  7. Click with the OK icon in any place of the image or the map to insert the coordinates
    The image will then be transformed according to the entered positions and fitted into the map .
  8. Finally click Save [image] to create a xml file that contains the coordintes

The image will then be transformed according to the entered positions and fitted into the map .


InstallationDatabase

Installation of the database

DiversityCollection uses Microsoft SQL-Server 2008 as database engine. If you do not have a database server with DiversityCollection already available, you have to install the database engine first. Download the free version of Microsoft SQL Server Express 2008 (e.g. SQLEXPRADV_x86_DEU.exe [image] ) from http://www.microsoft.com/downloads/.. Start the program and follow the instructions for the installation.

Download the database files DiversityCollection_Data.MDF [image] and DiversityCollection_log.LDF [image] from http://www.diversityworkbench.net/Portal/ provided as a zip archive (DiversitCollection.zip) and copy them into your database directory.

If you plan to use the database on your local computer (SQL Server Express), start the program [image] DiversityCollection.exe and in the main window click on the [image] button or choose Connection -> Database ... from the menu. A window as shown below will open. Here choose the option Local database and select the database file in your directory.

Server configuration

To configure your server for remote access, launch the SQL Server Configuration Manager (see image below).

Then click on the "Protocols for SQLEXPRESS" node. Right click on "TCP/IP" in the list of Protocols and choose "enable" for TCP/IP.

Right click on the TCP/IP node and select, "Properties" to open a window as shown below.

In the part IPALL clear out the value for "TCP Dynamic Ports". Give a TCP-Port number to use when making remote connections, e.g. "4321" as shown above. You have to restart the SQL Server Express service before you can connect to your database.

If you use a database on a server, make sure that the firewall of the server allows access via the port you set for the connections (see below).

Start the Microsoft SQL Server Managment Studio and attach the database as shown below. Choose the node "databases" and right-click on it to open the context menu (see below). Then choose "attach" from the context menu. A window will open where you can choose the file DiversityCollection_Data.MDF from your database directory and attach it to the database engine.

After the installation make shure to get the latest updates from http://windowsupdate.microsoft.com/.


Maintenance - Unrelated data

Collection events

Provided you have the proper rights, you can remove unlinked datasets in the tables CollectionEvent and CollectionEventSeries. To delete events that are not linked to any data in the database, use the tab page [Remove unrelated events]. These unrelated datasets may e.g. be derived from specimens that were transferred to another collection event. Click on the [List unrelated events] button to list all events that are not related to a specimen. The found collection events will be listed in the upper part of the form. The lower parts show the localisations and the event properties related to these collection events. These must be deleted first before you can delete the events related to these datasets. Otherwise only the events with no relations to localisations or properties will be deleted.

Collection event series

To delete collection event series with no relation to collection events or other event series, choose the tab page [Remove unrelated event series]. Click the [List unrelated event series] to list these series and the [Delete unrelated event series] button to delete them. .


Scientific terms

Scientific terms like for example terms for stratigraphy or soil sciences can either be stored in DiversityCollection as simple terms or in more detail in the module DiversityScientificTerms. For directly changing to DiversityScientificTerms click on the [image] button.

For direct access to the scientific terms in this module, you need the application DiversityScientificTerms.exe in your application directory, the database DiversityScientifcTerms and a valid account in the database.


Synchronisation

If you use a mobile device to collect your data samples and want to take old data along with the mobile device, choose Data -> [image] Synchronisation -> [image] Mobile device ... from the menu. A window as shown below will open where you can transfer the data selected in the main form to the mobile device..

The [image] button will show the whole hierarchy of the sampling plots as shown below.

If you select a sampling plot in the hierarchy, two button will appear in the bar left from the tree. With the [image] button, you can retrieve a taxon list for the sampling plot and with the [image] button you can retrieve a summary of the informations about a sampling plot (see image below).

To edit the data of a sampling plots please use the module DiversitySamplingPlots.

The link to the module DiversitySamplingPlots is stored in the table CollectionEventLocalisation.


Tutorial - project

To set the accession number for the collection specimen, select it in the overview (see point 1 in image below) enter the accession number (see point 2 in image below).

Project

To restrict the access to your dataset, add it to a project (click on the [image] button - see point 4 in image above). A dialog will open where you can select a project from the projects defined in DiversityCollection (see image below). The project will then be added to the list of the projects for this specimen.

This tutorial is continued in the sections listed below:

  • section Collection specimen relations
  • section Organisms and identifications
  • section Specimen parts and storage


UpdateClient

Update of the client software

Replace the files and folders of your installation of DiversityCollection with the files you received by e-mail of downloaded from the Diversity Workbench portal. The database will not be touched by this replacement. After you started the new software, you have to transfer the settings of the previous version. is still in development. Therefore regular updates for the database and the client will be provided. When you start the program and connect to a database, the program will check if it is compatible with the database or if the database needs an update. In any of these cases an [image] update entry in the menu will appear. If a new version of the client is available this menu will contain an [image] update client ... entry. Click on it to open the webpage where you can download the cient as shown below.

If you are the owner of the database (Database role = dbo) and the database needs to be updated, the menu will contain a [image] update database ... entry. Select this entry to open a window as shown below to run the provided update scripts, delivered with the client software. These scripts needs to run consecutively, so e.g. to update from version 2.5.1 to 2.5.4 you either have to run the script DiversityCollectionUpdate_020501_To_020504 or the scripts DiversityCollectionUpdate_020501_To_020502, DiversityCollectionUpdate_020502_To_020503 and DiversityCollectionUpdate_020503_To_020504. The program will guide you through these steps and check for the scripts. All you have to do is click the Start update [image] button.


UseCase

Use cases for DiversityCollection

DiversityCollection may be used in diverse contexts. Here you find some examples of how to use the application.

Monitoring

For monitoring purposes you may want to document the route (-----) you used. This can be done with the event series [image]. Using a GPS enabled tool like a smartphone together with the software DiversityMobile you can e.g. monitor the route as well as start and end time independent from the collection events [image] along your route (see below). To document single positions of e.g. a plant independent of the collection event you can insert a geoanalysis [image].

Sampling plot

For monitoring purposes you may want to document the route (-----) you used. This can be done with the event series [image]. Using a GPS enabled tool like a smartphone together with the software DiversityMobile you can e.g. monitor the route as well as start and end time independent from the collection events [image] along your route (see below). To document single positions of e.g. a plant independent of the collection event you can insert a geoanalysis [image].

Certain datafields are inapplicable or e.g. contain a predefined value within certain contexts. Furthermore the Title and the description of the datafields may vary with context and language. This information is stored in the entity related datatables. To change the context, choose Administration - Customize. A window will open where you can choose the Context-tab to set the context of your choice. .


Users

DiversityUsers

Within DiversityCollection, the users are stored with their login, the name and an ID in the table UserProxy. The ID refers to entries in the module DiversityUsers, where additional information may be stored. For directly changing to DiversityResources click on the [image] button.

For direct access to the users in this module, you need the application DiversityUsers.exe in your application directory, the database DiversityUsers and a valid account in this database.


WorkbenchEntityTables

Diversity Workbench - Entity tables

Table Entity

The entities in an application e.g. the tables and columns in a database

Column | Data type | Description
Entity | varchar (500) | The name of the entity, e.g. Module.Table.Column.Content within the database or a unique string for e.g. a message within the DiversityWorkbench e.g. "DiversityWorkbench.Message.Connection.NoAccess", PK
DisplayGroup | nvarchar (50) | If DiversityWorkbench entities should be displayed in a group, the name of the group
Notes | nvarchar (MAX) | Notes about the entity
Obsolete | bit | True if an entity is obsolete. Obsolete entities may be kept to ensure compatibility with older modules Default value: (0)
LogCreatedWhen | datetime | The time when this dataset was created Default value: getdate()
LogCreatedBy | nvarchar (50) | Who created this dataset Default value: user_name()
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()

Table EntityRepresentation

The description of the entity in a certain context in different languages

Column | Data type | Description
Entity | varchar (500) | The name of the entity. Foreign key, relates to table Entity
LanguageCode | varchar (5) | ISO 639: 2-letter codes for the language of the content
EntityContext | nvarchar (50) | The context for the representation, e.g. "Exchange with ABCD", "collection management" or "observation" as defined in table EntityContext_Enum
DisplayText | nvarchar (50) | The text for the entity as shown e.g. in a user interface
Abbreviation | nvarchar (20) | The abbreviation for the entity as shown e.g. in a user interface
Description | nvarchar (MAX) | The description of the entity
Notes | nvarchar (MAX) | Notes about the representation of the entity
LogCreatedWhen | datetime | The time when this dataset was created Default value: getdate()
LogCreatedBy | nvarchar (50) | Who created this dataset Default value: user_name()
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()

Table EntityUsage

The usage of an entity in a certain context, e.g. hidden, readonly

Column | Data type | Description
Entity | varchar (500) | The name of the entity. Foreign key, relates to table Entity
EntityContext | nvarchar (50) | The context for the representation, e.g. "Exchange with ABCD", "collection management" or "observation" as defined in table EntityContext_Enum
EntityUsage | nvarchar (50) | How the entity should be used within a certain context, e.g. "hidden" as defined in table EntityUsage_Enum
Notes | nvarchar (MAX) | Notes about the usage of the entity
LogCreatedWhen | datetime | The time when this dataset was created Default value: getdate()
LogCreatedBy | nvarchar (50) | Who created this dataset Default value: user_name()
LogUpdatedWhen | datetime | The last time when this dataset was updated Default value: getdate()
LogUpdatedBy | nvarchar (50) | Who was the last to update this dataset Default value: user_name()

Table WorkbenchISO_Language_Enum

A list of ISO 2-letter language codes

Column | Data type | Description
DisplayOrder | int | The order in which the entries are displayed. The order may be changed at any time, but all values must be unique.
Code | varchar (5) | The 2-letter ISO language code (currently without cultures, but these may be added)
Description | nvarchar (255) | The English language name